<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDepositWithdrawVouchersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('deposit_withdraw_vouchers', function (Blueprint $table) {
            $table->id();
            $table->integer('location_id');
            $table->string('invoice_no');
            $table->string('date');
            $table->string('deposit_withdraw_option');
            $table->string('cash_account');
            $table->string('bank_account');
            $table->string('cheaque_no');
            $table->string('cheaque_date');
            $table->string('person_id');
            $table->string('person_name');
            $table->string('total_amount');
            $table->string('amount_in_words');
            $table->string('narrations')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('deposit_withdraw_vouchers');
    }
}
