@extends('layouts.crusher')
@section('content')





    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Day Book Report</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->


                    <div class="row">
                        {{-- <div class="col-md-6">
                        </div> --}}
                        <div class="col-md-6">
                            <h6 class="">Date: <span>{{ date('d/m/Y', strtotime($from_date)) }}
                            </span> To <span>{{ date('d/m/Y', strtotime($to_date)) }}</span>
                            </h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a  class="btn btn-outline-primary" onclick="printPageArea('printableArea')"> Print & PDF
                                    Formate</a>

                            </div>
                        </div>
                    </div>
                    <br>

                    <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                        <table  class="table table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Account Name</th>
                                    <th>Voucher Description</th>
                                    <th>Debit</th>
                                    <th>Credit</th>
                                </tr>
                            </thead>

                            <tbody>
                                <?php
                                    $DebitNoteTotal = 0;
                                    $purchasInvoiceTotal = 0;
                                    $ReceiptVoucherExpenseTotal = 0;
                                    $PaymentVoucherExpenseTotal = 0;
                                    $CreditNoteTotal = 0;
                                    $saleInvoiceTotal = 0;
                                    $debitTotal = 0;
                                    $creditTotal = 0;
                                ?>

                                {{-- @foreach($Debit_Notes as $Debit_Note)
                                    <tr>
                                        <td>{{ $Debit_Note->date }}</td>
                                        <td>
                                            {{
                                                $Debit_Note->customer->name_of_organisation ??
                                                $Debit_Note->supplier->name_of_organisation ??
                                                $Debit_Note->Expense->account_name ??
                                                $Debit_Note->AdminOtherAccount->account_name ??
                                                $Debit_Note->StaffAndSalesman->first_name . ' ' . $Debit_Note->StaffAndSalesman->last_name ??
                                                ''
                                            }}
                                        </td>
                                        <td><strong><a href="{{ route('crusher.debit_notes.show', ['debit_note' => $Debit_Note->id]) }}">Debit Notes#
                                                {{ $Debit_Note->invoice_no }}</a></strong></td>
                                        <td><strong>{{ $Debit_Note->total_net_amount }}</strong></td>
                                        <td></td>
                                        @php
                                            $DebitNoteTotal += $Debit_Note->total_net_amount;
                                        @endphp
                                    </tr>
                                @endforeach

                                @foreach($Credit_Notes as $Credit_Note)
                                    <tr>
                                        <td>{{ $Credit_Note->date }}</td>
                                        <td>
                                            {{
                                                $Credit_Note->customer->name_of_organisation ??
                                                $Credit_Note->supplier->name_of_organisation ??
                                                $Credit_Note->Expense->account_name ??
                                                $Credit_Note->AdminOtherAccount->account_name ??
                                                $Credit_Note->StaffAndSalesman->first_name . ' ' . $Credit_Note->StaffAndSalesman->last_name ??
                                                ''
                                            }}
                                        </td>
                                        <td><strong><a href="{{ route('crusher.credit_notes.show', ['credit_note' => $Credit_Note->id]) }}">Credit Note#
                                                {{ $Credit_Note->invoice_no }}</a></strong></td>
                                        <td></td>
                                        <td><strong>{{ $Credit_Note->total_net_amount }}</strong></td>
                                        @php
                                            $CreditNoteTotal += $Credit_Note->total_net_amount
                                        @endphp
                                    </tr>
                                @endforeach

                                @foreach($purchase_invoices as $purchase_invoice)
                                    <tr>
                                        <td>{{ $purchase_invoice->date }}</td>
                                        <td>
                                            {{
                                                $purchase_invoice->customer->name_of_organisation ??
                                                $purchase_invoice->supplier->name_of_organisation ??
                                                $purchase_invoice->Expense->account_name ??
                                                $purchase_invoice->AdminOtherAccount->account_name ??
                                                $purchase_invoice->StaffAndSalesman->first_name . ' ' . $purchase_invoice->StaffAndSalesman->last_name ??
                                                ''
                                            }}
                                        </td>
                                        <td><strong><a href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $purchase_invoice->id]) }}">Puchase# {{ $purchase_invoice->invoice_no }}</a></strong></td>
                                        <td><strong>{{ $purchase_invoice->total_net_amount }}</strong></td>
                                        <td></strong></td>
                                        @php
                                            $purchasInvoiceTotal += $purchase_invoice->total_net_amount
                                        @endphp
                                    </tr>
                                @endforeach

                                @foreach($sale_invoices as $sale_invoice)
                                    <tr>
                                        <td>{{ $sale_invoice->date }}</td>
                                        <td>
                                            {{
                                                $sale_invoice->customer->name_of_organisation ??
                                                $sale_invoice->supplier->name_of_organisation ??
                                                $sale_invoice->Expense->account_name ??
                                                $sale_invoice->AdminOtherAccount->account_name ??
                                                $sale_invoice->StaffAndSalesman->first_name . ' ' . $sale_invoice->StaffAndSalesman->last_name ??
                                                ''
                                            }}
                                        </td>

                                        <td><strong><a href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $sale_invoice->id]) }}">Sales# {{ $sale_invoice->invoice_no }}</a></strong></td>
                                        <td></td>
                                        <td><strong>{{ $sale_invoice->total_net_amount }}</strong></td>
                                        @php
                                            $saleInvoiceTotal += $sale_invoice->total_net_amount
                                        @endphp
                                    </tr>
                                @endforeach

                                @foreach($Receipt_Voucher_Expenses as $Receipt_Voucher_Expense)
                                    <tr>
                                        <td>{{ $Receipt_Voucher_Expense->date }}</td>
                                        <td>
                                            @foreach($Receipt_Voucher_Expense->expense as $voucher)
                                                {{
                                                    optional($voucher->customer)->name_of_organisation ??
                                                    optional($voucher->supplier)->name_of_organisation ??
                                                    optional($voucher->expense)->account_name ??
                                                    optional($voucher->adminOtherAccount)->account_name ??
                                                    optional($voucher->staffAndSalesman)->first_name . ' ' . optional($voucher->staffAndSalesman)->last_name ??
                                                    ''
                                                }}
                                            @endforeach
                                        </td>
                                        <td><strong><a href="{{ route('crusher.receipt_vouchers.show', ['receipt_voucher' => $Receipt_Voucher_Expense->id]) }}">Receipt#
                                                {{ $Receipt_Voucher_Expense->invoice_no }}</a></strong></td>
                                        <td><strong>{{ $Receipt_Voucher_Expense->expense->sum('amount') }}</strong></td>
                                        <td></td>
                                        @php
                                            $ReceiptVoucherExpenseTotal += $Receipt_Voucher_Expense->expense->sum('amount')
                                        @endphp
                                    </tr>
                                @endforeach

                                @foreach($Payment_Voucher_Expenses as $Payment_Voucher_Expense)
                                    <tr>
                                        <td>{{ $Payment_Voucher_Expense->date }}</td>
                                        <td>
                                            @foreach($Payment_Voucher_Expense->expense as $voucher)
                                                {{
                                                    optional($voucher->customer)->name_of_organisation ??
                                                    optional($voucher->supplier)->name_of_organisation ??
                                                    optional($voucher->expense)->account_name ??
                                                    optional($voucher->adminOtherAccount)->account_name ??
                                                    optional($voucher->staffAndSalesman)->first_name . ' ' . optional($voucher->staffAndSalesman)->last_name ??
                                                    ''
                                                }}
                                            @endforeach
                                        </td>
                                        <td><strong><a href="{{ route('crusher.payment_vouchers.show', ['payment_voucher' => $Payment_Voucher_Expense->id]) }}">Payment#
                                                {{ $Payment_Voucher_Expense->invoice_no }}</a></strong></td>
                                        <td><strong>{{ $Payment_Voucher_Expense->expense->sum('amount') }}</strong></td>
                                        <td></td>
                                        @php
                                            $PaymentVoucherExpenseTotal += $Payment_Voucher_Expense->expense->sum('amount')
                                        @endphp
                                    </tr>
                                @endforeach --}}

                                @foreach ($allDayBookReportData->sortBy('date') as $data)
                                @if (is_object($data))
                                <tr>
                                    <td>
                                        @if ($data instanceof \App\AdminSalesInvoice || $data instanceof \App\CreditNote || $data instanceof \App\AdminPurchaesInvoice ||$data instanceof \App\DebitNote || $data instanceof \App\AdminReceiptVoucher || $data instanceof \App\AdminPaymentVoucher)
                                            {{ $data->date }}
                                        {{-- @elseif ($data instanceof \App\CreditNote)
                                            {{ $data->date }} --}}
                                        @endif
                                    </td>
                                    <td>
                                        @if ($data instanceof \App\AdminSalesInvoice || $data instanceof \App\CreditNote || $data instanceof \App\AdminPurchaesInvoice || $data instanceof \App\DebitNote || $data instanceof \App\AdminReceiptVoucher || $data instanceof \App\AdminPaymentVoucher)
                                            {{
                                                $data->customer->name_of_organisation ??
                                                $data->supplier->name_of_organisation ??
                                                // $data->Expense->account_name ??
                                                $data->AdminOtherAccount->account_name ??
                                                // $data->StaffAndSalesman->first_name . ' ' . $data->StaffAndSalesman->last_name ??
                                                ''
                                            }}
                                        {{-- @elseif ($data instanceof \App\CreditNote)
                                            {{
                                                $data->customer->name_of_organisation ??
                                                $data->supplier->name_of_organisation ??
                                                $data->Expense->account_name ??
                                                $data->AdminOtherAccount->account_name ??
                                                $data->StaffAndSalesman->first_name . ' ' . $data->StaffAndSalesman->last_name ??
                                                ''
                                            }} --}}
                                        @endif
                                    </td>
                                    <td>
                                        @if ($data instanceof \App\AdminSalesInvoice)
                                            <span><strong><a href="{{ route('software.admin_sales_invoice.show', ['admin_sales_invoice' => $data->id]) }}">Sales#
                                                {{ $data->invoice_no }}</a></strong></span>
                                        @elseif ($data instanceof \App\CreditNote)
                                            <span><strong><a href="{{ route('software.credit_notes.show', ['credit_note' => $data->id]) }}">Credit Note#
                                                {{ $data->invoice_no }}</a></strong></span>
                                        @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                        <span><strong><a href="{{ route('software.purchase_invoices.show', ['purchase_invoice' => $data->id]) }}">Purchase#
                                            {{ $data->invoice_no }}</a></strong></span>
                                        @elseif ($data instanceof \App\DebitNote)
                                        <span><strong><a href="{{ route('software.debit_notes.show', ['debit_note' => $data->id]) }}">Debit Note#
                                            {{ $data->invoice_no }}</a></strong></span>
                                        @elseif ($data instanceof \App\AdminReceiptVoucher)
                                        <span><strong><a href="{{ route('software.receipt_vouchers.show', ['receipt_voucher' => $data->id]) }}">Receipt#
                                            {{ $data->invoice_no }}</a></strong></span>
                                        @elseif ($data instanceof \App\AdminPaymentVoucher)
                                            <span><strong><a href="{{ route('software.payment_vouchers.show', ['payment_voucher' => $data->id]) }}">Payment#
                                                {{ $data->invoice_no }}</a></strong></span>
                                        @endif
                                    </td>
                                    <td>
                                        @if ($data instanceof \App\AdminPurchaesInvoice)
                                            {{ number_format($data->total_net_amount, session('branch')->currency_decimal) }}
                                            @php
                                                $purchasInvoiceTotal += $data->total_net_amount;
                                            @endphp
                                        @elseif ($data instanceof \App\DebitNote)
                                            {{ number_format($data->total_net_amount, session('branch')->currency_decimal) }}
                                            @php
                                                $DebitNoteTotal += $data->total_net_amount;
                                            @endphp
                                        @elseif ($data instanceof \App\AdminReceiptVoucher)
                                        @if(isset($data->mergedExpenses))
                                        @foreach($data->mergedExpenses as $expense)
                                            {{ number_format($expense['total_amount'], session('branch')->currency_decimal) }}
                                            @php
                                                $ReceiptVoucherExpenseTotal += $expense['total_amount'];
                                            @endphp
                                        @endforeach
                                    @endif
                                            @php
                                                $DebitNoteTotal += $data->total_net_amount;
                                            @endphp
                                       @elseif ($data instanceof \App\AdminPaymentVoucher)
                                       @if(isset($data->mergedExpenses))
                                            @foreach($data->mergedExpenses as $expense)
                                                {{ number_format($expense['total_amount'], session('branch')->currency_decimal) }}
                                                @php
                                                    $PaymentVoucherExpenseTotal += $expense['total_amount'];
                                                @endphp
                                            @endforeach
                                        @endif

                                        @endif
                                    </td>
                                    <td>
                                        @if ($data instanceof \App\AdminSalesInvoice)
                                            {{ number_format($data->total_net_amount, session('branch')->currency_decimal) }}
                                            @php
                                                $saleInvoiceTotal += $data->total_net_amount;
                                            @endphp
                                        @elseif ($data instanceof \App\CreditNote)
                                            {{ number_format($data->total_net_amount, session('branch')->currency_decimal) }}
                                            @php
                                                $CreditNoteTotal += $data->total_net_amount;
                                            @endphp
                                        @endif
                                    </td>
                                </tr>
                                @endif
                                @endforeach

                                @php
                                    $debitTotal = $DebitNoteTotal + $purchasInvoiceTotal + $ReceiptVoucherExpenseTotal + $PaymentVoucherExpenseTotal;
                                    $creditTotal = $CreditNoteTotal + $saleInvoiceTotal;
                                @endphp

                                <tr>
                                    <td colspan="3"><strong>Total</strong></td>
                                    <td><strong>{{ number_format($debitTotal, session('branch')->currency_decimal) }}</strong></td>
                                    <td><strong>{{ number_format($creditTotal, session('branch')->currency_decimal) }}</strong></td>
                                </tr>
                            </tbody>

                        </table>
                    </div>


                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->

<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>
@endsection
