
<?php $__env->startSection('content'); ?>
    <div class="page-content">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box d-flex align-items-center justify-content-between">
                    <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <h4 class="page-title mb-0 font-size-18">Powered By ACP</h4>
                        </ol>
                    </div>

                </div>
            </div>
        </div>
        <!-- end page title -->

        <!-- end row -->

        <div class="row">
            <div class="col-xl-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-6">
                                <h6 class="card-title mb-4 titlcust">Check Expiry</h6>
                            </div>

                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table id="datatable" class="table table-bordered nowrap table-striped"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Client Name</th>
                                        <th>Company Name</th>
                                        <th>Branch Name</th>
                                        <th>Software</th>
                                        <th>Amount</th>
                                        <th>Issue Date</th>
                                        <th>Expiry Date</th>
                                        
                                    </tr>
                                </thead>

                                <tbody>
                                    <?php $__currentLoopData = $branches; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $branch): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    
                                        <tr>
                                            <td><?php echo e($branch->company->client->name); ?></td>
                                            <td> <?php echo e($branch->company->name); ?></td>
                                            <td> <?php echo e($branch->name); ?></td>
                                            <td> <?php echo e($branch->software); ?></td>
                                            <td> <?php echo e($branch->currency); ?> <?php echo e($branch->price); ?></td>
                                            <td> <?php echo e($branch->issue_date); ?></td>
                                            <td> <?php echo e($branch->expiry_date); ?></td>
                                            
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- end col -->



                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->
    </div>

    <!-- End Page-content -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.superadmin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/super_admin/superadmin-checkexpiry.blade.php ENDPATH**/ ?>