
<?php $__env->startSection('content'); ?>
    <div class="page-content">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box d-flex align-items-center justify-content-between">
                    <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <h4 class="page-title mb-0 font-size-18">Powered By ACP</h4>
                        </ol>
                    </div>

                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Edit Branch Master</h6>
                            </div>

                        </div>
                        <!-- <div class="col-4"> -->
                        <form action="<?php echo e(route('superadmin.branches.update', ['branch' => $branch->id])); ?>"
                            class="outer-repeater" method="POST" id="insert_form">

                            <?php echo csrf_field(); ?>
                            <?php echo method_field('put'); ?>
                            <div class="row">

                            <!-- <div class="col-md-4">
                                <div class="form-group">
                                    <label class="control-label">Company Name (Located Country)</label>
                                    <select class="form-control select2" name="country" id="company_country">
                                        <option>Select Company Name (Located Country)</option>
                                        <?php $__currentLoopData = $companies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $company): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($company->id); ?>"
                                                <?php echo e($branch->company_id == $company->id ? 'selected' : ''); ?>>
                                                <?php echo e($company->name); ?> (<?php echo e($company->country); ?>)
                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>

                                    <?php if($errors->has('company_country')): ?>
                                        <div class="alert alert-danger">
                                            <?php echo e($errors->first('company_country')); ?>

                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div> -->


                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="control-label">Company Name</label>
                                        <select class="form-control select2" name="company_id" id="company">
                                            <option>Select Company Name</option>
                                            <?php $__currentLoopData = $companies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $company): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($company->id); ?>"
                                                    <?php echo e($branch->company_id == $company->id ? 'selected' : ''); ?>>
                                                    <?php echo e($company->name); ?>(<?php echo e($company->country); ?>)</option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <?php if($errors->has('company_id')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('company_id')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <!-- <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Located Country</label>
                                        <select class="form-control select2" name="country" id="country">
                                            <option>Select Located Country</option>
                                            <option>Alkaram Pakistan </option>
                                            <option>Alkaram Dubai</option>
                                            <option>Alkaram Oman</option>
                                        </select>
                                        <?php if($errors->has('country')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('country')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div> -->
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Branch</label>
                                        <input class="form-control" type="text" name="name" placeholder="Enter Branch"
                                            id="example-password-input" value="<?php echo e($branch->name); ?>">
                                        <?php if($errors->has('name')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('name')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>


                                <div class="col-md-2 custveri price" id="pricehidden1">
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input type="checkbox" form="insert_form" class="custom-control-input"
                                            name="type" id="customSwitchtest" value="test"
                                            <?php echo e($branch->type == 'test' ? 'checked' : ''); ?>>
                                        <label class="custom-control-label" for="customSwitchtest">Test
                                        </label>
                                        <?php if($errors->has('type')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('type')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>


                                <div class="col-md-2 custveri price" id="pricehidden1">
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input type="checkbox" form="insert_form" class="custom-control-input"
                                            name="type" id="customSwitchpaid" value="paid"
                                            <?php echo e($branch->type == 'paid' ? 'checked' : ''); ?>>
                                        <label class="custom-control-label" for="customSwitchpaid">Paid
                                        </label>
                                        <?php if($errors->has('type')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('type')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>



                                <div class="col-md-4 price"id="pricehidden2">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <label>Currency</label>

                                            <select class="form-control select2" name="currency">
                                                <option value="">Currency</option>
                                                <option <?php echo e($branch->currency == 'AED' ? 'selected' : ''); ?>>AED (United Arab Emirates Dirham)</option>
                                                <option <?php echo e($branch->currency == 'AFN' ? 'selected' : ''); ?>>AFN (Afghan Afghani)</option>
                                                <option <?php echo e($branch->currency == 'ALL' ? 'selected' : ''); ?>>ALL (Albanian Lek)</option>
                                                <option <?php echo e($branch->currency == 'AMD' ? 'selected' : ''); ?>>AMD (Armenian Dram)</option>
                                                <option <?php echo e($branch->currency == 'ANG' ? 'selected' : ''); ?>>ANG (Netherlands Antillean Guilder)</option>
                                                <option <?php echo e($branch->currency == 'AOA' ? 'selected' : ''); ?>>AOA (Angolan Kwanza)</option>
                                                <option <?php echo e($branch->currency == 'ARS' ? 'selected' : ''); ?>>ARS (Argentine Peso)</option>
                                                <option <?php echo e($branch->currency == 'AUD' ? 'selected' : ''); ?>>AUD (Australian Dollar)</option>
                                                <option <?php echo e($branch->currency == 'AWG' ? 'selected' : ''); ?>>AWG (Aruban Florin)</option>
                                                <option <?php echo e($branch->currency == 'AZN' ? 'selected' : ''); ?>>AZN (Azerbaijani Manat)</option>
                                                <option <?php echo e($branch->currency == 'BAM' ? 'selected' : ''); ?>>BAM (Bosnia and Herzegovina Convertible Mark)</option>
                                                <option <?php echo e($branch->currency == 'BBD' ? 'selected' : ''); ?>>BBD (Barbadian Dollar)</option>
                                                <option <?php echo e($branch->currency == 'BDT' ? 'selected' : ''); ?>>BDT (Bangladeshi Taka)</option>
                                                <option <?php echo e($branch->currency == 'BGN' ? 'selected' : ''); ?>>BGN (Bulgarian Lev)</option>
                                                <option <?php echo e($branch->currency == 'BHD' ? 'selected' : ''); ?>>BHD (Bahraini Dinar)</option>
                                                <option <?php echo e($branch->currency == 'BIF' ? 'selected' : ''); ?>>BIF (Burundian Franc)</option>
                                                <option <?php echo e($branch->currency == 'BMD' ? 'selected' : ''); ?>>BMD (Bermudian Dollar)</option>
                                                <option <?php echo e($branch->currency == 'BND' ? 'selected' : ''); ?>>BND (Brunei Dollar)</option>
                                                <option <?php echo e($branch->currency == 'BOB' ? 'selected' : ''); ?>>BOB (Bolivian Boliviano)</option>
                                                <option <?php echo e($branch->currency == 'BRL' ? 'selected' : ''); ?>>BRL (Brazilian Real)</option>
                                                <option <?php echo e($branch->currency == 'BSD' ? 'selected' : ''); ?>>BSD (Bahamian Dollar)</option>
                                                <option <?php echo e($branch->currency == 'BTN' ? 'selected' : ''); ?>>BTN (Bhutanese Ngultrum)</option>
                                                <option <?php echo e($branch->currency == 'BWP' ? 'selected' : ''); ?>>BWP (Botswanan Pula)</option>
                                                <option <?php echo e($branch->currency == 'BYN' ? 'selected' : ''); ?>>BYN (Belarusian Ruble)</option>
                                                <option <?php echo e($branch->currency == 'BZD' ? 'selected' : ''); ?>>BZD (Belize Dollar)</option>
                                                <option <?php echo e($branch->currency == 'CAD' ? 'selected' : ''); ?>>CAD (Canadian Dollar)</option>
                                                <option <?php echo e($branch->currency == 'CDF' ? 'selected' : ''); ?>>CDF (Congolese Franc)</option>
                                                <option <?php echo e($branch->currency == 'CHF' ? 'selected' : ''); ?>>CHF (Swiss Franc)</option>
                                                <option <?php echo e($branch->currency == 'CLP' ? 'selected' : ''); ?>>CLP (Chilean Peso)</option>
                                                <option <?php echo e($branch->currency == 'CNY' ? 'selected' : ''); ?>>CNY (Chinese Yuan)</option>
                                                <option <?php echo e($branch->currency == 'COP' ? 'selected' : ''); ?>>COP (Colombian Peso)</option>
                                                <option <?php echo e($branch->currency == 'CRC' ? 'selected' : ''); ?>>CRC (Costa Rican Colón)</option>
                                                <option <?php echo e($branch->currency == 'CUP' ? 'selected' : ''); ?>>CUP (Cuban Peso)</option>
                                                <option <?php echo e($branch->currency == 'CVE' ? 'selected' : ''); ?>>CVE (Cape Verdean Escudo)</option>
                                                <option <?php echo e($branch->currency == 'CZK' ? 'selected' : ''); ?>>CZK (Czech Republic Koruna)</option>
                                                <option <?php echo e($branch->currency == 'DJF' ? 'selected' : ''); ?>>DJF (Djiboutian Franc)</option>
                                                <option <?php echo e($branch->currency == 'DKK' ? 'selected' : ''); ?>>DKK (Danish Krone)</option>
                                                <option <?php echo e($branch->currency == 'DOP' ? 'selected' : ''); ?>>DOP (Dominican Peso)</option>
                                                <option <?php echo e($branch->currency == 'DZD' ? 'selected' : ''); ?>>DZD (Algerian Dinar)</option>
                                                <option <?php echo e($branch->currency == 'EGP' ? 'selected' : ''); ?>>EGP (Egyptian Pound)</option>
                                                <option <?php echo e($branch->currency == 'ERN' ? 'selected' : ''); ?>>ERN (Eritrean Nakfa)</option>
                                                <option <?php echo e($branch->currency == 'ETB' ? 'selected' : ''); ?>>ETB (Ethiopian Birr)</option>
                                                <option <?php echo e($branch->currency == 'EUR' ? 'selected' : ''); ?>>EUR (Euro)</option>
                                                <option <?php echo e($branch->currency == 'FJD' ? 'selected' : ''); ?>>FJD (Fijian Dollar)</option>
                                                <option <?php echo e($branch->currency == 'FKP' ? 'selected' : ''); ?>>FKP (Falkland Islands Pound)</option>
                                                <option <?php echo e($branch->currency == 'FOK' ? 'selected' : ''); ?>>FOK (Faroese Króna)</option>
                                                <option <?php echo e($branch->currency == 'GBP' ? 'selected' : ''); ?>>GBP (British Pound Sterling)</option>
                                                <option <?php echo e($branch->currency == 'GEL' ? 'selected' : ''); ?>>GEL (Georgian Lari)</option>
                                                <option <?php echo e($branch->currency == 'GGP' ? 'selected' : ''); ?>>GGP (Guernsey Pound)</option>
                                                <option <?php echo e($branch->currency == 'GHS' ? 'selected' : ''); ?>>GHS (Ghanaian Cedi)</option>
                                                <option <?php echo e($branch->currency == 'GIP' ? 'selected' : ''); ?>>GIP (Gibraltar Pound)</option>
                                                <option <?php echo e($branch->currency == 'GMD' ? 'selected' : ''); ?>>GMD (Gambian Dalasi)</option>
                                                <option <?php echo e($branch->currency == 'GNF' ? 'selected' : ''); ?>>GNF (Guinean Franc)</option>
                                                <option <?php echo e($branch->currency == 'GTQ' ? 'selected' : ''); ?>>GTQ (Guatemalan Quetzal)</option>
                                                <option <?php echo e($branch->currency == 'GYD' ? 'selected' : ''); ?>>GYD (Guyanaese Dollar)</option>
                                                <option <?php echo e($branch->currency == 'HKD' ? 'selected' : ''); ?>>HKD (Hong Kong Dollar)</option>
                                                <option <?php echo e($branch->currency == 'HNL' ? 'selected' : ''); ?>>HNL (Honduran Lempira)</option>
                                                <option <?php echo e($branch->currency == 'HRK' ? 'selected' : ''); ?>>HRK (Croatian Kuna)</option>
                                                <option <?php echo e($branch->currency == 'HTG' ? 'selected' : ''); ?>>HTG (Haitian Gourde)</option>
                                                <option <?php echo e($branch->currency == 'HUF' ? 'selected' : ''); ?>>HUF (Hungarian Forint)</option>
                                                <option <?php echo e($branch->currency == 'IDR' ? 'selected' : ''); ?>>IDR (Indonesian Rupiah)</option>
                                                <option <?php echo e($branch->currency == 'ILS' ? 'selected' : ''); ?>>ILS (Israeli New Shekel)</option>
                                                <option <?php echo e($branch->currency == 'IMP' ? 'selected' : ''); ?>>IMP (Isle of Man Pound)</option>
                                                <option <?php echo e($branch->currency == 'INR' ? 'selected' : ''); ?>>INR (Indian Rupee)</option>
                                                <option <?php echo e($branch->currency == 'IQD' ? 'selected' : ''); ?>>IQD (Iraqi Dinar)</option>
                                                <option <?php echo e($branch->currency == 'IRR' ? 'selected' : ''); ?>>IRR (Iranian Rial)</option>
                                                <option <?php echo e($branch->currency == 'ISK' ? 'selected' : ''); ?>>ISK (Icelandic Króna)</option>
                                                <option <?php echo e($branch->currency == 'JEP' ? 'selected' : ''); ?>>JEP (Jersey Pound)</option>
                                                <option <?php echo e($branch->currency == 'JMD' ? 'selected' : ''); ?>>JMD (Jamaican Dollar)</option>
                                                <option <?php echo e($branch->currency == 'JOD' ? 'selected' : ''); ?>>JOD (Jordanian Dinar)</option>
                                                <option <?php echo e($branch->currency == 'JPY' ? 'selected' : ''); ?>>JPY (Japanese Yen)</option>
                                                <option <?php echo e($branch->currency == 'KES' ? 'selected' : ''); ?>>KES (Kenyan Shilling)</option>
                                                <option <?php echo e($branch->currency == 'KGS' ? 'selected' : ''); ?>>KGS (Kyrgyzstani Som)</option>
                                                <option <?php echo e($branch->currency == 'KHR' ? 'selected' : ''); ?>>KHR (Cambodian Riel)</option>
                                                <option <?php echo e($branch->currency == 'KID' ? 'selected' : ''); ?>>KID (Kiribati Dollar)</option>
                                                <option <?php echo e($branch->currency == 'KMF' ? 'selected' : ''); ?>>KMF (Comorian Franc)</option>
                                                <option <?php echo e($branch->currency == 'KRW' ? 'selected' : ''); ?>>KRW (South Korean Won)</option>
                                                <option <?php echo e($branch->currency == 'KWD' ? 'selected' : ''); ?>>KWD (Kuwaiti Dinar)</option>
                                                <option <?php echo e($branch->currency == 'KYD' ? 'selected' : ''); ?>>KYD (Cayman Islands Dollar)</option>
                                                <option <?php echo e($branch->currency == 'KZT' ? 'selected' : ''); ?>>KZT (Kazakhstani Tenge)</option>
                                                <option <?php echo e($branch->currency == 'LAK' ? 'selected' : ''); ?>>LAK (Lao Kip)</option>
                                                <option <?php echo e($branch->currency == 'LBP' ? 'selected' : ''); ?>>LBP (Lebanese Pound)</option>
                                                <option <?php echo e($branch->currency == 'LKR' ? 'selected' : ''); ?>>LKR (Sri Lankan Rupee)</option>
                                                <option <?php echo e($branch->currency == 'LRD' ? 'selected' : ''); ?>>LRD (Liberian Dollar)</option>
                                                <option <?php echo e($branch->currency == 'LSL' ? 'selected' : ''); ?>>LSL (Lesotho Loti)</option>
                                                <option <?php echo e($branch->currency == 'LYD' ? 'selected' : ''); ?>>LYD (Libyan Dinar)</option>
                                                <option <?php echo e($branch->currency == 'MAD' ? 'selected' : ''); ?>>MAD (Moroccan Dirham)</option>
                                                <option <?php echo e($branch->currency == 'MDL' ? 'selected' : ''); ?>>MDL (Moldovan Leu)</option>
                                                <option <?php echo e($branch->currency == 'MGA' ? 'selected' : ''); ?>>MGA (Malagasy Ariary)</option>
                                                <option <?php echo e($branch->currency == 'MKD' ? 'selected' : ''); ?>>MKD (North Macedonian Denar)</option>
                                                <option <?php echo e($branch->currency == 'MMK' ? 'selected' : ''); ?>>MMK (Myanmar Kyat)</option>
                                                <option <?php echo e($branch->currency == 'MNT' ? 'selected' : ''); ?>>MNT (Mongolian Tugrik)</option>
                                                <option <?php echo e($branch->currency == 'MRU' ? 'selected' : ''); ?>>MRU (Mauritanian Ouguiya)</option>
                                                <option <?php echo e($branch->currency == 'MUR' ? 'selected' : ''); ?>>MUR (Mauritian Rupee)</option>
                                                <option <?php echo e($branch->currency == 'MVR' ? 'selected' : ''); ?>>MVR (Maldivian Rufiyaa)</option>
                                                <option <?php echo e($branch->currency == 'MWK' ? 'selected' : ''); ?>>MWK (Malawian Kwacha)</option>
                                                <option <?php echo e($branch->currency == 'MXN' ? 'selected' : ''); ?>>MXN (Mexican Peso)</option>
                                                <option <?php echo e($branch->currency == 'MYR' ? 'selected' : ''); ?>>MYR (Malaysian Ringgit)</option>
                                                <option <?php echo e($branch->currency == 'MZN' ? 'selected' : ''); ?>>MZN (Mozambican Metical)</option>
                                                <option <?php echo e($branch->currency == 'NAD' ? 'selected' : ''); ?>>NAD (Namibian Dollar)</option>
                                                <option <?php echo e($branch->currency == 'NGN' ? 'selected' : ''); ?>>NGN (Nigerian Naira)</option>
                                                <option <?php echo e($branch->currency == 'NIO' ? 'selected' : ''); ?>>NIO (Nicaraguan Córdoba)</option>
                                                <option <?php echo e($branch->currency == 'NOK' ? 'selected' : ''); ?>>NOK (Norwegian Krone)</option>
                                                <option <?php echo e($branch->currency == 'NPR' ? 'selected' : ''); ?>>NPR (Nepalese Rupee)</option>
                                                <option <?php echo e($branch->currency == 'NZD' ? 'selected' : ''); ?>>NZD (New Zealand Dollar)</option>
                                                <option <?php echo e($branch->currency == 'OMR' ? 'selected' : ''); ?>>OMR (Omani Rial)</option>
                                                <option <?php echo e($branch->currency == 'PAB' ? 'selected' : ''); ?>>PAB (Panamanian Balboa)</option>
                                                <option <?php echo e($branch->currency == 'PEN' ? 'selected' : ''); ?>>PEN (Peruvian Nuevo Sol)</option>
                                                <option <?php echo e($branch->currency == 'PGK' ? 'selected' : ''); ?>>PGK (Papua New Guinean Kina)</option>
                                                <option <?php echo e($branch->currency == 'PHP' ? 'selected' : ''); ?>>PHP (Philippine Peso)</option>
                                                <option <?php echo e($branch->currency == 'PKR' ? 'selected' : ''); ?>>PKR (Pakistani Rupee)</option>
                                                <option <?php echo e($branch->currency == 'PLN' ? 'selected' : ''); ?>>PLN (Polish Złoty)</option>
                                                <option <?php echo e($branch->currency == 'PYG' ? 'selected' : ''); ?>>PYG (Paraguayan Guaraní)</option>
                                                <option <?php echo e($branch->currency == 'QAR' ? 'selected' : ''); ?>>QAR (Qatari Rial)</option>
                                                <option <?php echo e($branch->currency == 'RON' ? 'selected' : ''); ?>>RON (Romanian Leu)</option>
                                                <option <?php echo e($branch->currency == 'RSD' ? 'selected' : ''); ?>>RSD (Serbian Dinar)</option>
                                                <option <?php echo e($branch->currency == 'RUB' ? 'selected' : ''); ?>>RUB (Russian Ruble)</option>
                                                <option <?php echo e($branch->currency == 'RWF' ? 'selected' : ''); ?>>RWF (Rwandan Franc)</option>
                                                <option <?php echo e($branch->currency == 'SAR' ? 'selected' : ''); ?>>SAR (Saudi Riyal)</option>
                                                <option <?php echo e($branch->currency == 'SBD' ? 'selected' : ''); ?>>SBD (Solomon Islands Dollar)</option>
                                                <option <?php echo e($branch->currency == 'SCR' ? 'selected' : ''); ?>>SCR (Seychellois Rupee)</option>
                                                <option <?php echo e($branch->currency == 'SDG' ? 'selected' : ''); ?>>SDG (Sudanese Pound)</option>
                                                <option <?php echo e($branch->currency == 'SEK' ? 'selected' : ''); ?>>SEK (Swedish Krona)</option>
                                                <option <?php echo e($branch->currency == 'SGD' ? 'selected' : ''); ?>>SGD (Singapore Dollar)</option>
                                                <option <?php echo e($branch->currency == 'SHP' ? 'selected' : ''); ?>>SHP (Saint Helena Pound)</option>
                                                <option <?php echo e($branch->currency == 'SLL' ? 'selected' : ''); ?>>SLL (Sierra Leonean Leone)</option>
                                                <option <?php echo e($branch->currency == 'SOS' ? 'selected' : ''); ?>>SOS (Somali Shilling)</option>
                                                <option <?php echo e($branch->currency == 'SRD' ? 'selected' : ''); ?>>SRD (Surinamese Dollar)</option>
                                                <option <?php echo e($branch->currency == 'SSP' ? 'selected' : ''); ?>>SSP (South Sudanese Pound)</option>
                                                <option <?php echo e($branch->currency == 'STN' ? 'selected' : ''); ?>>STN (São Tomé and Príncipe Dobra)</option>
                                                <option <?php echo e($branch->currency == 'SYP' ? 'selected' : ''); ?>>SYP (Syrian Pound)</option>
                                                <option <?php echo e($branch->currency == 'SZL' ? 'selected' : ''); ?>>SZL (Swazi Lilangeni)</option>
                                                <option <?php echo e($branch->currency == 'THB' ? 'selected' : ''); ?>>THB (Thai Baht)</option>
                                                <option <?php echo e($branch->currency == 'TJS' ? 'selected' : ''); ?>>TJS (Tajikistani Somoni)</option>
                                                <option <?php echo e($branch->currency == 'TMT' ? 'selected' : ''); ?>>TMT (Turkmenistani Manat)</option>
                                                <option <?php echo e($branch->currency == 'TND' ? 'selected' : ''); ?>>TND (Tunisian Dinar)</option>
                                                <option <?php echo e($branch->currency == 'TOP' ? 'selected' : ''); ?>>TOP (Tongan Pa'anga)</option>
                                                <option <?php echo e($branch->currency == 'TRY' ? 'selected' : ''); ?>>TRY (Turkish Lira)</option>
                                                <option <?php echo e($branch->currency == 'TTD' ? 'selected' : ''); ?>>TTD (Trinidad and Tobago Dollar)</option>
                                                <option <?php echo e($branch->currency == 'TWD' ? 'selected' : ''); ?>>TWD (New Taiwan Dollar)</option>
                                                <option <?php echo e($branch->currency == 'TZS' ? 'selected' : ''); ?>>TZS (Tanzanian Shilling)</option>
                                                <option <?php echo e($branch->currency == 'UAH' ? 'selected' : ''); ?>>UAH (Ukrainian Hryvnia)</option>
                                                <option <?php echo e($branch->currency == 'UGX' ? 'selected' : ''); ?>>UGX (Ugandan Shilling)</option>
                                                <option <?php echo e($branch->currency == 'USD' ? 'selected' : ''); ?>>USD (United States Dollar)</option>
                                                <option <?php echo e($branch->currency == 'UYU' ? 'selected' : ''); ?>>UYU (Uruguayan Peso)</option>
                                                <option <?php echo e($branch->currency == 'UZS' ? 'selected' : ''); ?>>UZS (Uzbekistan Som)</option>
                                                <option <?php echo e($branch->currency == 'VEF' ? 'selected' : ''); ?>>VEF (Venezuelan Bolívar)</option>
                                                <option <?php echo e($branch->currency == 'VND' ? 'selected' : ''); ?>>VND (Vietnamese Dong)</option>
                                                <option <?php echo e($branch->currency == 'VUV' ? 'selected' : ''); ?>>VUV (Vanuatu Vatu)</option>
                                                <option <?php echo e($branch->currency == 'WST' ? 'selected' : ''); ?>>WST (Samoan Tala)</option>
                                                <option <?php echo e($branch->currency == 'XAF' ? 'selected' : ''); ?>>XAF (Central African CFA Franc)</option>
                                                <option <?php echo e($branch->currency == 'XCD' ? 'selected' : ''); ?>>XCD (East Caribbean Dollar)</option>
                                                <option <?php echo e($branch->currency == 'XOF' ? 'selected' : ''); ?>>XOF (West African CFA Franc)</option>
                                                <option <?php echo e($branch->currency == 'XPF' ? 'selected' : ''); ?>>XPF (CFP Franc)</option>
                                                <option <?php echo e($branch->currency == 'YER' ? 'selected' : ''); ?>>YER (Yemeni Rial)</option>
                                                <option <?php echo e($branch->currency == 'ZAR' ? 'selected' : ''); ?>>ZAR (South African Rand)</option>
                                                <option <?php echo e($branch->currency == 'ZMW' ? 'selected' : ''); ?>>ZMW (Zambian Kwacha)</option>
                                                <option <?php echo e($branch->currency == 'ZWL' ? 'selected' : ''); ?>>ZWL (Zimbabwean Dollar)</option>
                                            </select>
                                            <?php if($errors->has('currency')): ?>
                                                <div class="alert alert-danger">
                                                    <?php echo e($errors->first('currency')); ?>

                                                </div>
                                            <?php endif; ?>
                                        </div>

                                        <div class="col-md-8">
                                            <div class="form-group">
                                                <label>Price</label>
                                                <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Price"
                                                    name="price" id="example-number-input" value="<?php echo e($branch->price); ?>">
                                                <?php if($errors->has('price')): ?>
                                                    <div class="alert alert-danger">
                                                        <?php echo e($errors->first('price')); ?>

                                                    </div>
                                                <?php endif; ?>
                                            </div>
                                        </div>

                                    </div>
                                </div>

                                <!-- <div class="col-md-4 price" id="pricehidden3">
                                                            <div class="form-group">
                                                                <label>Price</label>
                                                                <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Price"
                                                                    id="example-number-input">
                                                            </div>
                                                        </div> -->




                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="control-label">Software</label>
                                        <select class="form-control select2" name="software">
                                            <option selected disabled>Select</option>
                                            
                                            <option value="IT & Accessories" <?php echo e($branch->software == 'IT & Accessories' ? 'selected' : ''); ?>>IT & Accessories</option>
                                            <option value="Mobile & Accessories" <?php echo e($branch->software == 'Mobile & Accessories' ? 'selected' : ''); ?>>Mobile & Accessories</option>
                                            <option value="Food Stuff" <?php echo e($branch->software == 'Food Stuff' ? 'selected' : ''); ?>>Food Stuff</option>
                                            <option value="Building Materials" <?php echo e($branch->software == 'Building Materials' ? 'selected' : ''); ?>>Building Materials</option>
                                            <option value="Car paint" <?php echo e($branch->software == 'Car paint' ? 'selected' : ''); ?>>Car paint</option>
                                        </select>
                                        <?php if($errors->has('software')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('software')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>

                                </div>



                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Software Issue Date</label>
                                        <input class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}"
                                            name="issue_date" value="<?php echo e($branch->issue_date); ?>">
                                        <?php if($errors->has('issue_date')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('issue_date')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Software Expiry Date</label>
                                        <input class="form-control" type="date" id="example-number-input"
                                            name="expiry_date" value="<?php echo e($branch->expiry_date); ?>" pattern="dd/mm/yy">
                                        <?php if($errors->has('expiry_date')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('expiry_date')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>




                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Lieninancy</label>
                                        <input class="form-control" type="text" name="leniency"
                                            placeholder="Enter Leniency Time" id="example-number-input"
                                            value="<?php echo e($branch->leniency); ?>">

                                        
                                    </div>
                                </div>
                                <div class="col-md-4 custveri">
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input type="checkbox" form="insert_form" class="custom-control-input"
                                            name="verification" id="customSwitch72" value="1"
                                            <?php echo e($branch->verification == 1 ? 'checked' : ''); ?>>
                                        <label class="custom-control-label" for="customSwitch72">Verification
                                            For User</label>
                                    </div>
                                </div>
                                <!-- <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Currency ID</label>
                                        <input class="form-control" type="text" name="currency_id"
                                            placeholder="Enter Currency ID" id="example-number-input"
                                            value="<?php echo e($branch->currency_id); ?>">

                                    </div>
                                </div> -->
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Currency Detail</label>
                                        <input class="form-control" type="text" name="currency_detail"
                                            placeholder="Enter Currency Detail" id="example-number-input"
                                            value="<?php echo e($branch->currency_detail); ?>">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Currency Decimal</label>
                                        <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" name="currency_decimal"
                                            placeholder="Enter Currency Decimal" id="example-number-input"
                                            value="<?php echo e($branch->currency_decimal); ?>">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Minal Unit</label>
                                        <input class="form-control" type="text" name="minal_unit"
                                            placeholder="Enter Minal Unit" id="example-number-input"
                                            value="<?php echo e($branch->minal_unit); ?>">
                                    </div>
                                </div>


                            </div>



                    </div>
                </div>
            </div>
        </div>
    </div>


    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <!-- Start row -->
                    <div class="row">

                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form" class="custom-control-input selectallMaster"
                                    id="selectallMaster" unchecked>
                                <label class="custom-control-label titlcust" for="selectallMaster">Master<label>
                            </div>
                            <?php $__empty_1 = true; $__currentLoopData = $permissions->where('type','Master'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="<?php echo e($permission->id); ?>" name="permissions[]" type="checkbox"
                                    <?php echo e(in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : ''); ?>

                                        form="insert_form" class="custom-control-input master"
                                        id="customSwitch<?php echo e($permission->id); ?>"
                                        <?php if($permission->enabled): ?> checked <?php endif; ?>>
                                    <label class="custom-control-label titlcust" for="customSwitch<?php echo e($permission->id); ?>">
                                        <?php echo e(ucwords(str_replace('-', ' ', $permission->name))); ?></label>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form" class="custom-control-input selectallReports"
                                    id="selectallReports" unchecked>
                                <label class="custom-control-label titlcust" for="selectallReports">Reports<label>
                            </div>
                            <?php $__empty_1 = true; $__currentLoopData = $permissions->where('type','Report'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="<?php echo e($permission->id); ?>" name="permissions[]" type="checkbox"
                                    <?php echo e(in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : ''); ?>

                                        form="insert_form" class="custom-control-input reports"
                                        id="customSwitch<?php echo e($permission->id); ?>"
                                        <?php if($permission->enabled): ?> checked <?php endif; ?>>
                                    <label class="custom-control-label titlcust" for="customSwitch<?php echo e($permission->id); ?>">
                                        <?php echo e(ucwords(str_replace('-', ' ', $permission->name))); ?></label>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form"
                                    class="custom-control-input selectallTransactions" id="selectallTransactions"
                                    unchecked>
                                <label class="custom-control-label titlcust"
                                    for="selectallTransactions">Transactions<label>
                            </div>
                            <?php $__empty_1 = true; $__currentLoopData = $permissions->where('type','Transactions'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="<?php echo e($permission->id); ?>" name="permissions[]" type="checkbox"
                                    <?php echo e(in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : ''); ?>

                                        form="insert_form" class="custom-control-input transactions"
                                        id="customSwitch<?php echo e($permission->id); ?>"
                                        <?php if($permission->enabled): ?> checked <?php endif; ?>>
                                    <label class="custom-control-label titlcust" for="customSwitch<?php echo e($permission->id); ?>">
                                        <?php echo e(ucwords(str_replace('-', ' ', $permission->name))); ?></label>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form" class="custom-control-input selectallOthers"
                                    id="selectallOthers" unchecked>
                                <label class="custom-control-label titlcust" for="selectallOthers">Others<label>
                            </div>
                            <?php $__empty_1 = true; $__currentLoopData = $permissions->where('type','Others'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="<?php echo e($permission->id); ?>" name="permissions[]" type="checkbox"
                                    <?php echo e(in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : ''); ?>

                                        form="insert_form" class="custom-control-input others"
                                        id="customSwitch<?php echo e($permission->id); ?>"
                                        <?php if($permission->enabled): ?> checked <?php endif; ?>>
                                    <label class="custom-control-label titlcust" for="customSwitch<?php echo e($permission->id); ?>">
                                        <?php echo e(ucwords(str_replace('-', ' ', $permission->name))); ?></label>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form"
                                    class="custom-control-input selectallPeriodClosing" id="selectallPeriodClosing"
                                    unchecked>
                                <label class="custom-control-label titlcust" for="selectallPeriodClosing">Period
                                    Closing<label>
                            </div>
                            <?php $__empty_1 = true; $__currentLoopData = $permissions->where('type','period-closing'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="<?php echo e($permission->id); ?>" name="permissions[]" type="checkbox"
                                    <?php echo e(in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : ''); ?>

                                        form="insert_form" class="custom-control-input period-closing"
                                        id="customSwitch<?php echo e($permission->id); ?>"
                                        <?php if($permission->enabled): ?> checked <?php endif; ?>>
                                    <label class="custom-control-label titlcust" for="customSwitch<?php echo e($permission->id); ?>">
                                        <?php echo e(ucwords(str_replace('-', ' ', $permission->name))); ?></label>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php endif; ?>
                        </div>
                        <div class="col-md-2">
                            <div class="custom-control custom-switch mb-2" dir="ltr">
                                <input type="checkbox" form="insert_form" class="custom-control-input selectallUsers"
                                    id="selectallUsers" unchecked>
                                <label class="custom-control-label titlcust" for="selectallUsers">Show User<label>
                            </div>
                            <?php $__empty_1 = true; $__currentLoopData = $permissions->where('type','user'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input value="<?php echo e($permission->id); ?>" name="permissions[]" type="checkbox"
                                    <?php echo e(in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : ''); ?>

                                        form="insert_form" class="custom-control-input user"
                                        id="customSwitch<?php echo e($permission->id); ?>"
                                        <?php if($permission->enabled): ?> checked <?php endif; ?>>
                                    <label class="custom-control-label titlcust" for="customSwitch<?php echo e($permission->id); ?>">
                                        <?php echo e(ucwords(str_replace('-', ' ', $permission->name))); ?></label>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <?php endif; ?>
                        </div>
                    </div>
                    <button class="btn btn-cust1 float-right" form="insert_form" type="submit">Update</button>
                </div>
            </div>
        </div>
    </div>
    </form>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script>
        $(document).ready(function() {

            var company_id = $('#company').val();
            if (company_id) {
                $.ajax({
                    type: 'GET',
                    url: '<?php echo e(url('get_countries')); ?>',
                    data: {
                        company_id: company_id
                    },
                    success: function(html) {
                        $('#country').html('<option value=' + html.country + '>' + html
                            .country + '</option>');
                    }
                });
            } else {
                $('#country').html('<option value="">Select Company First</option>');
            }

            $('#company').on('change', function() {
                var company_id = $(this).val();
                if (company_id) {
                    $.ajax({
                        type: 'GET',
                        url: '<?php echo e(url('get_countries')); ?>',
                        data: {
                            company_id: company_id
                        },
                        success: function(html) {
                            $('#country').html('<option value=' + html.country + '>' + html
                                .country + '</option>');
                        }
                    });
                } else {
                    $('#country').html('<option value="">Select Company First</option>');
                }
            });

            // Get the "Master" switch element and individual permission switch elements
            var selectAllMaster = document.getElementById('selectallMaster');
            var masterSwitches = document.querySelectorAll('.custom-control-input.master');

            // Add click event listener to "Master" switch
            selectAllMaster.addEventListener('click', function() {
                var isChecked = selectAllMaster.checked;

                // Set all individual permission switches based on the "Master" switch's state
                masterSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Reports" switch element and individual permission switch elements for reports
            var selectAllReports = document.getElementById('selectallReports');
            var reportSwitches = document.querySelectorAll('.custom-control-input.reports');

            // Add click event listener to "Reports" switch
            selectAllReports.addEventListener('click', function() {
                var isChecked = selectAllReports.checked;

                // Set all individual permission switches for reports based on the "Reports" switch's state
                reportSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Transactions" switch element and individual permission switch elements for transactions
            var selectallTransactions = document.getElementById('selectallTransactions');
            var transactionSwitches = document.querySelectorAll('.custom-control-input.transactions');

            // Add click event listener to "Transactions" switch
            selectallTransactions.addEventListener('click', function() {
                var isChecked = selectallTransactions.checked;

                // Set all individual permission switches for transactions based on the "Transactions" switch's state
                transactionSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Others" switch element and individual permission switch elements for others
            var selectallOthers = document.getElementById('selectallOthers');
            var otherSwitches = document.querySelectorAll('.custom-control-input.others');

            // Add click event listener to "Others" switch
            selectallOthers.addEventListener('click', function() {
                var isChecked = selectallOthers.checked;

                // Set all individual permission switches for others based on the "Others" switch's state
                otherSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Period Closing" switch element and individual permission switch elements for Period-closing
            var selectallPeriodClosing = document.getElementById('selectallPeriodClosing');
            var periodSwitches = document.querySelectorAll('.custom-control-input.period-closing');

            // Add click event listener to "Period Closing" switch
            selectallPeriodClosing.addEventListener('click', function() {
                var isChecked = selectallPeriodClosing.checked;

                // Set all individual permission switches for others based on the "Others" switch's state
                periodSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Show User" switch element and individual permission switch elements for Show User
            var selectallUsers = document.getElementById('selectallUsers');
            var userSwitches = document.querySelectorAll('.custom-control-input.user');

            // Add click event listener to "Show User" switch
            selectallUsers.addEventListener('click', function() {
                var isChecked = selectallUsers.checked;

                // Set all individual permission switches for others based on the "Others" switch's state
                userSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.superadmin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/super_admin/branch_master/superadmin-edit.blade.php ENDPATH**/ ?>