<?php $__env->startSection('content'); ?>
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Statement of Accounts

                                </h6>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                
                                <h6 class="">Date: <span><?php echo e($from_date); ?></span> To <span><?php echo e($to_date); ?></span></h6>
                            </div>
                            <div class="col-md-6">
                                <div class="btn-group float-right" role="group" aria-label="Basic example">
                                    <a href="" type="button" class="btn btn-outline-primary"><i
                                            class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                    <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                        Formate</a>

                                </div>
                            </div>
                        </div>
                        <br>
                            <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered dt-responsive nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Date</th>
                                            <th>Voucher Description</th>
                                            <th>Amount</th>
                                            <th>Invoice Due Date</th>
                                            <th>Over Due By Days</th>
                                        </tr>
                                    </thead>

                                    <tbody>
                                        <?php $__currentLoopData = $allData->sortBy('date'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php if(is_object($data)): ?>
                                        <tr>
                                            <td>
                                                <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                                    <?php echo e($data->date); ?>

                                                <?php elseif($data instanceof \App\AdminPurchaesInvoice): ?>
                                                    <?php echo e($data->date); ?>

                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                                    <span><strong><a href="<?php echo e(route('software.admin_sales_invoice.show', ['admin_sales_invoice' => $data->id])); ?>">Sales#
                                                        <?php echo e($data->invoice_no); ?></a></strong></span>
                                                <?php elseif($data instanceof \App\AdminPurchaesInvoice): ?>
                                                    <span><strong><a href="<?php echo e(route('software.purchase_invoices.show', ['purchase_invoice' => $data->id])); ?>">Purchase#
                                                        <?php echo e($data->invoice_no); ?></a></strong></span>
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                                    <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                                <?php elseif($data instanceof \App\AdminPurchaesInvoice): ?>
                                                    <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if($data instanceof \App\AdminSalesInvoice || $data instanceof \App\AdminPurchaesInvoice): ?>
                                                    <?php echo e($data->lpo_days); ?>

                                                <?php endif; ?>
                                            </td>
                                            
                                            <td>
                                                <?php if($data instanceof \App\AdminSalesInvoice || $data instanceof \App\AdminPurchaesInvoice): ?>
                                                    <?php
                                                        $dueDate = $data->lpo_days;
                                                        $overDueDays = \Carbon\Carbon::now()->diffInDays($dueDate, false);
                                                        $overDueDays = $overDueDays > '' ? '' : abs($overDueDays);
                                                    ?>
                                                    <?php echo e($overDueDays); ?>

                                                <?php endif; ?>
                                            </td>

                                        </tr>
                                        <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/reports/index_ledger_billwise.blade.php ENDPATH**/ ?>