<?php $__env->startSection('content'); ?>


        <div class="row">
            <div class="col-md-12">
                <div class="row mt-4 mb-1">
                    <div class="col-md-6">
                        <h6 class="card-title mb-4 titlcust">View Opening Balance For Inventory</h6>
                    </div>
                    <div class="col-md-6">
                        <a href="">
                            <button class="btn btn-outline-primary float-right cust-btn1"
                                onclick="printPageArea('printableArea')" type="submit">Print Document
                            </button>
                        </a>
                        <a href="">
                            <button class="btn btn-outline-primary float-right" type="submit">Back
                            </button>
                        </a>
                    </div>
                </div>
                <div class="card" id="printableArea">
                    <div class="card-body">

                        <h6 class="card-title mb-1 text-center font-size-20">Opening Balance For Inventory</h6>
                        <br>


                        <?php if(!empty(($companyLogo = auth()->user()->company_logo))): ?>
                        <div class="col-md-12 d-flex align-items-center justify-content-center">
                            <img src="<?php echo e(asset('storage/app/public/' . $companyLogo)); ?>" class="img-fluid"
                                alt="logo" width="270px">
                            </div>
                        <?php else: ?>
                        
                        <?php endif; ?>

                        <div class="row">
                            <div class="col-md-9 pt-2" style="border-top: solid;border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                                <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Name: </strong> <?php echo e($company->name); ?></p>
                                <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Name: </strong> <?php echo e(session()->get('branch')->name); ?></p>
                                <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Address</strong> <?php echo e(session()->get('branch')->address); ?></p>
                                <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Country</strong> <?php echo e($company->country); ?></p>
                                <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company CR Number</strong> <?php echo e($company->cr_number); ?></p>
                                <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company VAT Number</strong> <?php echo e($company->vat_number); ?></p>
                            </div>
                            <div class="col-md-3 pt-2" style="border-top: solid;border-right: solid;border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                                <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Date : </strong> <?php echo e(date('d/m/Y', strtotime($openingBalance[0]->date))); ?></p>
                                <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Opening Balance # : </strong> <?php echo e($openingBalance[0]->invoice_no); ?></p>
                                
                                
                                
                                
                            </div>
                            
                        </div>
                        <div class="row">
                            <div class="table-responsive mb-0 pb-0" >
                                <table class="table table-striped table-bordered dt-responsive nowrap mb-0" style="border-bottom: solid;border-left: solid;border-right: solid;border-left: solid;border-color: black;padding: 0;">
                                    <thead >
                                        <tr style="background-color: lightgray;color:black;border-color: black">
                                            <th style="border: none">Item Name</th>
                                            <th style="border: none">Item Description</th>
                                            <th style="border: none">warehouse</th>
                                            <th style="border: none">quantity</th>
                                            <th style="border: none">Item Unit</th>
                                            <th style="border: none">Rate Unit</th>
                                            <th style="border: none">Amount</th>
                                        </tr>
                                    </thead>
                                    <tbody id="table-body" >
                                        <?php
                                            $totalQuantity = 0;
                                            $totalRate = 0;
                                        ?>
                                        <?php $__currentLoopData = $openingBalance; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$op): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                       <tr>
                                            <td class="border border-dark"><?php echo e($op->item->name ?? ''); ?></td>
                                            <td class="border border-dark"><?php echo e($op->item_description); ?></td>
                                            <td class="border border-dark"><?php echo e($op->warehouse->name); ?></td>
                                            <td class="border border-dark"><?php echo e($op->quantity); ?></td>
                                            <td class="border border-dark"><?php echo e($op->unit->unit); ?></td>
                                            <td class="border border-dark"><?php echo e(number_format($op->rate_unit, session('branch')->currency_decimal)); ?></td>
                                            <td class="border border-dark"><?php echo e(number_format($op->amount, session('branch')->currency_decimal)); ?></td>

                                       </tr>
                                       <?php

                                            $totalQuantity += $op->quantity;
                                            $totalRate += $op->amount ;
                                        ?>
                                       <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-8 pt-2" style="border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                                <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><?php echo session()->get('branch')->payment_details; ?></p>
                            </div>
                            <div class="col-md-2" style="border-left: solid;border-color: black;padding: 0;">
                                <p class="text-dark font-weight-bold" style="border-bottom: solid;border-right: solid;border-color: black;padding: 5px;margin:0;"><strong>Quantity Total </strong></p>
                                <p class="text-dark font-weight-bold" style="border-bottom: solid;border-right: solid;border-color: black;padding: 5px;margin:0;"><strong>Net Total </strong></p>
                            </div>
                            <div class="col-md-2" style="border-right: solid;border-color: black;padding: 0;">
                                <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><?php echo e($totalQuantity); ?></p>
                                <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><?php echo e(number_format($totalRate, session('branch')->currency_decimal)); ?></p>
                            </div>

                        </div>
                        <div class="row">
                            <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid; border-left: solid; border-color: black; padding: 0; height: 150px;">
                                <p class="text-dark font-weight-bold text-left" style="padding: 5px; margin: 0;"><strong>Client Signature & Stamp</strong></p>
                            </div>


                            <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid;border-right: solid;border-color: black;padding: 0;height: 150px;">
                                <p class="text-dark font-weight-bold mt-5 text-right" style="padding: 5px;margin:0"><strong><?php echo e($company->name); ?></strong></p>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12 pt-2 d-flex flex-column justify-content-center alien-item-center" >
                                <p class="text-dark font-weight-bold text-center" style="padding: 5px; margin: 0;"><strong>Generated by Ledgematic.com</strong></p>
                            </div>
                        </div>




                        


                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->

    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Initialize total amount
            let totalAmount = 0;
            let totalQty = 0;

            const openingBalance = <?php echo json_encode($openingBalance, 15, 512) ?>;

            openingBalance.forEach(function(op) {

                const itemQTY = parseFloat(op.quantity);
                const itemAmount = parseFloat(op.amount);
                totalQty += itemQTY;
                totalAmount += itemAmount;
            });

            document.getElementById("grand-total-qty").textContent = totalQty.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>);
            document.getElementById("grand-total").textContent = totalAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>);
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/trans_opening_balance/view.blade.php ENDPATH**/ ?>