<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Password Reset</title>

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

  <style>
    /* Custom Styles */
    body {
      font-family: Arial, sans-serif;
      background-color: #f8f8f8;
    }

    .container {
      max-width: 600px;
      margin: 0 auto;
      padding: 20px;
      background-color: #ffffff;
      border-radius: 6px;
      box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    }

    h1 {
      font-size: 24px;
      color: #333333;
      margin-bottom: 20px;
    }

    p {
      margin-bottom: 20px;
      color: #666666;
    }

    .btn {
      display: inline-block;
      font-weight: 500;
      color: #ffffff;
      text-align: center;
      vertical-align: middle;
      user-select: none;
      /* background-color: #3b5de7; */
      border: 1px solid #3b5de7;
      padding: 0.375rem 0.75rem;
      font-size: 0.875rem;
      line-height: 1.5;
      border-radius: 0.25rem;
      transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
      text-decoration: none;
    }

    .btn:hover {
      background-color: #3b5de73d;
      /* border-color: #3b5de7a8; */
    }
  </style>
</head>

<body>
  <div class="container">
    <h1>Password Reset</h1>
    <p>Dear User,</p>
    <p>You have requested to reset your password. Please click the button below to proceed:</p>
    <?php
        $token = session('token');
    ?>
    <a href="<?php echo e(url("reset-pass/$token")); ?>" class="btn">Reset Password</a>
    <p>If you did not request a password reset, you can ignore this email.</p>
    <p>Best regards,<br> Your Company</p>
  </div>
</body>

</html>
<?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/emails/resetMail.blade.php ENDPATH**/ ?>