<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\AdminOtherAccount;
use App\Branches;
use App\BranchPermission;
use App\Company;
use App\Customer;
use App\Expense;
use App\ItemUnit;
use App\AdminItemGroup;
use App\ItemName;
use App\AdminPeriodClosing;
use App\Supplier;
use App\StaffAndSalesman;
use App\AdminWarehouse;
use App\AdminTermsAndCondition;
use App\Quotation;
use App\DeliveryNote;
use App\AdminSalesInvoice;
use App\CreditNote;
use App\PurchaseOrder;
use App\AdminPurchaesInvoice;
use App\WarehouseTransfer;
use App\DebitNote;
use App\AdminReceiptVoucher;
use App\OpeningBalance;
use App\AdminJournalVoucher;
use App\Notifications;
use App\Remainder;
use App\Permission;
use Illuminate\Support\Facades\DB;
class ClearDataController extends Controller
{
    public function cleardata() 
    {
        $data['branches'] = Branches::all();
        $data['companies'] = Company::all();
        return view('super_admin.superadmin-cleardata')->with($data);
    }

    public function allclearData($branchId)
{
    DB::beginTransaction();

    try {
        
        Customer::where('branch_id', $branchId)->delete();
        Expense::where('branch_id', $branchId)->delete();
        ItemUnit::where('branch_id', $branchId)->delete();
        AdminItemGroup::where('branch_id', $branchId)->delete();
        ItemName::where('branch_id', $branchId)->delete();
        AdminOtherAccount::where('branch_id', $branchId)->delete();
        AdminPeriodClosing::where('branch_id', $branchId)->delete();
        Supplier::where('branch_id', $branchId)->delete();
        StaffAndSalesman::where('branch_id', $branchId)->delete();
        AdminWarehouse::where('branch_id', $branchId)->delete();
        AdminTermsAndCondition::where('branch_id', $branchId)->delete();
        Quotation::where('branch_id', $branchId)->delete();
        DeliveryNote::where('branch_id', $branchId)->delete();
        DeliveryNote::where('branch_id', $branchId)->delete();
        AdminSalesInvoice::where('branch_id', $branchId)->delete();
        CreditNote::where('branch_id', $branchId)->delete();
        PurchaseOrder::where('branch_id', $branchId)->delete();
        AdminPurchaesInvoice::where('branch_id', $branchId)->delete();
        WarehouseTransfer::where('branch_id', $branchId)->delete();
        DebitNote::where('branch_id', $branchId)->delete();
        AdminReceiptVoucher::where('branch_id', $branchId)->delete();
        OpeningBalance::where('branch_id', $branchId)->delete();
        AdminJournalVoucher::where('branch_id', $branchId)->delete();
        Notifications::where('branch_id', $branchId)->delete();
        Remainder::where('branch_id', $branchId)->delete();

        DB::commit();

        return redirect()->back()->with('success', 'Data for the branch has been cleared successfully.');
    } catch (\Exception $e) {
        DB::rollback();

        return redirect()->back()->with('error', 'An error occurred while clearing data for the branch.');
    }
}
public function StockSearch() 
    {
        $data['branches'] = Branches::all();
        $data['companies'] = Company::all();
        return view('crusher.stock.stock-search')->with($data);
    }

}
