<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Customer;
use App\AdminPurchaesInvoice;
use App\supplier;
use App\StaffAndSalesman;
use App\Expense;
use App\AdminOtherAccount;
use App\AdminSalesInvoice;
use App\AdminJournalVoucher;
use App\AdminReceiptVoucher;
use App\ReceiptVoucherExpense;
use App\PaymentVoucherExpense ;
use App\Company;
use App\DeliveryNote;
use App\CreditNote;
use App\DebitNote;
use App\OpeningBalance;
use App\PurchaseOrder;
use App\Quotation;
use App\ClassOfAccount;
use Carbon\Carbon;
use App\AccountMaster;
use App\AccountMastersAccountsDetail;
use App\Currency;
use App\Http\Controllers\Controller;
use App\PurchaseInvoice;
use App\PurchaseReturnVoucher;
use App\SaleInvoice;
use App\SalesReturnVoucher;
use App\Services\Utils;
use PDF;
use Auth;
use App\WarehouseTransfer;
use App\AdminPaymentVoucher;
use App\AdminTermsAndCondition;
use App\PurchaseInvoiceExpense;
use App\AdminSalesInvoiceExpense;
use App\AdminItemGroup;
use App\ItemName;
use Illuminate\Support\Facades\DB;
class TrailBalanceReportController extends  Controller
{
    public function view()
    {
        return view('crusher.reports.trail_balance_report');
    }
    // public function trailBalanceReport(request $request) {

    //     $from_date = $request->from_date;
    //     $to_date = $request->to_date;

    //     $class_of_accounts = ClassOfAccount::get();
    //     foreach ($class_of_accounts as $class_of_account){
    //         $debit = 0;
    //         $credit = 0;
    //         foreach ($class_of_account as $account_master){
    //             $debit = $debit + AccountMastersAccountsDetail::Where('account_master_id', $account_master->id)->Where('date', '>=' , $from_date)->Where('date', '<=' , $to_date)->sum('debit');
    //             $credit = $credit + AccountMastersAccountsDetail::Where('account_master_id', $account_master->id)->Where('date', '>=' , $from_date)->Where('date', '<=' , $to_date)->sum('credit');
    //         }
    //         $trial_balance_debit_credit[] = [
    //             "class_of_account" => $class_of_account->name,
    //             "debit" => $debit,
    //             "credit" => $credit,
    //             "debit_decimal" => number_format($debit, 2, '.', ''),
    //             "credit_decimal" => number_format($credit, 2, '.', '')
    //         ];
    //     }

    //     return view('crusher.reports.trail_balance_reports',compact('from_date','to_date'));
    // }
    public function trailBalanceReport(Request $request)
    // {
    //     $from_date = $request->from_date;
    //     $to_date = $request->to_date;

    //     $classOfAccount = ClassOfAccount::first();

    //     $allAccounts = collect();

    //     $customers = Customer::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
    //     $staffAndSalesmen = StaffAndSalesman::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
    //     $suppliers = Supplier::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
    //     $expenses = Expense::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
    //     $adminOtherAccounts = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();

    //     $allAccounts = $allAccounts->merge($customers)->merge($staffAndSalesmen)->merge($suppliers)->merge($expenses)->merge($adminOtherAccounts);

    //     $totalDebit = [];
    //     $totalCredit = [];

    //     foreach ($allAccounts as $account) {
    //         $PurchaesInvoice = AdminPurchaesInvoice::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->get();

    //         $SaleInvoice = AdminSalesInvoice::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->get();

    //         $ReceiptVoucher = ReceiptVoucherExpense::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('created_at', '>=', $from_date . ' 00:00:00')
    //             ->where('created_at', '<=', $to_date . ' 23:59:59')
    //             ->get();

    //         $PaymentVoucher = PaymentVoucherExpense::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('created_at', '>=', $from_date . ' 00:00:00')
    //             ->where('created_at', '<=', $to_date . ' 23:59:59')
    //             ->get();

    //         $CreditNote = CreditNote::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('created_at', '>=', $from_date . ' 00:00:00')
    //             ->where('created_at', '<=', $to_date . ' 23:59:59')
    //             ->get();

    //         $DebitNote = DebitNote::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('created_at', '>=', $from_date . ' 00:00:00')
    //             ->where('created_at', '<=', $to_date . ' 23:59:59')
    //             ->get();

    //         $TotalPurchaesInvoice = $PurchaesInvoice->sum('total_net_amount');
    //         $TotalDebitNote = $DebitNote->sum('total_net_amount');
    //         $TotalPaymentVoucher = $PaymentVoucher->sum('amount');

    //         $TotalSaleInvoice = $SaleInvoice->sum('total_net_amount');
    //         $TotalReceiptVoucher = $ReceiptVoucher->sum('amount');
    //         $TotalCreditNote = $CreditNote->sum('total_net_amount');

    //             $totalDebit[] = [
    //                 'account_id' => $account->id,
    //                 'total_net_amount' => $TotalSaleInvoice + $TotalPaymentVoucher + $TotalDebitNote,
    //             ];

    //             $totalCredit[] = [
    //                 'account_id' => $account->id,
    //                 'total_net_amount' => $TotalPurchaesInvoice + $TotalCreditNote + $TotalReceiptVoucher,
    //             ];
    //     }

    //     dd($allAccounts,$totalDebit,$totalCredit);

    //     return view('crusher.reports.trail_balance_reports', compact('from_date', 'to_date', 'totalDebit','totalCredit','allAccounts','classOfAccount'));
    // }

    {
        $lastFromDate = date("2003-01-01");
        $from_date = $request->from_date;
        $to_date = $request->to_date;
        $lastDay = Carbon::parse($to_date)->subDay()->format('Y-m-d');

        $currentYearFirstDate = date("2003-01-01");
        $oneDayPreviousDate = date('Y-m-d', strtotime('-1 day', strtotime($from_date)));

        // complete stock Opening Balance

        $obcompleteStockgroups = AdminItemGroup::where('branch_id', session()->get('selected_branch'))->get();

        $obcompleteStockitemNames = ItemName::with('unit')->where('branch_id', session()->get('selected_branch'))->get();

        $obcompleteStocksalesInvoices = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
        ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
        ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
        ->whereIn('item_id', $obcompleteStockitemNames->pluck('id'))
        ->whereNotNull('invoice_no')
        ->get();

        $obcompleteStockpurchaseInvoices = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->whereIn('item_id', $obcompleteStockitemNames->pluck('id'))
            ->whereNotNull('invoice_no')
            ->get();


        $obcompleteStockpurchaseInvoices = $obcompleteStockpurchaseInvoices->toArray();
        $obcompleteStocksalesInvoices = $obcompleteStocksalesInvoices->toArray();

            usort($obcompleteStockpurchaseInvoices, function ($a, $b) {
                return strtotime($a['created_at']) - strtotime($b['created_at']);
            });

            usort($obcompleteStocksalesInvoices, function ($a, $b) {
                return strtotime($a['created_at']) - strtotime($b['created_at']);
            });

            $totalQuantity = [];
            $totalRate = [];

            foreach ($obcompleteStockpurchaseInvoices as $purchase) {
                $itemId = $purchase['item_id'];
                $totalQuantity[$itemId][] = $purchase['quantity'];
                $totalRate[$itemId][] = $purchase['quantity'] * $purchase['rate_unit'];
            }

            foreach ($obcompleteStocksalesInvoices as $sale) {
                $itemId = $sale['item_id'];
                $subtractQty = $sale['quantity'];

                while ($subtractQty > 0 && count($totalQuantity[$itemId]) > 0) {
                    $purchaseQty = array_shift($totalQuantity[$itemId]);
                    $purchaseRate = array_shift($totalRate[$itemId]);

                    if ($purchaseQty <= $subtractQty) {
                        $subtractQty -= $purchaseQty;
                    } else {
                        $remainingQty = $purchaseQty - $subtractQty;
                        array_unshift($totalQuantity[$itemId], $remainingQty);
                        array_unshift($totalRate[$itemId], $remainingQty * ($purchaseRate / $purchaseQty));
                        $subtractQty = 0;
                    }
                }
            }

            $remainingTotalQuantity = [];
            $remainingTotalRate = [];
            $combinedData = [];

            foreach ($obcompleteStockitemNames as $item) {
                $itemId = $item->id;
                $itemName = $item->name;
                $remainingTotalQuantity[$itemId] = isset($totalQuantity[$itemId]) ? array_sum($totalQuantity[$itemId]) : 0;
                $remainingTotalRate[$itemId] = isset($totalRate[$itemId]) ? array_sum($totalRate[$itemId]) : 0;

                $combinedData[] = [
                    'itemId' => $itemId,
                    'itemName' => $itemName,
                    'unit' => $item['unit']['unit'],
                    'group_id' => $item['group_id'],
                    'remainingTotalQuantity' => $remainingTotalQuantity[$itemId],
                    'remainingTotalRate' => $remainingTotalRate[$itemId],
                    'remainingRate' => ($remainingTotalQuantity[$itemId] != 0) ? ($remainingTotalRate[$itemId] / $remainingTotalQuantity[$itemId]) : 0,
                ];
            }

            $obgroupedItems = [];

            foreach ($obcompleteStockgroups as $group) {
                $obgroupedItems[$group->name] = [];

                foreach ($combinedData as $item) {
                    if ($item['group_id'] == $group->id) {
                        $obgroupedItems[$group->name][] = $item;
                    }
                }
            }

            // CadminOtherAccount

        $CadminOtherAccount = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
        ->where('account_name', 'cash')
        ->first();

        if ($CadminOtherAccount) {
            $cashAccountId = $CadminOtherAccount->id;
        } else {
            $cashAccountId = null;
        }

        $CPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CSaleInvoice = AdminSalesInvoice::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CCreditNote = CreditNote::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('created_at', '>=', $from_date . ' 00:00:00')
            ->where('created_at', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CDebitNote = DebitNote::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('created_at', '>=', $from_date . ' 00:00:00')
            ->where('created_at', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CReceiptVoucher = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('created_at', '>=', $from_date . ' 00:00:00')
            ->where('created_at', '<=', $to_date . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($cashAccountId) {
                $query->where('account_id', $cashAccountId);
            })
            ->groupBy('invoice_no')
            ->get();
        $CPaymentVoucher = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('created_at', '>=', $from_date . ' 00:00:00')
            ->where('created_at', '<=', $to_date . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($cashAccountId) {
                $query->where('account_id', $cashAccountId);
            })
            ->groupBy('invoice_no')
                ->get();
        $CQuotation = Quotation::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('quotation_no')
            ->get();
        $CJournalVoucher = AdminJournalVoucher::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();

        $CReceiptVouchers = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('payment_method', 'Cash')
            ->groupBy('invoice_no')
            ->get();

        foreach ($CReceiptVouchers as $receiptVoucher) {
            $receiptVoucher->mergedExpenses = $receiptVoucher->expense
                ->groupBy('receipt_id')
                ->map(function ($group) {
                    return [
                        'receipt_id' => $group->first()->receipt_id,
                        'total_amount' => $group->sum('amount'),
                    ];
                })
                ->values();
        }
        $CPaymentVouchers = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->where('payment_method', 'Cash')
            ->groupBy('invoice_no')
            ->get();

        foreach ($CPaymentVouchers as $PaymentVoucher) {
            $PaymentVoucher->mergedExpenses = $PaymentVoucher->expense
                ->groupBy('voucher_id')
                ->map(function ($group) {
                    return [
                        'voucher_id' => $group->first()->voucher_id,
                        'total_amount' => $group->sum('amount'),
                    ];
                })
                ->values();
        }
        $CObPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CObSaleInvoice = AdminSalesInvoice::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CObCreditNote = CreditNote::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CObDebitNote = DebitNote::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();
        $CObReceiptVoucher = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($cashAccountId) {
                $query->where('account_id', $cashAccountId);
            })
            ->groupBy('invoice_no')
            ->get();
        $CObPaymentVoucher = AdminPaymentVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->whereHas('expense', function ($query) use ($cashAccountId) {
                $query->where('account_id', $cashAccountId);
            })
            ->groupBy('invoice_no')
                ->get();
        $CObQuotation = Quotation::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('quotation_no')
            ->get();
        $CObJournalVoucher = AdminJournalVoucher::where('account_id', $cashAccountId)
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();

        $CObReceiptVouchers = AdminReceiptVoucher::with('expense')
            ->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->where('payment_method', 'Cash')
            ->groupBy('invoice_no')
            ->get();

        foreach ($CObReceiptVouchers as $receiptVoucher) {
            $receiptVoucher->mergedExpenses = $receiptVoucher->expense
                ->groupBy('receipt_id')
                ->map(function ($group) {
                    return [
                        'receipt_id' => $group->first()->receipt_id,
                        'total_amount' => $group->sum('amount'),
                    ];
                })
                ->values();
        }
        $COBPaymentVouchers = AdminPaymentVoucher::with('expense')
        ->where('branch_id', session()->get('selected_branch'))
        ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
        ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
        ->where('payment_method', 'Cash')
        ->groupBy('invoice_no')
        ->get();

        foreach ($COBPaymentVouchers as $PaymentVoucher) {
            $PaymentVoucher->mergedExpenses = $PaymentVoucher->expense
                ->groupBy('voucher_id')
                ->map(function ($group) {
                    return [
                        'voucher_id' => $group->first()->voucher_id,
                        'total_amount' => $group->sum('amount'),
                    ];
                })
                ->values();
        }

        $customer = Customer::where('branch_id', session()->get('selected_branch'))->get()->toArray();
        $staffAndSalesman = StaffAndSalesman::where('branch_id', session()->get('selected_branch'))->get()->toArray();
        $supplier = Supplier::where('branch_id', session()->get('selected_branch'))->get()->toArray();
        $expense = Expense::where('branch_id', session()->get('selected_branch'))->get()->toArray();
        $adminOtherAccount = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))->get()->toArray();

        $allAccounts = array_merge($customer, $staffAndSalesman, $supplier, $expense, $adminOtherAccount);

        $PurchaesInvoice = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->orderBy('invoice_no', 'asc')
            ->get()
            ->toArray();

        $SaleInvoice = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->orderBy('date', 'asc')
            ->get()
            ->toArray();

        $CreditNote = CreditNote::with('expense')->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $DebitNote = DebitNote::with('expense')->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $PurchaseOrder = PurchaseOrder::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $Quotation = Quotation::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('quotation_no')
            ->get()
            ->toArray();
        $ObPurchaesInvoice = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();

        $ObSaleInvoice = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();

        $ObCreditNote = CreditNote::with('expense')->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $ObDebitNote = DebitNote::with('expense')->where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->get()
            ->toArray();
        $ObPurchaseOrder = PurchaseOrder::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get()
            ->toArray();
        $ObQuotation = Quotation::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->groupBy('quotation_no')
            ->get()
            ->toArray();


        $purchaesInvoiceData = [];
        $saleInvoiceData = [];
        $CreditNoteData = [];
        $DebitNoteData = [];
        $PurchaseOrderData = [];
        $QuotationData = [];

        $ObpurchaesInvoiceData = [];
        $ObsaleInvoiceData = [];
        $ObCreditNoteData = [];
        $ObDebitNoteData = [];
        $ObPurchaseOrderData = [];
        $ObQuotationData = [];

        foreach ($allAccounts as $account) {
            $accountId = $account['id'];

            $purchaseInvoiceMatch = array_filter($PurchaesInvoice, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            $saleInvoiceMatch = array_filter($SaleInvoice, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            $CreditNoteMatch = array_filter($CreditNote, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $DebitNoteMatch = array_filter($DebitNote, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $PurchaseOrderMatch = array_filter($PurchaseOrder, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $QuotationMatch = array_filter($Quotation, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            if (!empty($purchaseInvoiceMatch)) {
                $purchaesInvoiceData[$accountId] = $purchaseInvoiceMatch;
            }

            if (!empty($saleInvoiceMatch)) {
                $saleInvoiceData[$accountId] = $saleInvoiceMatch;
            }

            if (!empty($CreditNoteMatch)) {
                $CreditNoteData[$accountId] = $CreditNoteMatch;
            }
            if (!empty($DebitNoteMatch)) {
                $DebitNoteData[$accountId] = $DebitNoteMatch;
            }
            if (!empty($PurchaseOrderMatch)) {
                $PurchaseOrderData[$accountId] = $PurchaseOrderMatch;
            }
            if (!empty($QuotationMatch)) {
                $QuotationData[$accountId] = $QuotationMatch;
            }
        }
        foreach ($allAccounts as $account) {
            $accountId = $account['id'];

            $ObpurchaseInvoiceMatch = array_filter($ObPurchaesInvoice, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            $ObsaleInvoiceMatch = array_filter($ObSaleInvoice, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            $ObCreditNoteMatch = array_filter($ObCreditNote, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $ObDebitNoteMatch = array_filter($ObDebitNote, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $ObPurchaseOrderMatch = array_filter($ObPurchaseOrder, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });
            $ObQuotationMatch = array_filter($ObQuotation, function ($invoice) use ($accountId) {
                return $invoice['account_id'] == $accountId;
            });

            if (!empty($ObpurchaseInvoiceMatch)) {
                $ObpurchaesInvoiceData[$accountId] = $ObpurchaseInvoiceMatch;
            }

            if (!empty($ObsaleInvoiceMatch)) {
                $ObsaleInvoiceData[$accountId] = $ObsaleInvoiceMatch;
            }

            if (!empty($ObCreditNoteMatch)) {
                $ObCreditNoteData[$accountId] = $ObCreditNoteMatch;
            }
            if (!empty($ObDebitNoteMatch)) {
                $ObDebitNoteData[$accountId] = $ObDebitNoteMatch;
            }
            if (!empty($ObPurchaseOrderMatch)) {
                $ObPurchaseOrderData[$accountId] = $ObPurchaseOrderMatch;
            }
            if (!empty($ObQuotationMatch)) {
                $ObQuotationData[$accountId] = $ObQuotationMatch;
            }
        }

        // $from_date = $request->from_date;
        // $to_date = $request->to_date;

        $classOfAccount = ClassOfAccount::all();

        $allAccounts = collect();

        $customers = Customer::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
        $staffAndSalesmen = StaffAndSalesman::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
        $suppliers = Supplier::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
        $expenses = Expense::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
        $adminOtherAccounts = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();

        $allAccounts = $allAccounts->merge($customers)->merge($staffAndSalesmen)->merge($suppliers)->merge($expenses)->merge($adminOtherAccounts);

        $totalDebit = [];
        $totalCredit = [];
        $processedAccounts = [];
        $mergedAccounts = [];
        $ObMergedAccounts = [];

        $obtotalDebit = [];
        $obtotalCredit = [];
        foreach ($allAccounts as $account) {
            $PurchaesInvoice = AdminPurchaesInvoice::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $SaleInvoice = AdminSalesInvoice::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $ReceiptVoucher = ReceiptVoucherExpense::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                // ->groupBy('invoice_no')
                ->get();

            $PaymentVoucher = PaymentVoucherExpense::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $CreditNote = CreditNote::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $DebitNote = DebitNote::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $TotalPurchaesInvoice = $PurchaesInvoice->sum('total_net_amount');
            $TotalDebitNote = $DebitNote->sum('total_net_amount');
            $TotalPaymentVoucher = $PaymentVoucher->sum('amount');

            $TotalSaleInvoice = $SaleInvoice->sum('total_net_amount');
            $TotalReceiptVoucher = $ReceiptVoucher->sum('amount');
            $TotalCreditNote = $CreditNote->sum('total_net_amount');

            $totalDebitValue = $TotalSaleInvoice + $TotalPaymentVoucher + $TotalDebitNote;
            $totalCreditValue = $TotalPurchaesInvoice + $TotalReceiptVoucher + $TotalCreditNote ;

            $totalDebit[] = [
                'account_id' => $account->class_of_account_id,
                'DebitBalance' => $totalDebitValue,
            ];

            $totalCredit[] = [
                'account_id' => $account->class_of_account_id,
                'creditBalance' => $totalCreditValue,
            ];
        }
        foreach ($allAccounts as $account) {
            $ObPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $ObSaleInvoice = AdminSalesInvoice::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $ObReceiptVoucher = ReceiptVoucherExpense::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                // ->groupBy('invoice_no')
                ->get();

            $ObPaymentVoucher = PaymentVoucherExpense::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $ObCreditNote = CreditNote::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $ObDebitNote = DebitNote::where('account_id', $account->id)
                ->where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
                ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();

            $ObTotalPurchaesInvoice = $ObPurchaesInvoice->sum('total_net_amount');
            $ObTotalDebitNote = $ObDebitNote->sum('total_net_amount');
            $ObTotalPaymentVoucher = $ObPaymentVoucher->sum('amount');

            $ObTotalSaleInvoice = $ObSaleInvoice->sum('total_net_amount');
            $ObTotalReceiptVoucher = $ObReceiptVoucher->sum('amount');
            $ObTotalCreditNote = $ObCreditNote->sum('total_net_amount');

            $ObtotalDebitValue = $ObTotalSaleInvoice + $ObTotalPaymentVoucher + $ObTotalDebitNote;
            $ObtotalCreditValue = $ObTotalPurchaesInvoice + $ObTotalReceiptVoucher + $ObTotalCreditNote;


            $obtotalDebit[] = [
                'account_id' => $account->class_of_account_id,
                'DebitBalance' => $ObtotalDebitValue,
            ];

            $obtotalCredit[] = [
                'account_id' => $account->class_of_account_id,
                'creditBalance' => $ObtotalCreditValue,
            ];
        }

        $CbMergedAccounts = [];

        // Assuming $totalDebit and $obtotalDebit are already populated
        foreach ($allAccounts as $index => $account) {
            $currentTotalDebit = $totalDebit[$index]['DebitBalance'] ?? 0;
            $currentTotalCredit = $totalCredit[$index]['creditBalance'] ?? 0;

            $ObDebitBalance = $obtotalDebit[$index]['DebitBalance'] ?? 0;
            $ObCreditBalance = $obtotalCredit[$index]['creditBalance'] ?? 0;

            $totalDebitValue = $currentTotalDebit + $ObDebitBalance;
            $totalCreditValue = $currentTotalCredit + $ObCreditBalance;

            $ClosingBalance = $totalDebitValue - $totalCreditValue;

            // Determine whether to use debit or credit closing balance
            if ($ClosingBalance < 0) {
                $debitClosingBalance = 0;
                $creditClosingBalance = abs($ClosingBalance);
            } else {
                $debitClosingBalance = $ClosingBalance;
                $creditClosingBalance = 0;
            }

            // Merge entries with the same account_id
            $accountId = $account->class_of_account_id;
            if (!isset($CbMergedAccounts[$accountId])) {
                $CbMergedAccounts[$accountId] = [
                    'account_id' => $accountId,
                    'name' => optional($account->classOfAccount)->name,
                    'totalDebit' => $totalDebitValue,
                    'totalCredit' => $totalCreditValue,
                    'debitClosingBalance' => $debitClosingBalance,
                    'creditClosingBalance' => $creditClosingBalance,
                ];
            } else {
                // If entry with the same account_id exists, merge the values
                $CbMergedAccounts[$accountId]['totalDebit'] += $totalDebitValue;
                $CbMergedAccounts[$accountId]['totalCredit'] += $totalCreditValue;
                $CbMergedAccounts[$accountId]['debitClosingBalance'] += $debitClosingBalance;
                $CbMergedAccounts[$accountId]['creditClosingBalance'] += $creditClosingBalance;
            }
        }

        // Convert the associative array back to indexed array if needed
        $CbMergedAccounts = array_values($CbMergedAccounts);

        // dd($CbMergedAccounts);




// same account_id ko marge kar do
        // All Purchaes Invoice Totals

        $AllPurchaesInvoice = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get()
                ->sum('total_gross_amount');
        $AllDebitNoteInvoice = DebitNote::where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get()
                ->sum('total_gross_amount');

        $AllPurchaesTotals = $AllPurchaesInvoice - $AllDebitNoteInvoice;

        // All Sales Invoice Totals

        $AllSaleInvoice = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get()
                ->sum('total_gross_amount');

        $AllCreditNoteInvoice = CreditNote::where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get()
                ->sum('total_gross_amount');

        // $AllSaleTotals = $AllSaleInvoice - $AllCreditNoteInvoice;

        $grandTotalDebit = 0;
        $grandTotalCredit = 0;

        if ($AllCreditNoteInvoice > $AllSaleInvoice) {
            $grandTotalDebit = $AllCreditNoteInvoice - $AllSaleInvoice;
        } else {
            $grandTotalCredit = $AllSaleInvoice - $AllCreditNoteInvoice;
        }

        $AllSaleTotalsDebit = $grandTotalDebit;
        $AllSaleTotalsCredit = $grandTotalCredit;


        // extra expenses

        $purchaseInvoices = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->groupBy('invoice_no')
            ->get();

        $purchaseInvoiceExpenses = PurchaseInvoiceExpense::whereIn('admin_purchase_invoice_id', $purchaseInvoices->pluck('id'))
            ->get();

        $mergedPurchaseExpenses = $purchaseInvoiceExpenses
        ->groupBy('admin_purchase_invoice_id')
        ->map(function ($group) {
            return [
                'account_name' => $group->first()->account_name,
                'total_expense_amount' => $group->sum('expense_amount'),
            ];
        })
        ->values();

        $SalesInvoices = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();
        $salesInvoiceExpenses = AdminSalesInvoiceExpense::whereIn('admin_sales_invoice_id', $SalesInvoices->pluck('id'))
                ->get();

        $mergedSalesExpenses = $salesInvoiceExpenses
        ->groupBy('admin_sales_invoice_id')
        ->map(function ($group) {
            return [
                'account_name' => $group->first()->account_name,
                'total_expense_amount' => $group->sum('expense_amount'),
            ];
        })
        ->values();

        $PaymentInvoices = AdminPaymentVoucher::where('branch_id', session()->get('selected_branch'))
                ->where('date', '>=', $from_date . ' 00:00:00')
                ->where('date', '<=', $to_date . ' 23:59:59')
                ->groupBy('invoice_no')
                ->get();
        $paymentInvoiceExpenses = PaymentVoucherExpense::whereIn('voucher_id', $PaymentInvoices->pluck('id'))
                ->get();

        $mergedPaymentExpenses = $paymentInvoiceExpenses
        ->groupBy('voucher_id')
        ->map(function ($group) {
            return [
                'account_name' => $group->first()->account_name,
                'amount' => $group->sum('amount'),
            ];
        })
        ->values();

        // Opening Balance

        $groups = AdminItemGroup::where('branch_id', session()->get('selected_branch'))->get();

        $itemNames = ItemName::with('unit')->where('branch_id', session()->get('selected_branch'))->get();

        $salesInvoices = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
        ->whereIn('item_id', $itemNames->pluck('id'))
        ->whereNotNull('invoice_no')
        ->get();

        $purchaseInvoices = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
            ->whereIn('item_id', $itemNames->pluck('id'))
            ->whereNotNull('invoice_no')
            ->get();


        $salesInvoice = AdminSalesInvoice::with([
                'customer' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'supplier' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'StaffAndSalesman' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'Expense' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'AdminOtherAccount' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'item' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'item.group' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                }
            ])
            ->where('branch_id', session()->get('selected_branch'))
            ->whereIn('item_id', $itemNames->pluck('id'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            // ->groupBy('invoice_no')
            ->orderBy('invoice_no')
            ->get();

            $originalPurchaseInvoice = AdminPurchaesInvoice::with([
                'customer' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'supplier' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'StaffAndSalesman' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'Expense' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'AdminOtherAccount' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'item' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'item.group' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                }
            ])
            ->where('branch_id', session()->get('selected_branch'))
            ->whereIn('item_id', $itemNames->pluck('id'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->whereNotNull('invoice_no')
            ->orderBy('invoice_no')
            ->get();

        $openingBalanceForInventory = OpeningBalance::with([
                'customer' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'supplier' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'StaffAndSalesman' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'Expense' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'AdminOtherAccount' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'item' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                },
                'item.group' => function ($query) {
                    $query->where('branch_id', session()->get('selected_branch'));
                }
            ])
            ->where('branch_id', session()->get('selected_branch'))
            ->whereIn('item_id', $itemNames->pluck('id'))
            ->where('date', '>=', $from_date . ' 00:00:00')
            ->where('date', '<=', $to_date . ' 23:59:59')
            ->whereNotNull('invoice_no')
            // ->groupBy('invoice_no')
            ->orderBy('invoice_no')
            ->get();
        $obSalesInvoice = AdminSalesInvoice::with([
            'customer' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'supplier' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'StaffAndSalesman' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'Expense' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'AdminOtherAccount' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            }
        ])
        ->where('branch_id', session()->get('selected_branch'))
        ->whereIn('item_id', $itemNames->pluck('id'))
        ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
        ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
        // ->groupBy('invoice_no')
        ->orderBy('invoice_no')
        ->get();
            $obPurchaseInvoice = AdminPurchaesInvoice::with([
            'customer' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'supplier' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'StaffAndSalesman' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'Expense' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'AdminOtherAccount' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            }
        ])
            ->where('branch_id', session()->get('selected_branch'))
            ->whereIn('item_id', $itemNames->pluck('id'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->whereNotNull('invoice_no')
            ->orderBy('invoice_no')
            ->get();
        $cbSalesInvoice = AdminSalesInvoice::with([
            'customer' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'supplier' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'StaffAndSalesman' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'Expense' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'AdminOtherAccount' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            }
        ])
        ->where('branch_id', session()->get('selected_branch'))
        ->whereIn('item_id', $itemNames->pluck('id'))
        ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
        ->where('date', '<=', $from_date . ' 23:59:59')
        // ->groupBy('invoice_no')
        ->orderBy('invoice_no')
        ->get();
            $cbPurchaseInvoice = AdminPurchaesInvoice::with([
            'customer' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'supplier' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'StaffAndSalesman' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'Expense' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            },
            'AdminOtherAccount' => function ($query) {
                $query->where('branch_id', session()->get('selected_branch'));
            }
        ])
            ->where('branch_id', session()->get('selected_branch'))
            ->whereIn('item_id', $itemNames->pluck('id'))
            ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
            ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
            ->whereNotNull('invoice_no')
            ->orderBy('invoice_no')
            ->get();

        $salesInvoice = $salesInvoice->toArray();
        $openingBalanceForInventory = $openingBalanceForInventory->toArray();
        $originalPurchaseInvoice = $originalPurchaseInvoice->toArray();

        $obSalesInvoice = $obSalesInvoice->toArray();
        $obPurchaseInvoice = $obPurchaseInvoice->toArray();

        $cbSalesInvoice = $cbSalesInvoice->toArray();
        $cbPurchaseInvoice = $cbPurchaseInvoice->toArray();

        $profits = [];
        $remainingPurchaseQty = [];
        $remainingPurchaseRate = [];
        $obRemainingPurchaseQty = [];
        $obRemainingPurchaseRate = [];
        $cbRemainingPurchaseQty = [];
        $cbRemainingPurchaseRate = [];

        $cbPurchaseInvoices = $cbPurchaseInvoice;

        foreach ($cbSalesInvoice as $key => &$sale) {
            $qtyToSell = $sale['quantity'];
            $rate = $sale['rate_unit'];
            $profit = 0;

            foreach ($cbPurchaseInvoices as $purchaseKey => &$purchase) {
                $purchaseQty = $purchase['quantity'];

                if ($qtyToSell > 0 && $purchaseQty > 0) {
                    $unitsSold = min($qtyToSell, $purchaseQty);

                    $profit += $unitsSold * ($rate - $purchase['rate_unit']);

                    $cbPurchaseInvoices[$purchaseKey]['quantity'] -= $unitsSold;

                    $qtyToSell -= $unitsSold;
                }
            }

            unset($purchase);

            $profits[$sale['id']] = $profit;
            $sale['profit'] = $profit;

        }
        $obPurchaseInvoices = $obPurchaseInvoice;

        foreach ($obSalesInvoice as $key => &$sale) {
            $qtyToSell = $sale['quantity'];
            $rate = $sale['rate_unit'];
            $profit = 0;

            foreach ($obPurchaseInvoices as $purchaseKey => &$purchase) {
                $purchaseQty = $purchase['quantity'];

                if ($qtyToSell > 0 && $purchaseQty > 0) {
                    $unitsSold = min($qtyToSell, $purchaseQty);

                    $profit += $unitsSold * ($rate - $purchase['rate_unit']);

                    $obPurchaseInvoices[$purchaseKey]['quantity'] -= $unitsSold;

                    $qtyToSell -= $unitsSold;
                }
            }

            unset($purchase);

            $profits[$sale['id']] = $profit;
            $sale['profit'] = $profit;

        }

        $purchaseInvoice = array_merge($openingBalanceForInventory, $originalPurchaseInvoice);

        foreach ($salesInvoice as $key => &$sale) {
            $qtyToSell = $sale['quantity'];
            $rate = $sale['rate_unit'];
            $profit = 0;

            foreach ($purchaseInvoice as $purchaseKey => &$purchase) {
                $purchaseQty = $purchase['quantity'];

                if ($qtyToSell > 0 && $purchaseQty > 0) {
                    $unitsSold = min($qtyToSell, $purchaseQty);

                    $profit += $unitsSold * ($rate - $purchase['rate_unit']);

                    $purchaseInvoice[$purchaseKey]['quantity'] -= $unitsSold;

                    $qtyToSell -= $unitsSold;
                }
            }

            unset($purchase);

            $profits[$sale['id']] = $profit;
            $sale['profit'] = $profit;

        }

        foreach ($purchaseInvoice as $purchaseKey => $remainingPurchase) {
            $remainingPurchaseQty[$purchaseInvoice[$purchaseKey]['id']] = $remainingPurchase['quantity'];
            $remainingPurchaseRate[$purchaseInvoice[$purchaseKey]['id']] = $remainingPurchase['quantity'] * $remainingPurchase['rate_unit'];

        }

        foreach ($obPurchaseInvoices as $purchaseKey => $remainingPurchase) {
            $obRemainingPurchaseQty[$obPurchaseInvoices[$purchaseKey]['id']] = $remainingPurchase['quantity'];
            $obRemainingPurchaseRate[$obPurchaseInvoices[$purchaseKey]['id']] = $remainingPurchase['quantity'] * $remainingPurchase['rate_unit'];
        }

        foreach ($cbPurchaseInvoices as $purchaseKey => $remainingPurchase) {
            $cbRemainingPurchaseQty[$cbPurchaseInvoices[$purchaseKey]['id']] = $remainingPurchase['quantity'];
            $cbRemainingPurchaseRate[$cbPurchaseInvoices[$purchaseKey]['id']] = $remainingPurchase['quantity'] * $remainingPurchase['rate_unit'];
        }

        $totalRemainingPurchaseQty = array_sum($remainingPurchaseQty);
        $totalRemainingPurchaseRate = array_sum($remainingPurchaseRate);
        $totalObRemainingPurchaseQty = array_sum($obRemainingPurchaseQty);
        $totalObRemainingPurchaseRate = array_sum($obRemainingPurchaseRate);
        $totalcbRemainingPurchaseQty = array_sum($cbRemainingPurchaseQty);
        $totalcbRemainingPurchaseRate = array_sum($cbRemainingPurchaseRate);

        $concatenatedData = array_merge($openingBalanceForInventory, $originalPurchaseInvoice, $salesInvoice);

        // dd($AllPurchaesInvoice ,$AllSaleInvoice);
        // Display the results
        // dd($mergedAccounts,$totalDebit, $totalCredit);

        // $sums = [];

        // // Iterate through $totalDebit and $totalCredit arrays
        // foreach (array_merge($totalDebit, $totalCredit) as $transaction) {
        //     $account_id = $transaction['account_id'];
        //     $total_net_amount = $transaction['total_net_amount'];

        //     // Add the total_net_amount to the sum for the corresponding account_id
        //     if (!isset($sums[$account_id])) {
        //         $sums[$account_id] = 0;
        //     }

        //     $sums[$account_id] += $total_net_amount;
        // }

        // // Now $sums contains the sum of total_net_amount for each account_id
        // dd($sums);
        // dd($PurchaesInvoice,$CreditNote,$ReceiptVoucher);

        // dd($PurchaesInvoice,$DebitNote,$PaymentVoucher,$SaleInvoice,$SaleInvoice,$CreditNote);

        // $combinedData = [];
        // $allAccountsCollection = collect($allAccounts);
        // $totalDebitCollection = collect($totalDebit);
        // $totalCreditCollection = collect($totalCredit);

        // foreach ($classOfAccount as $CA) {
        //     $accountId = $CA->id;

        //     $accountData = $allAccountsCollection->firstWhere('class_of_account_id', $accountId);
        //     $debitData = $totalDebitCollection->firstWhere('account_id', $accountId);
        //     $creditData = $totalCreditCollection->firstWhere('account_id', $accountId);
        //     $combinedData[$accountId] = [
        //         'classOfAccount' => $CA,
        //         'accountData' => $accountData,
        //         'debitData' => $debitData ? $debitData['total_net_amount'] : 0,
        //         'creditData' => $creditData ? $creditData['total_net_amount'] : 0,
        //     ];
        // }

        // dd($allAccounts,$totalDebitCollection,$totalCredit,$combinedData);


        return view('crusher.reports.trail_balance_reports', compact('from_date', 'to_date', 'totalDebit','totalCredit','mergedAccounts','classOfAccount','AllPurchaesInvoice','AllSaleInvoice','allAccounts', 'saleInvoiceData','purchaesInvoiceData','CreditNoteData','DebitNoteData','PurchaseOrderData','QuotationData','ObsaleInvoiceData','ObpurchaesInvoiceData','ObCreditNoteData','ObDebitNoteData','ObPurchaseOrderData','ObQuotationData','CReceiptVouchers','CPurchaesInvoice','CSaleInvoice','CCreditNote','CDebitNote','CReceiptVoucher','CPaymentVoucher','CQuotation','CJournalVoucher','CObReceiptVouchers','CObPurchaesInvoice','CObSaleInvoice','CObCreditNote','CObDebitNote','CObReceiptVoucher','CObPaymentVoucher','CObJournalVoucher','CObQuotation','mergedPurchaseExpenses','mergedSalesExpenses','mergedPaymentExpenses','AllPurchaesTotals','totalObRemainingPurchaseRate','originalPurchaseInvoice','salesInvoice','profits','obgroupedItems','CPaymentVouchers','COBPaymentVouchers','CbMergedAccounts','AllSaleTotalsDebit','AllSaleTotalsCredit'));
    }
    // {
    //     $lastFromDate = date("2003-01-01");
    //     $from_date = $request->from_date;
    //     $to_date = $request->to_date;
    //     $lastDay = Carbon::parse($to_date)->subDay()->format('Y-m-d');

    //     $currentYearFirstDate = date("2003-01-01");
    //     $oneDayPreviousDate = date('Y-m-d', strtotime('-1 day', strtotime($from_date)));

    //     // complete stock Opening Balance

    //     $obcompleteStockgroups = AdminItemGroup::where('branch_id', session()->get('selected_branch'))->get();

    //     $obcompleteStockitemNames = ItemName::with('unit')->where('branch_id', session()->get('selected_branch'))->get();

    //     $obcompleteStocksalesInvoices = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
    //     ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //     ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //     ->whereIn('item_id', $obcompleteStockitemNames->pluck('id'))
    //     ->whereNotNull('invoice_no')
    //     ->get();

    //     $obcompleteStockpurchaseInvoices = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->whereIn('item_id', $obcompleteStockitemNames->pluck('id'))
    //         ->whereNotNull('invoice_no')
    //         ->get();


    //     $obcompleteStockpurchaseInvoices = $obcompleteStockpurchaseInvoices->toArray();
    //     $obcompleteStocksalesInvoices = $obcompleteStocksalesInvoices->toArray();

    //         usort($obcompleteStockpurchaseInvoices, function ($a, $b) {
    //             return strtotime($a['created_at']) - strtotime($b['created_at']);
    //         });

    //         usort($obcompleteStocksalesInvoices, function ($a, $b) {
    //             return strtotime($a['created_at']) - strtotime($b['created_at']);
    //         });

    //         $totalQuantity = [];
    //         $totalRate = [];

    //         foreach ($obcompleteStockpurchaseInvoices as $purchase) {
    //             $itemId = $purchase['item_id'];
    //             $totalQuantity[$itemId][] = $purchase['quantity'];
    //             $totalRate[$itemId][] = $purchase['quantity'] * $purchase['rate_unit'];
    //         }

    //         foreach ($obcompleteStocksalesInvoices as $sale) {
    //             $itemId = $sale['item_id'];
    //             $subtractQty = $sale['quantity'];

    //             while ($subtractQty > 0 && count($totalQuantity[$itemId]) > 0) {
    //                 $purchaseQty = array_shift($totalQuantity[$itemId]);
    //                 $purchaseRate = array_shift($totalRate[$itemId]);

    //                 if ($purchaseQty <= $subtractQty) {
    //                     $subtractQty -= $purchaseQty;
    //                 } else {
    //                     $remainingQty = $purchaseQty - $subtractQty;
    //                     array_unshift($totalQuantity[$itemId], $remainingQty);
    //                     array_unshift($totalRate[$itemId], $remainingQty * ($purchaseRate / $purchaseQty));
    //                     $subtractQty = 0;
    //                 }
    //             }
    //         }

    //         $remainingTotalQuantity = [];
    //         $remainingTotalRate = [];
    //         $combinedData = [];

    //         foreach ($obcompleteStockitemNames as $item) {
    //             $itemId = $item->id;
    //             $itemName = $item->name;
    //             $remainingTotalQuantity[$itemId] = isset($totalQuantity[$itemId]) ? array_sum($totalQuantity[$itemId]) : 0;
    //             $remainingTotalRate[$itemId] = isset($totalRate[$itemId]) ? array_sum($totalRate[$itemId]) : 0;

    //             $combinedData[] = [
    //                 'itemId' => $itemId,
    //                 'itemName' => $itemName,
    //                 'unit' => $item['unit']['unit'],
    //                 'group_id' => $item['group_id'],
    //                 'remainingTotalQuantity' => $remainingTotalQuantity[$itemId],
    //                 'remainingTotalRate' => $remainingTotalRate[$itemId],
    //                 'remainingRate' => ($remainingTotalQuantity[$itemId] != 0) ? ($remainingTotalRate[$itemId] / $remainingTotalQuantity[$itemId]) : 0,
    //             ];
    //         }

    //         $obgroupedItems = [];

    //         foreach ($obcompleteStockgroups as $group) {
    //             $obgroupedItems[$group->name] = [];

    //             foreach ($combinedData as $item) {
    //                 if ($item['group_id'] == $group->id) {
    //                     $obgroupedItems[$group->name][] = $item;
    //                 }
    //             }
    //         }

    //         // CadminOtherAccount

    //     $CadminOtherAccount = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))
    //     ->where('account_name', 'cash')
    //     ->first();

    //     if ($CadminOtherAccount) {
    //         $cashAccountId = $CadminOtherAccount->id;
    //     } else {
    //         $cashAccountId = null;
    //     }

    //     $CPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CSaleInvoice = AdminSalesInvoice::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CCreditNote = CreditNote::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('created_at', '>=', $from_date . ' 00:00:00')
    //         ->where('created_at', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CDebitNote = DebitNote::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('created_at', '>=', $from_date . ' 00:00:00')
    //         ->where('created_at', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CReceiptVoucher = AdminReceiptVoucher::with('expense')
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('created_at', '>=', $from_date . ' 00:00:00')
    //         ->where('created_at', '<=', $to_date . ' 23:59:59')
    //         ->whereHas('expense', function ($query) use ($cashAccountId) {
    //             $query->where('account_id', $cashAccountId);
    //         })
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CPaymentVoucher = AdminPaymentVoucher::with('expense')
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('created_at', '>=', $from_date . ' 00:00:00')
    //         ->where('created_at', '<=', $to_date . ' 23:59:59')
    //         ->whereHas('expense', function ($query) use ($cashAccountId) {
    //             $query->where('account_id', $cashAccountId);
    //         })
    //         ->groupBy('invoice_no')
    //             ->get();
    //     $CQuotation = Quotation::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('quotation_no')
    //         ->get();
    //     $CJournalVoucher = AdminJournalVoucher::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();

    //     $CReceiptVouchers = AdminReceiptVoucher::with('expense')
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->where('payment_method', 'Cash')
    //         ->groupBy('invoice_no')
    //         ->get();

    //     foreach ($CReceiptVouchers as $receiptVoucher) {
    //         $receiptVoucher->mergedExpenses = $receiptVoucher->expense
    //             ->groupBy('receipt_id')
    //             ->map(function ($group) {
    //                 return [
    //                     'receipt_id' => $group->first()->receipt_id,
    //                     'total_amount' => $group->sum('amount'),
    //                 ];
    //             })
    //             ->values();
    //     }
    //     $CPaymentVouchers = AdminPaymentVoucher::with('expense')
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->where('payment_method', 'Cash')
    //         ->groupBy('invoice_no')
    //         ->get();

    //     foreach ($CPaymentVouchers as $PaymentVoucher) {
    //         $PaymentVoucher->mergedExpenses = $PaymentVoucher->expense
    //             ->groupBy('voucher_id')
    //             ->map(function ($group) {
    //                 return [
    //                     'voucher_id' => $group->first()->voucher_id,
    //                     'total_amount' => $group->sum('amount'),
    //                 ];
    //             })
    //             ->values();
    //     }
    //     $CObPurchaesInvoice = AdminPurchaesInvoice::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CObSaleInvoice = AdminSalesInvoice::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CObCreditNote = CreditNote::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CObDebitNote = DebitNote::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CObReceiptVoucher = AdminReceiptVoucher::with('expense')
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->whereHas('expense', function ($query) use ($cashAccountId) {
    //             $query->where('account_id', $cashAccountId);
    //         })
    //         ->groupBy('invoice_no')
    //         ->get();
    //     $CObPaymentVoucher = AdminPaymentVoucher::with('expense')
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->whereHas('expense', function ($query) use ($cashAccountId) {
    //             $query->where('account_id', $cashAccountId);
    //         })
    //         ->groupBy('invoice_no')
    //             ->get();
    //     $CObQuotation = Quotation::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('quotation_no')
    //         ->get();
    //     $CObJournalVoucher = AdminJournalVoucher::where('account_id', $cashAccountId)
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();

    //     $CObReceiptVouchers = AdminReceiptVoucher::with('expense')
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->where('payment_method', 'Cash')
    //         ->groupBy('invoice_no')
    //         ->get();

    //     foreach ($CObReceiptVouchers as $receiptVoucher) {
    //         $receiptVoucher->mergedExpenses = $receiptVoucher->expense
    //             ->groupBy('receipt_id')
    //             ->map(function ($group) {
    //                 return [
    //                     'receipt_id' => $group->first()->receipt_id,
    //                     'total_amount' => $group->sum('amount'),
    //                 ];
    //             })
    //             ->values();
    //     }
    //     $COBPaymentVouchers = AdminPaymentVoucher::with('expense')
    //     ->where('branch_id', session()->get('selected_branch'))
    //     ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //     ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //     ->where('payment_method', 'Cash')
    //     ->groupBy('invoice_no')
    //     ->get();

    //     foreach ($COBPaymentVouchers as $PaymentVoucher) {
    //         $PaymentVoucher->mergedExpenses = $PaymentVoucher->expense
    //             ->groupBy('voucher_id')
    //             ->map(function ($group) {
    //                 return [
    //                     'voucher_id' => $group->first()->voucher_id,
    //                     'total_amount' => $group->sum('amount'),
    //                 ];
    //             })
    //             ->values();
    //     }

    //     $customer = Customer::where('branch_id', session()->get('selected_branch'))->get()->toArray();
    //     $staffAndSalesman = StaffAndSalesman::where('branch_id', session()->get('selected_branch'))->get()->toArray();
    //     $supplier = Supplier::where('branch_id', session()->get('selected_branch'))->get()->toArray();
    //     $expense = Expense::where('branch_id', session()->get('selected_branch'))->get()->toArray();
    //     $adminOtherAccount = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))->get()->toArray();

    //     $allAccounts = array_merge($customer, $staffAndSalesman, $supplier, $expense, $adminOtherAccount);

    //     $PurchaesInvoice = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->orderBy('invoice_no', 'asc')
    //         ->get()
    //         ->toArray();

    //     $SaleInvoice = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->orderBy('date', 'asc')
    //         ->get()
    //         ->toArray();

    //     $CreditNote = CreditNote::with('expense')->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get()
    //         ->toArray();
    //     $DebitNote = DebitNote::with('expense')->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get()
    //         ->toArray();
    //     $PurchaseOrder = PurchaseOrder::where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get()
    //         ->toArray();
    //     $Quotation = Quotation::where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('quotation_no')
    //         ->get()
    //         ->toArray();
    //     $ObPurchaesInvoice = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get()
    //         ->toArray();

    //     $ObSaleInvoice = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get()
    //         ->toArray();

    //     $ObCreditNote = CreditNote::with('expense')->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get()
    //         ->toArray();
    //     $ObDebitNote = DebitNote::with('expense')->where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->get()
    //         ->toArray();
    //     $ObPurchaseOrder = PurchaseOrder::where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get()
    //         ->toArray();
    //     $ObQuotation = Quotation::where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->groupBy('quotation_no')
    //         ->get()
    //         ->toArray();


    //     $purchaesInvoiceData = [];
    //     $saleInvoiceData = [];
    //     $CreditNoteData = [];
    //     $DebitNoteData = [];
    //     $PurchaseOrderData = [];
    //     $QuotationData = [];

    //     $ObpurchaesInvoiceData = [];
    //     $ObsaleInvoiceData = [];
    //     $ObCreditNoteData = [];
    //     $ObDebitNoteData = [];
    //     $ObPurchaseOrderData = [];
    //     $ObQuotationData = [];

    //     foreach ($allAccounts as $account) {
    //         $accountId = $account['id'];

    //         $purchaseInvoiceMatch = array_filter($PurchaesInvoice, function ($invoice) use ($accountId) {
    //             return $invoice['account_id'] == $accountId;
    //         });

    //         $saleInvoiceMatch = array_filter($SaleInvoice, function ($invoice) use ($accountId) {
    //             return $invoice['account_id'] == $accountId;
    //         });

    //         $CreditNoteMatch = array_filter($CreditNote, function ($invoice) use ($accountId) {
    //             return $invoice['account_id'] == $accountId;
    //         });
    //         $DebitNoteMatch = array_filter($DebitNote, function ($invoice) use ($accountId) {
    //             return $invoice['account_id'] == $accountId;
    //         });
    //         $PurchaseOrderMatch = array_filter($PurchaseOrder, function ($invoice) use ($accountId) {
    //             return $invoice['account_id'] == $accountId;
    //         });
    //         $QuotationMatch = array_filter($Quotation, function ($invoice) use ($accountId) {
    //             return $invoice['account_id'] == $accountId;
    //         });

    //         if (!empty($purchaseInvoiceMatch)) {
    //             $purchaesInvoiceData[$accountId] = $purchaseInvoiceMatch;
    //         }

    //         if (!empty($saleInvoiceMatch)) {
    //             $saleInvoiceData[$accountId] = $saleInvoiceMatch;
    //         }

    //         if (!empty($CreditNoteMatch)) {
    //             $CreditNoteData[$accountId] = $CreditNoteMatch;
    //         }
    //         if (!empty($DebitNoteMatch)) {
    //             $DebitNoteData[$accountId] = $DebitNoteMatch;
    //         }
    //         if (!empty($PurchaseOrderMatch)) {
    //             $PurchaseOrderData[$accountId] = $PurchaseOrderMatch;
    //         }
    //         if (!empty($QuotationMatch)) {
    //             $QuotationData[$accountId] = $QuotationMatch;
    //         }
    //     }
    //     foreach ($allAccounts as $account) {
    //         $accountId = $account['id'];

    //         $ObpurchaseInvoiceMatch = array_filter($ObPurchaesInvoice, function ($invoice) use ($accountId) {
    //             return $invoice['account_id'] == $accountId;
    //         });

    //         $ObsaleInvoiceMatch = array_filter($ObSaleInvoice, function ($invoice) use ($accountId) {
    //             return $invoice['account_id'] == $accountId;
    //         });

    //         $ObCreditNoteMatch = array_filter($ObCreditNote, function ($invoice) use ($accountId) {
    //             return $invoice['account_id'] == $accountId;
    //         });
    //         $ObDebitNoteMatch = array_filter($ObDebitNote, function ($invoice) use ($accountId) {
    //             return $invoice['account_id'] == $accountId;
    //         });
    //         $ObPurchaseOrderMatch = array_filter($ObPurchaseOrder, function ($invoice) use ($accountId) {
    //             return $invoice['account_id'] == $accountId;
    //         });
    //         $ObQuotationMatch = array_filter($ObQuotation, function ($invoice) use ($accountId) {
    //             return $invoice['account_id'] == $accountId;
    //         });

    //         if (!empty($ObpurchaseInvoiceMatch)) {
    //             $ObpurchaesInvoiceData[$accountId] = $ObpurchaseInvoiceMatch;
    //         }

    //         if (!empty($ObsaleInvoiceMatch)) {
    //             $ObsaleInvoiceData[$accountId] = $ObsaleInvoiceMatch;
    //         }

    //         if (!empty($ObCreditNoteMatch)) {
    //             $ObCreditNoteData[$accountId] = $ObCreditNoteMatch;
    //         }
    //         if (!empty($ObDebitNoteMatch)) {
    //             $ObDebitNoteData[$accountId] = $ObDebitNoteMatch;
    //         }
    //         if (!empty($ObPurchaseOrderMatch)) {
    //             $ObPurchaseOrderData[$accountId] = $ObPurchaseOrderMatch;
    //         }
    //         if (!empty($ObQuotationMatch)) {
    //             $ObQuotationData[$accountId] = $ObQuotationMatch;
    //         }
    //     }

    //     // $from_date = $request->from_date;
    //     // $to_date = $request->to_date;

    //     $classOfAccount = ClassOfAccount::get();

    //     $allAccounts = collect();

    //     $customers = Customer::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
    //     $staffAndSalesmen = StaffAndSalesman::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
    //     $suppliers = Supplier::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
    //     $expenses = Expense::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();
    //     $adminOtherAccounts = AdminOtherAccount::where('branch_id', session()->get('selected_branch'))->with('classOfAccount')->get();

    //     $allAccounts = $allAccounts->merge($customers)->merge($staffAndSalesmen)->merge($suppliers)->merge($expenses)->merge($adminOtherAccounts);

    //     $totalDebit = [];
    //     $totalCredit = [];
    //     $processedAccounts = [];
    //     $mergedAccounts = [];
    //     foreach ($allAccounts as $account) {
    //         $PurchaesInvoice = AdminPurchaesInvoice::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get();

    //         $SaleInvoice = AdminSalesInvoice::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get();

    //         $ReceiptVoucher = ReceiptVoucherExpense::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get();

    //         $PaymentVoucher = PaymentVoucherExpense::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get();

    //         $CreditNote = CreditNote::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get();

    //         $DebitNote = DebitNote::where('account_id', $account->id)
    //             ->where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get();

    //         $TotalPurchaesInvoice = $PurchaesInvoice->sum('total_net_amount');
    //         $TotalDebitNote = $DebitNote->sum('total_net_amount');
    //         $TotalPaymentVoucher = $PaymentVoucher->sum('amount');

    //         $TotalSaleInvoice = $SaleInvoice->sum('total_net_amount');
    //         $TotalReceiptVoucher = $ReceiptVoucher->sum('amount');
    //         $TotalCreditNote = $CreditNote->sum('total_net_amount');

    //         $totalDebitValue = $TotalSaleInvoice + $TotalPaymentVoucher  + $TotalCreditNote;
    //         $totalCreditValue = $TotalPurchaesInvoice + $TotalReceiptVoucher + $TotalDebitNote;

    //         $Debit = null;
    //         $Credit = null;

    //         if ($totalDebitValue > $totalCreditValue) {
    //             $Debit = $totalDebitValue - $totalCreditValue;
    //         } elseif ($totalDebitValue < $totalCreditValue) {
    //             $Credit = $totalCreditValue - $totalDebitValue;
    //         }

    //         $totalDebit[] = [
    //             'account_id' => $account->id,
    //             'DebitBalance' => $totalDebitValue,
    //         ];

    //         $totalCredit[] = [
    //             'account_id' => $account->id,
    //             'creditBalance' => $totalCreditValue,
    //         ];
    //     }
    //         dd($totalDebit,$totalCredit);

    //         dd($mergedAccounts,);


    //     // All Purchaes Invoice Totals

    //     $AllPurchaesInvoice = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get()
    //             ->sum('total_gross_amount');
    //     $AllDebitNoteInvoice = DebitNote::where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get()
    //             ->sum('total_gross_amount');

    //     $AllPurchaesTotals = $AllPurchaesInvoice - $AllDebitNoteInvoice;

    //     // All Sales Invoice Totals

    //     $AllSaleInvoice = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get()
    //             ->sum('total_gross_amount');

    //     $AllCreditNoteInvoice = CreditNote::where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get()
    //             ->sum('total_gross_amount');

    //     $AllSaleTotals = $AllSaleInvoice - $AllCreditNoteInvoice;
    //     // extra expenses

    //     $purchaseInvoices = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->groupBy('invoice_no')
    //         ->get();

    //     $purchaseInvoiceExpenses = PurchaseInvoiceExpense::whereIn('admin_purchase_invoice_id', $purchaseInvoices->pluck('id'))
    //         ->get();

    //     $mergedPurchaseExpenses = $purchaseInvoiceExpenses
    //     ->groupBy('admin_purchase_invoice_id')
    //     ->map(function ($group) {
    //         return [
    //             'account_name' => $group->first()->account_name,
    //             'total_expense_amount' => $group->sum('expense_amount'),
    //         ];
    //     })
    //     ->values();

    //     $SalesInvoices = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get();
    //     $salesInvoiceExpenses = AdminSalesInvoiceExpense::whereIn('admin_sales_invoice_id', $SalesInvoices->pluck('id'))
    //             ->get();

    //     $mergedSalesExpenses = $salesInvoiceExpenses
    //     ->groupBy('admin_sales_invoice_id')
    //     ->map(function ($group) {
    //         return [
    //             'account_name' => $group->first()->account_name,
    //             'total_expense_amount' => $group->sum('expense_amount'),
    //         ];
    //     })
    //     ->values();

    //     $PaymentInvoices = AdminPaymentVoucher::where('branch_id', session()->get('selected_branch'))
    //             ->where('date', '>=', $from_date . ' 00:00:00')
    //             ->where('date', '<=', $to_date . ' 23:59:59')
    //             ->groupBy('invoice_no')
    //             ->get();
    //     $paymentInvoiceExpenses = PaymentVoucherExpense::whereIn('voucher_id', $PaymentInvoices->pluck('id'))
    //             ->get();

    //     $mergedPaymentExpenses = $paymentInvoiceExpenses
    //     ->groupBy('voucher_id')
    //     ->map(function ($group) {
    //         return [
    //             'account_name' => $group->first()->account_name,
    //             'amount' => $group->sum('amount'),
    //         ];
    //     })
    //     ->values();

    //     // Opening Balance

    //     $groups = AdminItemGroup::where('branch_id', session()->get('selected_branch'))->get();

    //     $itemNames = ItemName::with('unit')->where('branch_id', session()->get('selected_branch'))->get();

    //     $salesInvoices = AdminSalesInvoice::where('branch_id', session()->get('selected_branch'))
    //     ->whereIn('item_id', $itemNames->pluck('id'))
    //     ->whereNotNull('invoice_no')
    //     ->get();

    //     $purchaseInvoices = AdminPurchaesInvoice::where('branch_id', session()->get('selected_branch'))
    //         ->whereIn('item_id', $itemNames->pluck('id'))
    //         ->whereNotNull('invoice_no')
    //         ->get();


    //     $salesInvoice = AdminSalesInvoice::with([
    //             'customer' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'supplier' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'StaffAndSalesman' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'Expense' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'AdminOtherAccount' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'item' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'item.group' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             }
    //         ])
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->whereIn('item_id', $itemNames->pluck('id'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         // ->groupBy('invoice_no')
    //         ->orderBy('invoice_no')
    //         ->get();

    //         $originalPurchaseInvoice = AdminPurchaesInvoice::with([
    //             'customer' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'supplier' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'StaffAndSalesman' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'Expense' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'AdminOtherAccount' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'item' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'item.group' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             }
    //         ])
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->whereIn('item_id', $itemNames->pluck('id'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->whereNotNull('invoice_no')
    //         ->orderBy('invoice_no')
    //         ->get();

    //     $openingBalanceForInventory = OpeningBalance::with([
    //             'customer' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'supplier' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'StaffAndSalesman' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'Expense' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'AdminOtherAccount' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'item' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             },
    //             'item.group' => function ($query) {
    //                 $query->where('branch_id', session()->get('selected_branch'));
    //             }
    //         ])
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->whereIn('item_id', $itemNames->pluck('id'))
    //         ->where('date', '>=', $from_date . ' 00:00:00')
    //         ->where('date', '<=', $to_date . ' 23:59:59')
    //         ->whereNotNull('invoice_no')
    //         // ->groupBy('invoice_no')
    //         ->orderBy('invoice_no')
    //         ->get();
    //     $obSalesInvoice = AdminSalesInvoice::with([
    //         'customer' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'supplier' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'StaffAndSalesman' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'Expense' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'AdminOtherAccount' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         }
    //     ])
    //     ->where('branch_id', session()->get('selected_branch'))
    //     ->whereIn('item_id', $itemNames->pluck('id'))
    //     ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //     ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //     // ->groupBy('invoice_no')
    //     ->orderBy('invoice_no')
    //     ->get();
    //         $obPurchaseInvoice = AdminPurchaesInvoice::with([
    //         'customer' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'supplier' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'StaffAndSalesman' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'Expense' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'AdminOtherAccount' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         }
    //     ])
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->whereIn('item_id', $itemNames->pluck('id'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->whereNotNull('invoice_no')
    //         ->orderBy('invoice_no')
    //         ->get();
    //     $cbSalesInvoice = AdminSalesInvoice::with([
    //         'customer' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'supplier' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'StaffAndSalesman' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'Expense' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'AdminOtherAccount' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         }
    //     ])
    //     ->where('branch_id', session()->get('selected_branch'))
    //     ->whereIn('item_id', $itemNames->pluck('id'))
    //     ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //     ->where('date', '<=', $from_date . ' 23:59:59')
    //     // ->groupBy('invoice_no')
    //     ->orderBy('invoice_no')
    //     ->get();
    //         $cbPurchaseInvoice = AdminPurchaesInvoice::with([
    //         'customer' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'supplier' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'StaffAndSalesman' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'Expense' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         },
    //         'AdminOtherAccount' => function ($query) {
    //             $query->where('branch_id', session()->get('selected_branch'));
    //         }
    //     ])
    //         ->where('branch_id', session()->get('selected_branch'))
    //         ->whereIn('item_id', $itemNames->pluck('id'))
    //         ->where('date', '>=', $currentYearFirstDate . ' 00:00:00')
    //         ->where('date', '<=', $oneDayPreviousDate . ' 23:59:59')
    //         ->whereNotNull('invoice_no')
    //         ->orderBy('invoice_no')
    //         ->get();

    //     $salesInvoice = $salesInvoice->toArray();
    //     $openingBalanceForInventory = $openingBalanceForInventory->toArray();
    //     $originalPurchaseInvoice = $originalPurchaseInvoice->toArray();

    //     $obSalesInvoice = $obSalesInvoice->toArray();
    //     $obPurchaseInvoice = $obPurchaseInvoice->toArray();

    //     $cbSalesInvoice = $cbSalesInvoice->toArray();
    //     $cbPurchaseInvoice = $cbPurchaseInvoice->toArray();

    //     $profits = [];
    //     $remainingPurchaseQty = [];
    //     $remainingPurchaseRate = [];
    //     $obRemainingPurchaseQty = [];
    //     $obRemainingPurchaseRate = [];
    //     $cbRemainingPurchaseQty = [];
    //     $cbRemainingPurchaseRate = [];

    //     $cbPurchaseInvoices = $cbPurchaseInvoice;

    //     foreach ($cbSalesInvoice as $key => &$sale) {
    //         $qtyToSell = $sale['quantity'];
    //         $rate = $sale['rate_unit'];
    //         $profit = 0;

    //         foreach ($cbPurchaseInvoices as $purchaseKey => &$purchase) {
    //             $purchaseQty = $purchase['quantity'];

    //             if ($qtyToSell > 0 && $purchaseQty > 0) {
    //                 $unitsSold = min($qtyToSell, $purchaseQty);

    //                 $profit += $unitsSold * ($rate - $purchase['rate_unit']);

    //                 $cbPurchaseInvoices[$purchaseKey]['quantity'] -= $unitsSold;

    //                 $qtyToSell -= $unitsSold;
    //             }
    //         }

    //         unset($purchase);

    //         $profits[$sale['id']] = $profit;
    //         $sale['profit'] = $profit;

    //     }
    //     $obPurchaseInvoices = $obPurchaseInvoice;

    //     foreach ($obSalesInvoice as $key => &$sale) {
    //         $qtyToSell = $sale['quantity'];
    //         $rate = $sale['rate_unit'];
    //         $profit = 0;

    //         foreach ($obPurchaseInvoices as $purchaseKey => &$purchase) {
    //             $purchaseQty = $purchase['quantity'];

    //             if ($qtyToSell > 0 && $purchaseQty > 0) {
    //                 $unitsSold = min($qtyToSell, $purchaseQty);

    //                 $profit += $unitsSold * ($rate - $purchase['rate_unit']);

    //                 $obPurchaseInvoices[$purchaseKey]['quantity'] -= $unitsSold;

    //                 $qtyToSell -= $unitsSold;
    //             }
    //         }

    //         unset($purchase);

    //         $profits[$sale['id']] = $profit;
    //         $sale['profit'] = $profit;

    //     }

    //     $purchaseInvoice = array_merge($openingBalanceForInventory, $originalPurchaseInvoice);

    //     foreach ($salesInvoice as $key => &$sale) {
    //         $qtyToSell = $sale['quantity'];
    //         $rate = $sale['rate_unit'];
    //         $profit = 0;

    //         foreach ($purchaseInvoice as $purchaseKey => &$purchase) {
    //             $purchaseQty = $purchase['quantity'];

    //             if ($qtyToSell > 0 && $purchaseQty > 0) {
    //                 $unitsSold = min($qtyToSell, $purchaseQty);

    //                 $profit += $unitsSold * ($rate - $purchase['rate_unit']);

    //                 $purchaseInvoice[$purchaseKey]['quantity'] -= $unitsSold;

    //                 $qtyToSell -= $unitsSold;
    //             }
    //         }

    //         unset($purchase);

    //         $profits[$sale['id']] = $profit;
    //         $sale['profit'] = $profit;

    //     }

    //     foreach ($purchaseInvoice as $purchaseKey => $remainingPurchase) {
    //         $remainingPurchaseQty[$purchaseInvoice[$purchaseKey]['id']] = $remainingPurchase['quantity'];
    //         $remainingPurchaseRate[$purchaseInvoice[$purchaseKey]['id']] = $remainingPurchase['quantity'] * $remainingPurchase['rate_unit'];

    //     }

    //     foreach ($obPurchaseInvoices as $purchaseKey => $remainingPurchase) {
    //         $obRemainingPurchaseQty[$obPurchaseInvoices[$purchaseKey]['id']] = $remainingPurchase['quantity'];
    //         $obRemainingPurchaseRate[$obPurchaseInvoices[$purchaseKey]['id']] = $remainingPurchase['quantity'] * $remainingPurchase['rate_unit'];
    //     }

    //     foreach ($cbPurchaseInvoices as $purchaseKey => $remainingPurchase) {
    //         $cbRemainingPurchaseQty[$cbPurchaseInvoices[$purchaseKey]['id']] = $remainingPurchase['quantity'];
    //         $cbRemainingPurchaseRate[$cbPurchaseInvoices[$purchaseKey]['id']] = $remainingPurchase['quantity'] * $remainingPurchase['rate_unit'];
    //     }

    //     $totalRemainingPurchaseQty = array_sum($remainingPurchaseQty);
    //     $totalRemainingPurchaseRate = array_sum($remainingPurchaseRate);
    //     $totalObRemainingPurchaseQty = array_sum($obRemainingPurchaseQty);
    //     $totalObRemainingPurchaseRate = array_sum($obRemainingPurchaseRate);
    //     $totalcbRemainingPurchaseQty = array_sum($cbRemainingPurchaseQty);
    //     $totalcbRemainingPurchaseRate = array_sum($cbRemainingPurchaseRate);

    //     $concatenatedData = array_merge($openingBalanceForInventory, $originalPurchaseInvoice, $salesInvoice);

    //     // dd($AllPurchaesInvoice ,$AllSaleInvoice);
    //     // Display the results
    //     // dd($mergedAccounts,$totalDebit, $totalCredit);

    //     // $sums = [];

    //     // // Iterate through $totalDebit and $totalCredit arrays
    //     // foreach (array_merge($totalDebit, $totalCredit) as $transaction) {
    //     //     $account_id = $transaction['account_id'];
    //     //     $total_net_amount = $transaction['total_net_amount'];

    //     //     // Add the total_net_amount to the sum for the corresponding account_id
    //     //     if (!isset($sums[$account_id])) {
    //     //         $sums[$account_id] = 0;
    //     //     }

    //     //     $sums[$account_id] += $total_net_amount;
    //     // }

    //     // // Now $sums contains the sum of total_net_amount for each account_id
    //     // dd($sums);
    //     // dd($PurchaesInvoice,$CreditNote,$ReceiptVoucher);

    //     // dd($PurchaesInvoice,$DebitNote,$PaymentVoucher,$SaleInvoice,$SaleInvoice,$CreditNote);

    //     // $combinedData = [];
    //     // $allAccountsCollection = collect($allAccounts);
    //     // $totalDebitCollection = collect($totalDebit);
    //     // $totalCreditCollection = collect($totalCredit);

    //     // foreach ($classOfAccount as $CA) {
    //     //     $accountId = $CA->id;

    //     //     $accountData = $allAccountsCollection->firstWhere('class_of_account_id', $accountId);
    //     //     $debitData = $totalDebitCollection->firstWhere('account_id', $accountId);
    //     //     $creditData = $totalCreditCollection->firstWhere('account_id', $accountId);
    //     //     $combinedData[$accountId] = [
    //     //         'classOfAccount' => $CA,
    //     //         'accountData' => $accountData,
    //     //         'debitData' => $debitData ? $debitData['total_net_amount'] : 0,
    //     //         'creditData' => $creditData ? $creditData['total_net_amount'] : 0,
    //     //     ];
    //     // }

    //     // dd($allAccounts,$totalDebitCollection,$totalCredit,$combinedData);

    //     return view('crusher.reports.trail_balance_reports', compact('from_date', 'to_date', 'totalDebit','totalCredit','mergedAccounts','classOfAccount','AllPurchaesInvoice','AllSaleInvoice','allAccounts', 'saleInvoiceData','purchaesInvoiceData','CreditNoteData','DebitNoteData','PurchaseOrderData','QuotationData','ObsaleInvoiceData','ObpurchaesInvoiceData','ObCreditNoteData','ObDebitNoteData','ObPurchaseOrderData','ObQuotationData','CReceiptVouchers','CPurchaesInvoice','CSaleInvoice','CCreditNote','CDebitNote','CReceiptVoucher','CPaymentVoucher','CQuotation','CJournalVoucher','CObReceiptVouchers','CObPurchaesInvoice','CObSaleInvoice','CObCreditNote','CObDebitNote','CObReceiptVoucher','CObPaymentVoucher','CObJournalVoucher','CObQuotation','mergedPurchaseExpenses','mergedSalesExpenses','mergedPaymentExpenses','AllPurchaesTotals','AllSaleTotals','totalObRemainingPurchaseRate','originalPurchaseInvoice','salesInvoice','profits','obgroupedItems','CPaymentVouchers','COBPaymentVouchers'));
    // }


}


