@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Discount Ledger Report</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="">
                            </h6>
                            <h6 class="">Date: <span>{{ $from_date }}</span> To <span>{{ $to_date }}</span>
                            </h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                    Formate</a>

                            </div>
                            <!-- <a href="client-add-expenses.html">
                                        <button class="btn btn-cust2 float-right" type="submit">
                                            <i class="fas fa-mail-bulk"></i>Email (PDF Formate)
                                            </button>
                                    </a>
                                    <a href=""><button type="button" class="btn btn-cust2 float-right waves-effect waves-light">
                                         <i class="fas fa-print">Print </i> & <i class="fas fa-file-pdf">PDF Formate</i>
                                    </button></a> -->
                        </div>
                    </div>
                    <br>
                    <!-- <div class="col-4"> -->
                    <div class="row">

                        <div class="col-md-12">
                            <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr class="td-drak-light">
                                            <th>Date</th>
                                            <th>Voucher Description</th>
                                            <th>Debit</th>
                                            <th>Credit</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $debitTotal = 0;
                                        $creditTotal = 0;
                                        $PurchaesInvoiceTotal = 0;
                                        $saleInvoiceTotal = 0;
                                        $QuotationTotal = 0;
                                        ?>
                                        <?php
                                        $ObdebitTotal = 0;
                                        $ObcreditTotal = 0;
                                        $ObPurchaesInvoiceTotal = 0;
                                        $ObsaleInvoiceTotal = 0;
                                        $ObQuotationTotal = 0;
                                        $ObDebit = 0;
                                        $ObCredit = 0;

                                        foreach ($ObpurchaesInvoiceData as $accountId => $invoices) {
                                            foreach ($invoices as $Pinvoice) {
                                                $ObPurchaesInvoiceTotal += $Pinvoice['discount_amount'];
                                            }
                                        }

                                        foreach ($ObsaleInvoiceData as $accountId => $invoices) {
                                            foreach ($invoices as $Iinvoice) {
                                                $ObsaleInvoiceTotal += $Iinvoice['discount'];
                                            }
                                        }

                                        foreach ($ObQuotationData as $accountId => $invoices) {
                                            foreach ($invoices as $Qinvoice) {
                                                $ObQuotationTotal += $Qinvoice['discount_amount'];
                                            }
                                        }

                                        $ObdebitTotal = $ObsaleInvoiceTotal + $ObQuotationTotal;
                                        $ObcreditTotal = $ObPurchaesInvoiceTotal;

                                        if ($ObdebitTotal > $ObcreditTotal) {
                                              $ObDebit = $ObdebitTotal - $ObcreditTotal;
                                          } elseif ($ObdebitTotal < $ObcreditTotal) {
                                              $ObCredit = $ObcreditTotal - $ObdebitTotal;
                                          }

                                          $DebitopeningBalance = $ObDebit;
                                          $creditOpeningBalance = $ObCredit;
                                        ?>

                                        {{-- @if (!empty($purchaesInvoiceData))
                                        @foreach ($purchaesInvoiceData as $accountId => $invoices)
                                            @foreach ($invoices as $invoice)
                                                <tr>
                                                    <td>{{ $invoice['date'] }}</td>
                                                            <td><strong><a href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $invoice['id']]) }}">Puchase#
                                                                {{ $invoice['invoice_no'] }}</a></strong></td>
                                                    <td></td>
                                                    <td><strong>{{ number_format($invoice['discount_amount'], session('branch')->currency_decimal) }}</strong></td>
                                                </tr>
                                                <?php $PurchaesInvoiceTotal += $invoice['discount_amount']; ?>
                                            @endforeach
                                        @endforeach
                                        @endif

                                        @if (!empty($saleInvoiceData))
                                        @foreach ($saleInvoiceData as $accountId => $invoices)
                                            @foreach ($invoices as $invoice)
                                                <tr>
                                                    <td>{{ $invoice['date'] }}</td>
                                                            <td><strong><a href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $invoice['id']]) }}">Sale#
                                                                {{ $invoice['invoice_no'] }}</a></strong></td>
                                                    <td><strong>{{ number_format($invoice['discount'], session('branch')->currency_decimal) }}</strong></td>
                                                    <td></td>
                                                </tr>
                                                <?php $saleInvoiceTotal += $invoice['discount']; ?>
                                            @endforeach
                                        @endforeach
                                        @endif

                                        @if (!empty($QuotationData))
                                        @foreach ($QuotationData as $accountId => $invoices)
                                            @foreach ($invoices as $invoice)
                                                <tr>
                                                    <td>{{ $invoice['date'] }}</td>
                                                            <td><strong><a href="{{ route('crusher.quotations.show', ['quotation' => $invoice['id']]) }}">Journal#
                                                                {{ $invoice['invoice_no'] }}</a></strong></td>
                                                    <td><strong>{{ number_format($invoice['discount_amount'], session('branch')->currency_decimal) }}</strong></td>
                                                    <td></td>
                                                </tr>
                                                <?php $QuotationTotal += $invoice['discount_amount']; ?>
                                            @endforeach
                                        @endforeach
                                        @endif --}}

                                        @foreach ($allData->sortBy('date') as $data)
                                    @if (is_object($data))
                                    <tr>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\Quotation)
                                                {{ $data->date }}
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                {{ $data->date }}
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                <span><strong><a href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $data->id]) }}">Sales#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\Quotation)
                                                <span><strong><a href="{{ route('crusher.debit_notes.show', ['debit_note' => $data->id]) }}">Debit Note#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @elseif ($data instanceof \App\AdminPurchaesInvoice)
                                                <span><strong><a href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $data->id]) }}">Purchase#
                                                    {{ $data->invoice_no }}</a></strong></span>
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\AdminSalesInvoice)
                                                {{ number_format($data->discount, session('branch')->currency_decimal) }}
                                                @php
                                                    $saleInvoiceTotal += $data['discount'];
                                                @endphp
                                            @elseif ($data instanceof \App\Quotation)
                                                {{ number_format($data->discount_amount, session('branch')->currency_decimal) }}
                                                @php
                                                   $QuotationTotal += $data['discount_amount'];
                                                @endphp
                                            @endif
                                        </td>
                                        <td>
                                            @if ($data instanceof \App\AdminPurchaesInvoice)
                                                {{ number_format($data->discount_amount, session('branch')->currency_decimal) }}
                                                @php
                                                    $PurchaesInvoiceTotal += $data['discount_amount'];
                                                @endphp
                                            @endif
                                        </td>
                                    </tr>
                                    @endif
                                    @endforeach
                                        <?php

                                        $debitTotal = $saleInvoiceTotal + $QuotationTotal;

                                        $creditTotal = $PurchaesInvoiceTotal;

                                        ?>
                                       <tr>
                                            <td></td>
                                            <td>Opening Balance</td>
                                            <td><strong>{{ number_format($ObdebitTotal, session('branch')->currency_decimal) }}</strong></td>
                                            <td><strong>{{ number_format($ObcreditTotal, session('branch')->currency_decimal) }}</strong></td>
                                        </tr>
                                        <tr class="td-drak-bg">
                                            <td></td>
                                            <td><strong>Current Balance</strong></td>
                                            <td><strong>{{ number_format($debitTotal, session('branch')->currency_decimal) }}</strong></td>
                                            <td><strong>{{ number_format($creditTotal, session('branch')->currency_decimal) }}</strong></td>
                                        </tr>
                                        <?php

                                        $DebitCB = $debitTotal + $DebitopeningBalance;

                                        $CreditCB = $creditTotal + $creditOpeningBalance;

                                        $ClosingBalance = $DebitCB - $CreditCB;

                                        ?>
                                        <tr>
                                            <td></td>
                                            <td>Closing Balance</td>
                                            <td>{{ $ClosingBalance >= 0 ? number_format($ClosingBalance, session('branch')->currency_decimal) : '' }} </td>
                                            <td>{{ $ClosingBalance < 0 ? number_format(abs($ClosingBalance), session('branch')->currency_decimal) : '' }}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
@endsection
