@extends('layouts.master_user_without_nav')
@section('css')
<style>
    .vcenter {
        margin-left: 38px;
    }

    h2 {
        text-align: center;
        margin-bottom: 20px;
    }
    .top{
        margin-top: 40px;
    }
    .top1{
        margin-top: 20px;
        margin-bottom: 20px
    }


</style>
@endsection
@section('content')
<div class=" container wrapper wrapper-content animated fadeInRight">
    <form method="POST" id="create_form" action="/main-menu/users-and-privileges/update-limited-user/{{$user->id}}">
        {{ method_field('PATCH') }}
        {{ csrf_field() }}
        <div class="row top1">
            <div class="col-md-12">
                <h3 class="col-md-2"><strong>Edit Limited User</strong></h3>
                {{-- <a href="/main-menu/users-and-privileges/limited-users" class="col-md-2 btn btn-primary">View All Limited Users</a> --}}
            </div>
        </div>
        <div class="row">
            {{-- <div class="col-md-3">
                <div class="form-group">
                    <label for="email-super-user">Email</label>
                    <input id="email" type="email" placeholder="Enter E-Mail Address" class="form-control @error('email') is-invalid @enderror" name="email" value="" required>
                </div>
                <div class="form-group">
                    <label for="password-super-user">Password</label>
                    <input id="password" type="password" placeholder="Enter Password" class="form-control @error('password') is-invalid @enderror" name="password" required>
                </div>
                <div class="form-group">
                    <label for="password-super-user">Confirm Password</label>
                    <input id="confirm-password" type="password" placeholder="Enter Confirm Password" class="form-control @error('confirm-password') is-invalid @enderror" name="confirm-password" required>
                </div>
            </div> --}}
            <div class="col-md-4">
                <div class="form-group">
                    <label class="vcenter top"><input type="radio" id="all_country_location" name="option" value="all_countries_locations"
                        @if ($location_permission_track->permission_option == "all_countries_locations")
                            checked
                        @endif> All Countries & Locations</label>
                </div>
            </div>
            <div class="col-md-4">
                    <div class="form-group">
                        <label><input type="radio" id="countries_all_location" name="option" value="multiple_country_all_locations" required
                            @if ($location_permission_track->permission_option == "multiple_country_all_locations")
                                checked
                            @endif> Select Country</label>
                    <select class="form-control selectpicker" name="multiple_country[]" data-show-subtext="true" multiple data-live-search="true">
                        <option value="">Select Country</option>
                        @foreach ($countries as $country)
                            <option value="{{$country->id}}"
                                @foreach ($selected_countries as $item)
                                    @if ($item == $country->id) selected="selected" @endif
                                @endforeach>{{$country->name}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="form-group">
                    <span>All Locations</span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="form-group">
                    <label><input type="radio" id="country_specific_location" name="option" value="specific_country_multiple_locations"
                        @if ($location_permission_track->permission_option == "specific_country_multiple_locations")
                            checked
                        @endif> Select Country & Location</label>
                    <select class="form-control" name="single_country">
                        <option value="">Select Country</option>
                        @foreach ($countries as $country)
                            <option value="{{$country->id}}" @if ($selected_country == $country->id) selected="selected" @endif>{{$country->name}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="form-group">
                    <label for="location">Select Location</label>
                    <select name="location[]" id="location" class="form-control selectpicker"  data-show-subtext="true" multiple data-live-search="true">
                        @foreach ($locations as $location)
                            <option value="{{$location->id}}"
                                @foreach ($locations_selected as $item)
                                    @if ($item == $location->id) selected="selected" @endif
                                @endforeach >{{$location->name}}</option>
                        @endforeach
                    </select>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-3">
                <h3><strong>Masters</strong></h3>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="customers-account-master"
                        @foreach ($user_permissions as $item)
                            @if('customers-account-master' == $item) checked @endif
                        @endforeach> Customers Account Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="suppliers-account-master"
                        @foreach ($user_permissions as $item)
                            @if('suppliers-account-master' == $item) checked @endif
                        @endforeach> Suppliers Account Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="expenses-account-master"
                        @foreach ($user_permissions as $item)
                            @if('expenses-account-master' == $item) checked @endif
                        @endforeach> Expenses Account Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="other-account-master"
                        @foreach ($user_permissions as $item)
                            @if('other-account-master' == $item) checked @endif
                        @endforeach> Other Account Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="staff-and-salesmen-account-master"
                        @foreach ($user_permissions as $item)
                            @if('staff-and-salesmen-account-master' == $item) checked @endif
                        @endforeach> Staff & Salesmen Account Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="currency-master"
                        @foreach ($user_permissions as $item)
                            @if('currency-master' == $item) checked @endif
                        @endforeach> Currency Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="warehouse-master"
                        @foreach ($user_permissions as $item)
                            @if('warehouse-master' == $item) checked @endif
                        @endforeach> Warehouse Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="item-name-master"
                        @foreach ($user_permissions as $item)
                            @if('item-name-master' == $item) checked @endif
                        @endforeach> Item Name Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="item-group-master"
                        @foreach ($user_permissions as $item)
                            @if('item-group-master' == $item) checked @endif
                        @endforeach> Item Group Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="company-master"
                        @foreach ($user_permissions as $item)
                            @if('company-master' == $item) checked @endif
                        @endforeach> Company Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="terms-and-conditions"
                        @foreach ($user_permissions as $item)
                            @if('terms-and-conditions' == $item) checked @endif
                        @endforeach> Terms & Conditions</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="period-closing"
                        @foreach ($user_permissions as $item)
                            @if('period-closing' == $item) checked @endif
                        @endforeach> Period Closing</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="country-location-master"
                    @foreach ($user_permissions as $item)
                        @if('country-location-master' == $item) checked @endif
                    @endforeach > Country/Location Master</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="users-and-privileges-master"
                        @foreach ($user_permissions as $item)
                            @if('users-and-privileges-master' == $item) checked @endif
                        @endforeach> Users and Privileges Master</label>
                </div>
            </div>
            <div class="col-md-3">
                <h3><strong>Reports</strong></h3>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="approval-voucher-and-do-report"
                        @foreach ($user_permissions as $item)
                            @if('approval-voucher-and-do-report' == $item) checked @endif
                        @endforeach> Approval Voucher & DO Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="balance-sheet-report"
                        @foreach ($user_permissions as $item)
                            @if('balance-sheet-report' == $item) checked @endif
                        @endforeach> Balance Sheet</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="day-book-report"
                        @foreach ($user_permissions as $item)
                            @if('day-book-report' == $item) checked @endif
                        @endforeach> Day Book Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="group-summay-report"
                        @foreach ($user_permissions as $item)
                            @if('group-summay-report' == $item) checked @endif
                        @endforeach> Group Summary</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="official-vat-report"
                        @foreach ($user_permissions as $item)
                            @if('official-vat-report' == $item) checked @endif
                        @endforeach> Official VAT Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="purchase-report"
                        @foreach ($user_permissions as $item)
                            @if('purchase-report' == $item) checked @endif
                        @endforeach> Purchase Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="statement-of-account-report"
                        @foreach ($user_permissions as $item)
                            @if('statement-of-account-report' == $item) checked @endif
                        @endforeach> Statement of Accounts</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="stock-report"
                        @foreach ($user_permissions as $item)
                            @if('stock-report' == $item) checked @endif
                        @endforeach> Stock Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="sales-report"
                        @foreach ($user_permissions as $item)
                            @if('sales-report' == $item) checked @endif
                        @endforeach> Sales Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="salesmen-report"
                        @foreach ($user_permissions as $item)
                            @if('salesmen-report' == $item) checked @endif
                        @endforeach> Salesmen Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="trial-balance-report"
                        @foreach ($user_permissions as $item)
                            @if('trial-balance-report' == $item) checked @endif
                        @endforeach> Trial Balance Report</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="report-of-all-countries-locations"
                        @foreach ($user_permissions as $item)
                            @if('report-of-all-countries-locations' == $item) checked @endif
                        @endforeach> Report of all Countries & Locations</label>
                </div>
            </div>
            <div class="col-md-3">
                <h3><strong>Transactions</strong></h3>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="approval-voucher-delivery-notes"
                        @foreach ($user_permissions as $item)
                            @if('approval-voucher-delivery-notes' == $item) checked @endif
                        @endforeach> Approval Voucher/Delivery Notes</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="sales-voucher"
                        @foreach ($user_permissions as $item)
                            @if('sales-voucher' == $item) checked @endif
                        @endforeach> Sales Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="purchase-voucher"
                        @foreach ($user_permissions as $item)
                            @if('purchase-voucher' == $item) checked @endif
                        @endforeach> Purchase Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="credit-note-sales-return-voucher"
                        @foreach ($user_permissions as $item)
                            @if('credit-note-sales-return-voucher' == $item) checked @endif
                        @endforeach> Credit Note(Sales Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="debit-note-purchase-return-voucher"
                        @foreach ($user_permissions as $item)
                            @if('debit-note-purchase-return-voucher' == $item) checked @endif
                        @endforeach> Debit Note(Purchase Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="payment-voucher"
                        @foreach ($user_permissions as $item)
                            @if('payment-voucher' == $item) checked @endif
                        @endforeach> Payment Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="receipt-voucher"
                        @foreach ($user_permissions as $item)
                            @if('receipt-voucher' == $item) checked @endif
                        @endforeach> Receipt Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="journal-voucher"
                        @foreach ($user_permissions as $item)
                            @if('journal-voucher' == $item) checked @endif
                        @endforeach> Journal Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="deposit-and-withdraw"
                        @foreach ($user_permissions as $item)
                            @if('deposit-and-withdraw' == $item) checked @endif
                        @endforeach> Deposit and Withdraw</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="warehouse-transfer"
                        @foreach ($user_permissions as $item)
                            @if('warehouse-transfer' == $item) checked @endif
                        @endforeach> Warehouse Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="country-location-wise-stock-transfer"
                        @foreach ($user_permissions as $item)
                            @if('country-location-wise-stock-transfer' == $item) checked @endif
                        @endforeach> Country/Location Wise Stock Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="country-location-wise-cash-transfer"
                        @foreach ($user_permissions as $item)
                            @if('country-location-wise-cash-transfer' == $item) checked @endif
                        @endforeach> Country/Location Wise Cash Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]"  value="opening-balances-for-inventory"
                        @foreach ($user_permissions as $item)
                            @if('opening-balances-for-inventory' == $item) checked @endif
                        @endforeach> Opening Balances for Inventory</label>
                </div>
            </div>
            <div class="col-md-3">
                <h3><strong>Others</strong></h3>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-approval-voucher-delivery-notes"
                        @foreach ($user_permissions as $item)
                            @if('edit-approval-voucher-delivery-notes' == $item) checked @endif
                        @endforeach> Edit Approval Voucher/Delivery Notes</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-approval-voucher-delivery-notes"
                        @foreach ($user_permissions as $item)
                            @if('cancel-approval-voucher-delivery-notes' == $item) checked @endif
                        @endforeach> Cancel Approval Voucher/Delivery Notes</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-approval-voucher-delivery-notes"
                        @foreach ($user_permissions as $item)
                            @if('view-print-approval-voucher-delivery-notes' == $item) checked @endif
                        @endforeach> View & Print Approval Voucher/Delivery Notes</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-sales-voucher"
                        @foreach ($user_permissions as $item)
                            @if('edit-sales-voucher' == $item) checked @endif
                        @endforeach> Edit Sales Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-sales-voucher"
                        @foreach ($user_permissions as $item)
                            @if('cancel-sales-voucher' == $item) checked @endif
                        @endforeach> Cancel Sales Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-sales-voucher"
                        @foreach ($user_permissions as $item)
                            @if('view-print-sales-voucher' == $item) checked @endif
                        @endforeach> View & Print Sales Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-purchase-voucher"
                        @foreach ($user_permissions as $item)
                            @if('edit-purchase-voucher' == $item) checked @endif
                        @endforeach> Edit Purchase Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-purchase-voucher"
                        @foreach ($user_permissions as $item)
                            @if('cancel-purchase-voucher' == $item) checked @endif
                        @endforeach> Cancel Purchase Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-purchase-voucher"
                        @foreach ($user_permissions as $item)
                            @if('view-print-purchase-voucher' == $item) checked @endif
                        @endforeach> View & Print Purchase Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-credit-note-sales-return-voucher"
                        @foreach ($user_permissions as $item)
                            @if('edit-credit-note-sales-return-voucher' == $item) checked @endif
                        @endforeach> Edit Credit Note(Sales Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-credit-note-sales-return-voucher"
                        @foreach ($user_permissions as $item)
                            @if('cancel-credit-note-sales-return-voucher' == $item) checked @endif
                        @endforeach> Cancel Credit Note(Sales Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-credit-note-sales-return-voucher"
                        @foreach ($user_permissions as $item)
                            @if('view-print-credit-note-sales-return-voucher' == $item) checked @endif
                        @endforeach> View & Print Credit Note(Sales Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-debit-note-purchase-return-voucher"
                        @foreach ($user_permissions as $item)
                            @if('edit-debit-note-purchase-return-voucher' == $item) checked @endif
                        @endforeach> Edit Debit Note(Purchase Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-debit-note-purchase-return-voucher"
                        @foreach ($user_permissions as $item)
                            @if('cancel-debit-note-purchase-return-voucher' == $item) checked @endif
                        @endforeach> Cancel Debit Note(Purchase Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-debit-note-purchase-return-voucher"
                        @foreach ($user_permissions as $item)
                            @if('view-print-debit-note-purchase-return-voucher' == $item) checked @endif
                        @endforeach> View & Print Debit Note(Purchase Return Voucher)</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-payment-voucher"
                        @foreach ($user_permissions as $item)
                            @if('edit-payment-voucher' == $item) checked @endif
                        @endforeach> Edit Payment Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-payment-voucher"
                        @foreach ($user_permissions as $item)
                            @if('cancel-payment-voucher' == $item) checked @endif
                        @endforeach> Cancel Payment Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-payment-voucher"
                        @foreach ($user_permissions as $item)
                            @if('view-print-payment-voucher' == $item) checked @endif
                        @endforeach> View & Print Payment Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-receipt-voucher"
                        @foreach ($user_permissions as $item)
                            @if('edit-receipt-voucher' == $item) checked @endif
                        @endforeach> Edit Receipt Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-receipt-voucher"
                        @foreach ($user_permissions as $item)
                            @if('cancel-receipt-voucher' == $item) checked @endif
                        @endforeach> Cancel Receipt Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-receipt-voucher"
                        @foreach ($user_permissions as $item)
                            @if('view-print-receipt-voucher' == $item) checked @endif
                        @endforeach> View & Print Receipt Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-journal-voucher"
                        @foreach ($user_permissions as $item)
                            @if('edit-journal-voucher' == $item) checked @endif
                        @endforeach> Edit Journal Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-journal-voucher"
                        @foreach ($user_permissions as $item)
                            @if('cancel-journal-voucher' == $item) checked @endif
                        @endforeach> Cancel Journal Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-journal-voucher"
                        @foreach ($user_permissions as $item)
                            @if('view-print-journal-voucher' == $item) checked @endif
                        @endforeach> View & PrintJournal Voucher</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-deposit-and-withdraw"
                        @foreach ($user_permissions as $item)
                            @if('edit-deposit-and-withdraw' == $item) checked @endif
                        @endforeach> Edit Deposit and Withdraw</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-deposit-and-withdraw"
                        @foreach ($user_permissions as $item)
                            @if('cancel-deposit-and-withdraw' == $item) checked @endif
                        @endforeach> Cancel Deposit and Withdraw</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-deposit-and-withdraw"
                        @foreach ($user_permissions as $item)
                            @if('view-print-deposit-and-withdraw' == $item) checked @endif
                        @endforeach> View & PrintDeposit and Withdraw</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-warehouse-transfer"
                        @foreach ($user_permissions as $item)
                            @if('edit-warehouse-transfer' == $item) checked @endif
                        @endforeach> Edit Warehouse Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-warehouse-transfer"
                        @foreach ($user_permissions as $item)
                            @if('cancel-warehouse-transfer' == $item) checked @endif
                        @endforeach> Cancel Warehouse Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-warehouse-transfer"
                        @foreach ($user_permissions as $item)
                            @if('view-print-warehouse-transfer' == $item) checked @endif
                        @endforeach> View & Print Warehouse Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-country-location-wise-stock-transfer"
                        @foreach ($user_permissions as $item)
                            @if('edit-country-location-wise-stock-transfer' == $item) checked @endif
                        @endforeach> Edit Country/Location Wise Stock Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-country-location-wise-stock-transfer"
                        @foreach ($user_permissions as $item)
                            @if('cancel-country-location-wise-stock-transfer' == $item) checked @endif
                        @endforeach> Cancel Country/Location Wise Stock Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-print-country-location-wise-stock-transfer"
                        @foreach ($user_permissions as $item)
                            @if('view-print-country-location-wise-stock-transfer' == $item) checked @endif
                        @endforeach> View & Print Country/Location Wise Stock Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="edit-country-location-wise-cash-transfer"
                        @foreach ($user_permissions as $item)
                            @if('edit-country-location-wise-cash-transfer' == $item) checked @endif
                        @endforeach> Edit Country/Location Wise Cash Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="cancel-country-location-wise-cash-transfer"
                        @foreach ($user_permissions as $item)
                            @if('cancel-country-location-wise-cash-transfer' == $item) checked @endif
                        @endforeach> Cancel Country/Location Wise Cash Transfer</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-country-location-wise-cash-transfer"
                        @foreach ($user_permissions as $item)
                            @if('view-country-location-wise-cash-transfer' == $item) checked @endif
                        @endforeach> View & Print Country/Location Wise Cash Transfer</label>
                </div>

                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="stock-search-permissions"
                        @foreach ($user_permissions as $item)
                            @if('stock-search-permissions' == $item) checked @endif
                        @endforeach> Stock Search Permissions</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="search-keyword-number-permission"
                        @foreach ($user_permissions as $item)
                            @if('search-keyword-number-permission' == $item) checked @endif
                        @endforeach> Search Keyword / Number Permission</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-edit-print-invoice-voucher-permission"
                        @foreach ($user_permissions as $item)
                            @if('view-edit-print-invoice-voucher-permission' == $item) checked @endif
                        @endforeach> View,Edit,Print Invoice / Voucher Permission</label>
                </div>
            </div>
            {{-- <div class="col-md-2">
                <h3><strong>After Period Clouser</strong></h3>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="back-dated-entry-as-per-user-credentials"
                        @foreach ($user_permissions as $item)
                            @if('back-dated-entry-as-per-user-credentials' == $item) checked @endif
                        @endforeach> Back Dated Entry as Per user Credentials</label>
                </div>
                <div class="form-group">
                    <label><input type="checkbox" name="permissions[]" value="view-report-as-per-user-credentials"
                        @foreach ($user_permissions as $item)
                            @if('view-report-as-per-user-credentials' == $item) checked @endif
                        @endforeach> View Report as Per user Credentials</label>
                </div>
            </div> --}}
        </div>

    {{-- {{$user->email}}
    @foreach ($perm as $item)
    {{$item->name}}
    @endforeach --}}

        <div class="row">
            <div class="col-md-12">
                <button type="submit" class="btn btn-primary pull-right">Update Limited User</button>
            </div>
        </div>
    </form>
</div>
@endsection

@section('js')
<script>

</script>
@endsection
