@extends('layouts.master_user')
@section('page-title')
Country/Location Wise Stock Transfer
@endsection
@section('css')
<style>
    th{
        text-align: center;
    }
</style>

@endsection
@section('transaction')
active
@endsection
@section('country-location-wise-transfer')
active
@endsection
@section('stock-transfer')
active
@endsection
@section('content')
{{--
    @section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Purchase Invoice</strong>
</li>
@endsection --}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    {{-- <div class="ibox float-e-margins">
        <div class="ibox-title">
            <h5>Invoice</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
         </div> --}}
    <div class="ibox-content">

        <form id="create_form" class="form-horizontal" method="POST" action="/transactions/country-location-wise-transfer/stock-transfers/{{  $country_location_wise_stock_transfer -> id }}" enctype="multipart/form-data">
            {{ method_field('PATCH') }}
            {{ csrf_field() }}
            {{-- <div class="row">
        <div class="col-sm-12">
        <button class="btn btn-secondary pull-right" type="submit">Print </button>
        </div>
    </div> --}}
                {{-- <div class="col-sm-6">
                    <div class="col-sm-4">
                        <p id="country_location_wise_stock_transfer_no"><b>WST # 124567</b></p>
                        <p id="date"><b>Date : 24/11/2020</b></p>
                    </div>
                </div> --}}
                <div class="col-sm-3">
                    <label>C&LST#</label>
                    <input type="text" class="form-control" value="{{ $country_location_wise_stock_transfer-> country_location_wise_stock_transfer_no }}" name="country_location_wise_stock_transfer_no" id="country_location_wise_stock_transfer_no"
                        placeholder="C&LST#" readonly>

                    <label for="">Date</label>
                    <div class="input-group date">
                        <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                    class="form-control" name="date" id="date" value="{{ $country_location_wise_stock_transfer-> date }}" readonly>
                    </div>

                    <p><b>From</b></p>
                    <p id="from_country"><b>Country: {{ $country }}</b></p>
                    <p id="from_location"><b>Location: {{ $location }}</b></p>
                </div>
                <div class="col-sm-3 col-lg-offset-1">
                    <label for="currency_rate">Currency Rate</label>
                    <input type="text" name="currency_rate" id="currency_rate" class="form-control" value="{{ $country_location_wise_stock_transfer-> currency_rate }}" placeholder="Currency Rate">
                    <label for="option">Option</label>
                    <select name="operation" id="operation" class="form-control">
                        <option value="divide" @if ($country_location_wise_stock_transfer-> multiply_divide == "divide") selected @endif>Divide (/)</option>
                        <option value="multiply" @if ($country_location_wise_stock_transfer-> multiply_divide == "multiply") selected @endif>Multiply (*)</option>
                    </select>
                </div>
                <div class="col-sm-3 col-sm-offset-2">
                    {{-- <div class="col-sm-4"> --}}
                        <p><b>To</b></p>
                        <label for="to_country">Country</label>
                        <select name="to_country" class="form-control" id="to_country">
                            <option value="">Select Country</option>
                            @foreach ($countries as $country)
                                <option value="{{$country-> id}}" @if ($country-> id == $country_location_wise_stock_transfer-> to_country) selected="selected" @endif>{{$country-> name}}</option>
                            @endforeach
                        </select>
                        <label for="to_location">Select Location</label>
                        <select name="to_location" class="form-control" id="to_location">
                            @foreach ($selected_locations as $location)
                                <option value="{{$location->id}}" @if ($location-> id == $country_location_wise_stock_transfer-> to_location) selected="selected" @endif>{{$location->name}}</option>
                            @endforeach

                        </select>
                </div>
                <table class="table table-bordered" id="item_table">
                    <thead>
                        <tr>
                            <th>
                                <p>Item Name</p>
                            </th>
                            {{-- <th>
                                <p>Color</p>
                            </th> --}}
                            <th>
                                <p>From Warehouse</p>
                            </th>
                            <th>IMEI/Serial #</th>
                            <th>To Item Name</th>
                            <th>To Warehouse</th>
                            <th>Remarks</th>
                            <th>
                                <button type="button" class="btn" id="delete_item_button" disabled
                                    onclick="deleteItemsRow()"><i class="fa fa-trash-o icon-trash"></i></button>
                            </th>
                            <th>
                                <button type="button" class="btn" id="duplicate_item_button" onclick="duplicate()"
                                    disabled><i class="fa fa-files-o"></i></button>
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($country_location_wise_stock_transfer->items as $key =>$country_location_wise_stock_transfer_item)
                        <tr>
                            <td width="15%">
                                {{-- <span id="item_name">{{ \App\PurchaseInvoiceItem::with('name')->where(['imei_serial_no' => $country_location_wise_stock_transfer_item->imei_serial_no])->first()->name->name }}</span> --}}
                                <span id="item_name">{{ $country_location_wise_stock_transfer_item->selectedItem->from_name->name }}</span>
                            </td>
                            {{-- <td width="15%">
                                <span id="color">{{ $country_location_wise_stock_transfer_item->selectedItem->color }}</span>
                            </td> --}}
                            <td width="15%">
                                {{-- <select name="from_wareHouse[]" class="form-control" id="from_wareHouse">
                                    <option value="">Select Warehouse ...</option> @foreach ($warehouses as $warehouse) @if (!empty($warehouse->warehouse)) <option value="{{$warehouse->warehouse->id}}" @if ($warehouse->warehouse->id == $country_location_wise_stock_transfer_item->from_wareHouse) selected="selected" @endif>{{$warehouse->warehouse->name}}</option> @endif @endforeach
                                </select> --}}
                                <span id="f_warehouse">{{ $country_location_wise_stock_transfer_item->fromWarehouse->name }}</span>
                                <input type="hidden" name="from_wareHouse[]" id="from_wareHouse" class="from_wareHouse" value="{{$country_location_wise_stock_transfer_item->from_wareHouse}}">
                            </td>
                            <td width="15%">
                                {{-- <select name="imei_serial_no[]" class="form-control imei_serial_no" id="imei_serial_no"> --}}
                                    {{-- <option value="">Select IMEI/Serial #</option>
                                    @foreach ($items as $item)
                                    <option value="{{$item->imei_serial_no}}"  @if ($item->imei_serial_no == $country_location_wise_stock_transfer_item->imei_serial_no) selected="selected" @endif>{{$item->imei_serial_no}}</option>
                                    @endforeach --}}
                                    <span id="imei_text">{{ $country_location_wise_stock_transfer_item->imei_serial_no }}</span>
                                    <input type="hidden" name="imei_serial_no[]" class="form-control imei_serial_no" id="imei_serial_no" value="{{$country_location_wise_stock_transfer_item->imei_serial_no}}">
                                {{-- </select> --}}
                            </td>
                            <td width="15%">
                                {{-- <span id="item_name">{{ \App\PurchaseInvoiceItem::with('name')->where(['imei_serial_no' => $country_location_wise_stock_transfer_item->imei_serial_no])->first()->name->name }}</span> --}}
                                <span id="item_name">{{ $country_location_wise_stock_transfer_item->selectedItem->name->name }}</span>
                            </td>
                            <td width="15%">
                                <select name="to_wareHouse[]" class="form-control" id="to_wareHouse" required>
                                    @foreach ($from_warehouses as $warehouse)
                                        <option value="{{$warehouse->id}}" @if ($warehouse->id == $country_location_wise_stock_transfer_item->to_wareHouse) selected="selected" @endif>{{$warehouse->name}}</option>
                                    @endforeach
                                </select>
                            </td>
                            <td width="15%">
                                <textarea name="remarks[]" id="remarks" class="form-control" cols="20"rows="1" placeholder="Remarks">{{ $country_location_wise_stock_transfer_item->remarks }}</textarea>
                            </td>
                            <td width="5%">
                                <button type="button" @if ($key == 0) disabled @endif class="btn" id="delete_item_button"><i
                                class="fa fa-trash-o icon-trash"></i></button>
                            </td>
                            <td width="5%">
                                <button type="button" class="btn" id="duplicate_item_button"><i
                                        class="fa fa-files-o"></i></button>
                            </td>
                        </tr>
                        @endforeach
                    </tbody>
                </table>
                <div class="form-group">
                    <div class="col-sm-3">
                        <button type="button" class="btn btn-primary mr-1 mb-1" onclick="createStockItemRow()"><i
                                class="feather icon-plus"></i> Add Item
                        </button>
                    </div>
                </div>
            <div class="form-group">
                <div class="col-sm-12">
                    <button class="btn btn-primary pull-right" type="submit">Transfer Stock</button>
                </div>
                <input type="hidden" id="items_rows" name="items_rows" value="1" />
            </div>
        </form>
    </div>
</div>
@endsection

@section('js')
<script>
    // $('#imei_serial_no').select2();
    $('#create_form').validate(
        {ignore : ":hidden:not(.selectpicker)"  }
    );

    $('select[name="to_country"]').on('change', function(){
        var country_id = $(this).val();
        if(country_id) {
            $.ajax({
                url: '/country/locations/stock-transfer/'+country_id,
                type:"GET",
                dataType:"json",
                success:function(data) {
                    console.log("data", data.data);
                    if(data.status == "success") {
                        $('select[name="to_location"]').empty();
                        $('select[name="to_location"]').append('<option value="">Select Location...</option>');
                        $.each(data.data, function(key, value){
                            $('select[name="to_location"]').append('<option value="'+ value.id +'">' + value.name + '</option>');
                        });

                    }else {
                        alert('failed to retrieve locations for selected country');
                    }

                },
            });
        } else {
            $('select[name="to_location"]').empty();
        }
    });

    function getToItem(location_id){
        if(location_id) {
            $.ajax({
            url: '/country/locations/stock-transfer/warehouse/to-item/'+location_id,
            type:"GET",
            dataType:"json",
            success:function(data) {
                console.log("data", data);
                if(data.status == "success") {
                    $('#item_table tr:last').find('#to_item_name').empty();
                    $('#item_table tr:last').find('#to_item_name').append('<option value="">Select Item...</option>');
                    $.each(data.to_item_name, function(key, value){
                        $('#item_table tr:last').find('#to_item_name').append('<option value="'+ value.id +'">' + value.name + '</option>');
                    });

                }else {
                    alert('failed to retrieve to items for selected Location');
                }

            },
        });
        }
    }

    $('select[name="to_location"]').on('change', function(){
        var location_id = $(this).val();
        if(location_id) {
            // warehouse(location_id);
            $.ajax({
            url: '/country/locations/stock-transfer/warehouse/'+location_id,
            type:"GET",
            dataType:"json",
            success:function(data) {
                console.log("data", data.data);
                if(data.status == "success") {

                    $('select[name="to_wareHouse[]"]').empty();
                    $('select[name="to_wareHouse[]"]').append('<option value="">Select WareHouse...</option>');
                    $.each(data.to_warehouse, function(key, value){
                        $('select[name="to_wareHouse[]"]').append('<option value="'+ value.id +'">' + value.name + '</option>');
                    });

                }else {
                    alert('failed to retrieve WareHouse for selected Location');
                }

            },
        });
        } else {
            $('select[name="to_wareHouse"]').empty();
        }
    });

    function warehouse(location_id)
    {
        $.ajax({
            url: '/country/locations/stock-transfer/warehouse/'+location_id,
            type:"GET",
            dataType:"json",
            success:function(data) {
                console.log("data", data.data);
                if(data.status == "success") {

                    $('select[name="to_wareHouse[]"]').empty();
                    $('select[name="to_wareHouse[]"]').append('<option value="">Select WareHouse...</option>');
                    $.each(data.to_warehouse, function(key, value){
                        $('select[name="to_wareHouse[]"]').append('<option value="'+ value.id +'">' + value.name + '</option>');
                    });

                }else {
                    alert('failed to retrieve WareHouse for selected Location');
                }

            },
        });
    }


    $('tbody').delegate('.imei_serial_no', 'change', function () {
        var tr = $(this).parent().parent();
        var imei_serial_no = $(this).val();
        if(imei_serial_no) {
            $.ajax({
                url: '/purchase-invoice/item/'+imei_serial_no,
                type:"GET",
                dataType:"json",
                success:function(data) {
                    console.log("data", data.data);
                    if(data.status == "success") {
                        console.log($(this));
                        tr.find('#item_name').text(data.data.name.name);
                        // tr.find('#color').text(data.data.color);
                        tr.find('#from_wareHouse').val(data.data.warehouse_id);
                        tr.find('#f_warehouse').text(data.from_warehouse);
                    }else {
                        alert('failed to retrieve locations for selected IMEI');
                    }

                },
            });
        } else {
            tr.find('#item_name').text('select Imei#');
            // tr.find('#color').text('select Imei#');
            tr.find('#f_warehouse').text('select Imei#');
        }
        var tr = $(this).parent().parent();
        var selected_location = $('#to_location').val();
        // alert(selected_location);
        // warehouse(selected_location);
        if (selected_location) {
            $.ajax({
                url: '/country/locations/stock-transfer/warehouse/'+selected_location,
                type:"GET",
                dataType:"json",
                success:function(data) {
                    console.log("data", data.data);
                    if(data.status == "success") {

                        tr.find('select[name="to_wareHouse[]"]').empty();
                        tr.find('select[name="to_wareHouse[]"]').append('<option value="">Select WareHouse...</option>');
                        $.each(data.to_warehouse, function(key, value){
                            tr.find('select[name="to_wareHouse[]"]').append('<option value="'+ value.id +'">' + value.name + '</option>');
                        });

                    }else {
                        alert('failed to retrieve WareHouse for selected Location');
                    }

                },
            });
        }
    });


    function createStockItemRow() {
        $('#item_table').append('<tr>' +
        '<td width="15%"><span id="item_name">select warehouse</span></td>' +
        // '<td width="15%"><span id="color">select color</span></td>' +
        '<td width="15%">' +

            '<span id="f_warehouse">select Imei#</span>' +
            '<input type="hidden" name="from_wareHouse[]" id="from_wareHouse" class="from_wareHouse">' +
        '</td>' +
        '<td width="15%">' +
            '<select name="imei_serial_no[]" class="form-control imei_serial_no" id="imei_serial_no" required>' +
                '<option value="">Select IMEI/Serial #</option>' +
                '@foreach ($items as $item)' +
                '<option value="{{$item->imei_serial_no}}">{{$item->imei_serial_no}}</option>' +
                '@endforeach' +
            '</select>' +
        '</td>' +
        '<td width="15%">' +
            '<select name="to_item_name[]" class="form-control" id="to_item_name" required>' +
                '<option value="">Select Item ...</option>' +
            '</select>' +
        '</td>' +
        '<td width="15%">' +
            '<select name="to_wareHouse[]" class="form-control" id="to_wareHouse" required>' +

            '</select>' +
        '</td>' +
        '<td width="15%">' +
            '<textarea name="remarks[]" id="remarks" class="form-control" cols="20"rows="1" placeholder="Remarks"></textarea>' +
        '</td>' +
        '<td width="5%">' +
            '<button type="button" class="btn" id="delete_item_button"><i class="fa fa-trash-o icon-trash"></i></button>' +
        '</td>' +
        '<td width="5%">' +
            '<button type="button" class="btn" id="duplicate_item_button"><i class="fa fa-files-o"></i></button>' +
        '</td></tr>');

        $('#item_table tr:last').find('#imei_serial_no').select2();

        var location_id = $('#to_location').val();
        getToItem(location_id);
    }

    $('#item_table').on('click', 'button[id="delete_item_button"]', function () {
        $(this).closest('tr').remove();
    });

    $('#item_table').on('click', 'button[id="duplicate_item_button"]', function (e) {
        e.preventDefault();
        var $tr = $(this).closest('tr').clone();
        $tr.find('#delete_item_button').prop("disabled", false);
        $tr.find('.select2').remove();
        var imei_serial_no_val = $(this).closest('tr').find('#imei_serial_no').val();
        $('#item_table').append($tr);
        $tr.find('#imei_serial_no').select2();
        $tr.find('#imei_serial_no').val(imei_serial_no_val).trigger('change');
    });

    $(document).ready(function() {
        // $('.input-group.date').datepicker({
        //     startView: 1,
        //     todayBtn: "linked",
        //     keyboardNavigation: false,
        //     forceParse: false,
        //     autoclose: true,
        //     format: "yyyy-mm-dd"
        // }).datepicker();
    });

</script>


@endsection
