<?php $__env->startSection('content'); ?>


    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Edit Debit Note(Purchase Return)</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <form action="<?php echo e(route('software.debit_notes.update', ['debit_note' => $debitNotes[0]->id])); ?>"
                        class="outer-repeater" method="POST">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('put'); ?>


                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Debit Note #</label>
                                    <input class="form-control" readonly placeholder="" id="example-password-input"
                                        value="<?php echo e($debitNotes[0]->invoice_no); ?>" name="invoice_no">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                        </div>

                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Date</label>
                                    <input name="date" class="form-control PeriodClosingDate" type="date" pattern="\d{4}-\d{2}-\d{2}"
                                        value="<?php echo e($debitNotes[0]->date); ?>">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                        </div>

                        <div class="row">
                            <div class="col-md-3 float-right">
                                <div class="form-group">
                                    <label class="control-label">Select Sale Invoice Number</label>
                                    <select class="form-control select2" name="sales_invoice_no">
                                        <option value="">Select Invoice Number</option>
                                        <?php $__empty_1 = true; $__currentLoopData = $adminSales->sortBy('invoice_no'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sale): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <option value="<?php echo e($sale->invoice_no); ?>"
                                            <?php if($debitNotes[0]->sales_invoice_no == $sale->invoice_no): ?> selected <?php endif; ?>>
                                            <?php echo e($sale->invoice_no); ?>

                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <?php endif; ?>

                                    </select>
                                </div>
                            </div>


                            <div class="col-md-6">

                            </div>

                        </div>

                        <div class="row">

                            <div class="col-md-3 float-right">

                            </div>

                            <div class="col-md-6">

                            </div>

                        </div>


                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label for="account">Account Name:</label>
                                    <select id="account" class="form-control select2" name="account_id">
                                        <option value="" selected disabled>Select Account</option>

                                        
                                        <?php $__empty_1 = true; $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <option value="<?php echo e($account->id); ?>"
                                                <?php echo e($debitNotes[0]->acc_no == $account->account_no ? 'selected' : ''); ?>

                                                data-account-type="<?php echo e($account->table_name); ?>" data-account-name="<?php echo e($account->account_name); ?>" data-acc-no="<?php echo e($account->account_no); ?>">
                                                <?php echo e($account->account_name); ?>


                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <option value="" selected disabled>No accounts available</option>
                                        <?php endif; ?>
                                    </select>
                                    <input type="hidden" name="account_type" id="account_type">
                                    <input type="hidden" name="account_name" class="account_name">
                                    <input type="hidden" class="acc_no" name="acc_no" id="acc_no">

                                    <?php $__errorArgs = ['account_id'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="text-danger"><?php echo e($message); ?></div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>

                            <div class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered dt-responsive nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Item Name</th>
                                            <th>Item Description</th>
                                            <th>Warehouse</th>
                                            <th>Quantity</th>
                                            <th>Rate / Unit</th>
                                            <th>Item / Unit</th>
                                            <th>Gross Amount</th>
                                            <th>VAT %</th>
                                            <th>VAT Amount</th>
                                            <th>Net Amount</th>
                                            <th>Delete</th>
                                        </tr>
                                    </thead>

                                    <tbody id="table-body">
                                        <?php $__empty_1 = true; $__currentLoopData = $debitNotes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dn): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <tr>
                                                <div class="inner-repeater mb-12">
                                                    <div data-repeater-list="inner-group" class="inner form-group">
                                                        <td>
                                                            <div class="form-group">
                                                                <select style="width:100%" class="form-control selectItem select2 itemDropdown"
                                                                    name="item_id[]">
                                                                    <option value="" selected disabled>Select Item
                                                                    </option>
                                                                    <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($item->id); ?>"
                                                                            <?php echo e($dn->item_id == $item->id ? 'selected' : ''); ?> data-unit="<?php echo e($item->unit->unit); ?>">
                                                                            <?php echo e($item->name); ?></option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                        </td>

                                                        <td>
                                                            <div class="form-group">
                                                                <textarea class="form-control" rows="1" type="text" cols="50" placeholder="Item Description" id="example-textarea-input"
                                                                    name="item_description[]"><?php echo e($dn->item_description); ?>

                                                            </textarea>
                                                            </div>
                                                        </td>

                                                        <td>
                                                            <div class="form-group">
                                                                <select style="width:100%" class="form-control selectWarehouse select2"
                                                                    name="warehouse_id[]">
                                                                    <option value="" selected disabled>Select
                                                                        Warehouse
                                                                    </option>
                                                                    <?php $__currentLoopData = $warehouses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $warehouse): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($warehouse->id); ?>"
                                                                            <?php echo e($dn->warehouse_id == $warehouse->id ? 'selected' : ''); ?>>
                                                                            <?php echo e($warehouse->name); ?></option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                        </td>

                                                        <td>
                                                            <div class="form-group">
                                                                <input class="form-control quantity" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                    placeholder="Quantity" id="quantity" name="quantity[]"
                                                                    value="<?php echo e($dn->quantity); ?>">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input class="form-control rate_unit" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                    placeholder="Rate/Unit" id="rate_unit"
                                                                    name="rate_unit[]" value="<?php echo e($dn->rate_unit); ?>">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input type="text" class="form-control unitInput" name="item_unit[]" readonly placeholder="Item unit" value="<?php echo e($dn->item_unit); ?>">
                                                            </div>
                                                        </td>

                                                    </div>

                                                </div>

                                                <td>
                                                    <div class="form-group">
                                                        <input class="form-control gross_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                            placeholder="Gross Amount" id="gross_amount"
                                                            name="gross_amount[]" value="<?php echo e($dn->gross_amount); ?>">
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="form-group">
                                                        <input class="form-control vat_percentage" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                            placeholder="VAT %" id="vat_percentage"
                                                            name="vat_percentage[]" value="<?php echo e($dn->vat_percentage); ?>">
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="form-group">
                                                        <input class="form-control vat_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                            placeholder="VAT Amount" id="vat_amount" name="vat_amount[]"
                                                            value="<?php echo e($dn->vat_amount); ?>">
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="form-group">
                                                        <p><input type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" class="form-control net_amount"
                                                                id="net_amount" name="net_amount[]" readonly
                                                                value="<?php echo e($dn->net_amount); ?>"></p>
                                                    </div>
                                                </td>

                                                <td>
                                                    <a href="" class="delete-row-btn"> <i
                                                            class="fas fa-trash-alt inner"></i></a>
                                                </td>

                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                        <?php endif; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-8">
                                <a id="add-more-btn" class="btn btn-outline-primary">Add
                                    more</a>
                            </div>
                            <div class="col-md-4">
                                <!-- <h5>QTY Total: 0</h5> -->
                            </div>
                        </div>
                        <br>


                        <br>

                        <div class="row">
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total Quantity : </label>
                                    <span><input type="text" class="custin" id="total_quantity" name="total_quantity"
                                            readonly value="<?php echo e($debitNotes[0]->total_quantity); ?>"></span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total Gross Amount : </label>
                                    <span><input type="text" class="custin" id="total_gross_amount"
                                            name="total_gross_amount" readonly
                                            value="<?php echo e($debitNotes[0]->total_gross_amount); ?>"></span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total Vat amount : </label>
                                    <span><input type="text" class="custin" id="total_vat_amount"
                                            name="total_vat_amount" readonly
                                            value="<?php echo e($debitNotes[0]->total_vat_amount); ?>"></span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>
                            

                            <div class="col-md-8">
                            </div>
                            <br>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total net amount : </label>
                                    <span><input type="text" class="custin" id="total_net_amount"
                                            name="total_net_amount" readonly
                                            value="<?php echo e($debitNotes[0]->total_net_amount); ?>"></span>
                                </strong>
                            </div>
                            
                            <div class="col-md-6">
                                <div class="row">
                                    <div class="col-4">
                                        <strong>
                                            <label for="total_net_amount_words">Amount in Words :</label>
                                        </strong>
                                    </div>
                                    <div class="col-8">
                                        <input type="text" class="custin" id="total_net_amount_words"
                                            name="AmountInWords" readonly style="width: 120%;margin-left: -3.5rem;">
                                    </div>
                                </div>
                            </div>


                        </div>

                        <div class="row">

                          
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label>Term & Conditions</label>
                                    <p><?php echo e($tnc->description ?? ''); ?></p>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="narrations">Narrations</label>
                                    <textarea class="form-control<?php echo e($errors->has('narrations') ? ' is-invalid' : ''); ?>" rows="4"
                                        placeholder="Enter Narrations" id="example-textarea-input" name="narrations">
                                            <?php echo e($debitNotes[0]->narrations); ?>

                                        </textarea>
                                    <?php if($errors->has('narrations')): ?>
                                        <div class="invalid-feedback"><?php echo e($errors->first('narrations')); ?></div>
                                    <?php endif; ?>
                                </div>
                            </div>


                        </div>


                        <button class="btn btn-cust1 float-right" type="submit">Update Debit Note</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->


    <!-- Modals -->
    <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
        aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title mt-0" id="myModalLabel">Byer Information :</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Name :</label>
                            <input class="form-control" type="text" placeholder="Enter Name"
                                id="example-password-input">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Phone # :</label>
                            <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Phone #"
                                id="example-password-input">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Email :</label>
                            <input class="form-control" type="text" placeholder="Enter Email"
                                id="example-password-input">
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label>Address :</label>
                            <textarea class="form-control" rows="3" type="text" placeholder="Enter Address"
                                id="example-textarea-input">
                    </textarea>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary waves-effect" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary waves-effect waves-light">Save</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
    <!-- /.modal -->
    <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
        crossorigin="anonymous"></script>

    <script>
        document.getElementById('addLedgerButton').addEventListener('click', function() {
            cloneRow();
        });

        function cloneRow() {
            const repeaterRow = document.querySelector('.repeater-row');
            if (repeaterRow) {
                const clonedRow = repeaterRow.cloneNode(true);

                const selectElement = clonedRow.querySelector('select');
                const inputElement = clonedRow.querySelector('input');
                if (selectElement) {
                    selectElement.selectedIndex = 0;
                }
                if (inputElement) {
                    inputElement.value = '';
                }

                // Remove the cloned button from the cloned row
                const clonedButton = clonedRow.querySelector('#addLedgerButton');
                if (clonedButton) {
                    clonedButton.remove();
                }

                repeaterRow.parentNode.appendChild(clonedRow);
            }
        }

        function deleteRow(button) {
            const row = button.closest('.repeater-row');
            if (row && !row.isSameNode(document.querySelector('.repeater-row'))) {
                row.remove();
            }
        }
    </script>

    <script>
        function myFunction() {
            var dropdown = document.getElementById("myDropdown");
            var pricehidden1 = document.getElementById("pricehidden1");
            var pricehidden2 = document.getElementById("pricehidden2");
            var pricehidden3 = document.getElementById("pricehidden3");

            if (dropdown.value === "hide") {
                pricehidden1.style.display = "none";
                pricehidden2.style.display = "none";
                pricehidden3.style.display = "none";
            } else {
                pricehidden1.style.display = "block";
                pricehidden2.style.display = "block";
                pricehidden3.style.display = "block";
            }
        }
    </script>

    <!-- modal script -->

    <script>
        document.getElementById("modalSelect").addEventListener("change", function() {
            var selectedModal = this.value;

            // Close any open modals
            $('.modal').modal('hide');

            // Open the selected modal
            $('#' + selectedModal).modal('show');
        });
    </script>

    
    <script>
        $(document).ready(function() {

            function calculateRow(row) {
                var quantity = parseFloat(row.find('.quantity').val()) || 0;
                var rateUnit = parseFloat(row.find('.rate_unit').val()) || 0;
                var vatPercentage = parseFloat(row.find('.vat_percentage').val()) || 0;

                var grossAmount = quantity * rateUnit;
                var vatAmount = grossAmount * (vatPercentage / 100);
                var netAmount = grossAmount + vatAmount;

                row.find('.gross_amount').val(grossAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>));
                row.find('.vat_amount').val(vatAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>));
                row.find('.net_amount').val(netAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>));
            }

            // Calculate for existing rows (initial row and dynamically generated rows)
            $('#table-body tr').each(function() {
                calculateRow($(this));
            });

            // Event delegation for dynamically added rows
            $('#table-body').on('input', '.quantity, .rate_unit, .vat_percentage', function() {
                calculateRow($(this).closest('tr'));
                calculateTotalQuantity();
                calculateTotalGross();
                calculateTotalVatAmount();
                calculateTotalNetAmount();
                // convertTotalNetAmountToWords();
            });

            // Event listener for changes in sub_account_amount
            $(document).ready(function() {
                // Initial calculation when the page loads
                calculateTotalNetAmount();

                // Event listener for changes in 'sub_account_amount' inputs
                $(document).on('input', '.sub_account_amount', function() {
                    calculateTotalNetAmount();
                });
            });

            $('#add-more-btn').on('click', function() {
                var newRow = `
                <tr>
                    <td>
                        <div class="form-group">
                            <select style="width:100%" class="form-control selectItem select2 itemDropdown"
                                name="item_id[]">
                                <option value="" selected disabled>Select Item
                                </option>
                                <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($item->id); ?>"
                                        <?php echo e($dn->item_id == $item->id ? 'selected' : ''); ?> data-unit="<?php echo e($item->unit->unit); ?>">
                                        <?php echo e($item->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <textarea class="form-control item_desc" rows="1" type="text" cold="50" placeholder="Item Description" name="item_desc[]"></textarea>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <select style="width:100%" class="form-control selectWarehouse select2" name="warehouse_id[]">
                                <option value="" selected disabled>Select Warehouse</option>
                                <?php $__currentLoopData = $warehouses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $warehouse): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($warehouse->id); ?>"><?php echo e($warehouse->name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control quantity" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Quantity" name="quantity[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control rate_unit" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Rate/Unit" name="rate_unit[]">
                        </div>
                    </td>
                     <td>
                        <div class="form-group">
                            <input type="text" class="form-control unitInput" name="item_unit[]" readonly placeholder="Item unit" value="<?php echo e($dn->item_unit); ?>">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control gross_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Gross Amount" name="gross_amount[]" readonly>
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control vat_percentage" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="VAT %" name="vat_percentage[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control vat_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="VAT Amount" name="vat_amount[]">
                        </div>
                    </td>
                    <td>
                        <div class="form-group">
                            <input class="form-control net_amount form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Net Amount" name="net_amount[]" readonly>
                        </div>
                    </td>
                    <td>
                        <a href="#" class="delete-row-btn"><i class="fas fa-trash-alt"></i></a>
                    </td>
                </tr>`;

                $('#table-body').append(newRow);

                // Initialize calculation for the new row
                calculateRow($('#table-body tr:last'));
                calculateTotalQuantity();
                calculateTotalGross();
                calculateTotalVatAmount();
                calculateTotalNetAmount();
                // convertTotalNetAmountToWords();
            });


            // Event delegation for delete button
            $('#table-body').on('click', '.delete-row-btn', function() {
                $(this).closest('tr').remove();
                calculateTotalQuantity();
                calculateTotalGross();
                calculateTotalVatAmount();
                calculateTotalNetAmount();
                // convertTotalNetAmountToWords();
            });

            // Calculate and update total quantity
            function calculateTotalQuantity() {
                var totalQuantity = 0;
                $('.quantity').each(function() {
                    totalQuantity += parseFloat($(this).val()) || 0;
                });
                $('#total_quantity').val(totalQuantity);
            }
            // Calculate and update total gross amount
            function calculateTotalGross() {
                var totalGross = 0;
                $('.gross_amount').each(function() {
                    totalGross += parseFloat($(this).val()) || 0;
                });
                $('#total_gross_amount').val(totalGross.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>));
            }
            // Calculate and update total VAT amount
            function calculateTotalVatAmount() {
                var totalVatAmount = 0;
                $('.vat_amount').each(function() {
                    totalVatAmount += parseFloat($(this).val()) || 0;
                });
                $('#total_vat_amount').val(totalVatAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>));
            }
            // Calculate and update total net amount
            function calculateTotalNetAmount() {
                var totalSubAccountAmount = 0;
                var totalNetAmount = 0;

                // Loop through all elements with the class 'sub_account_amount'
                $('.sub_account_amount').each(function() {
                    var inputValue = parseFloat($(this).val()) || 0;
                    totalSubAccountAmount += inputValue;
                });

                // Loop through all elements with the class 'net_amount'
                $('.net_amount').each(function() {
                    var inputValue = parseFloat($(this).val()) || 0;
                    totalNetAmount += inputValue;
                });

                // Update the total net amount field
                $('#total_net_amount').val((totalSubAccountAmount + totalNetAmount).toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>));

                // Convert total net amount to words and update the corresponding field
                var totalNetAmountWords = numberToWords(totalSubAccountAmount + totalNetAmount);
                $('#total_net_amount_words').val(totalNetAmountWords);
            }

            // Initial calculation for total quantity and total gross
            calculateTotalQuantity();
            calculateTotalGross();
            calculateTotalVatAmount();
            calculateTotalNetAmount();
            // convertTotalNetAmountToWords();
        });
    </script>

    <script>
        $(document).ready(function() {
            // Event handler for the add-clone-btn click
            $(document).on('click', '.add-clone-btn', function(e) {
                e.preventDefault();

                // Get the parent <tr> element
                var parentTr = $(this).closest('tr');

                // Clone the parent <tr> element
                var clonedTr = parentTr.clone();

                // Append the cloned <tr> after the parent <tr>
                parentTr.after(clonedTr);
            });
        });

        $(document).ready(function() {
            // $('#add-more-btn').click(function (e) {
            //     e.preventDefault();

            //     // Clone the existing row
            //     var newRow = $('#table-body tr').first().clone();

            //     // Clear input fields and select values in the cloned row
            //     newRow.find('input, textarea').val('');
            //     newRow.find('select').prop('selectedIndex', 0);

            //     // Append the cloned row to the table
            //     $('#table-body').append(newRow);
            // });

            $('#add-clone-btn').click(function(e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);
            });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();
            });
        });
    </script>

    <script>
        // JavaScript to update the hidden input field when the dropdown selection changes
        $(document).ready(function() {
            function updateAccountType() {
                var selectedOption = $('#account option:selected'); // Use jQuery to get selected option
                var accountType = selectedOption.data('account-type');
                var accountName = selectedOption.data('account-name');
                var accNo = selectedOption.data('acc-no');
                $('#account_type').val(accountType);
                $('.account_name').val(accountName);
                $('.acc_no').val(accNo);


            }

            // Run the function once when the page is ready
            updateAccountType();

            // Add an event listener to update the hidden input when the selection changes
            $('#account').change(updateAccountType);

            // EXPENSE TYPE

            function updateExpenseType() {
                var selectedOption = $('.expense option:selected'); // Use jQuery to get selected option
                var expenseType = selectedOption.data('expense-type'); // Use jQuery data() method
                $('.expense-type').val(expenseType);
            }

            // Run the function once when the page is ready
            updateExpenseType();

            // Add an event listener to update the hidden input when the selection changes
            $('.expense').change(updateExpenseType);
        });
    </script>

    <script>
        $(document).ready(function(){
            // Attach change event listener to all itemDropdown elements
            $(document).on('change', '.itemDropdown', function(){
                var selectedUnit = $(this).find(':selected').data('unit');
                // Find the corresponding unitInput in the same row and update its value
                $(this).closest('tr').find('.unitInput').val(selectedUnit);
            });
        });
    </script>

<?php
    use App\Branches;
    use Carbon\Carbon;

    $selectedBranchId = session('selected_branch');

    $branch = Branches::where('id', $selectedBranchId)->first();
?>

<script>
    <?php if(!empty($selectedBranchId)): ?>
        document.addEventListener("DOMContentLoaded", function() {
            var periodClosings = <?php echo json_encode($periodClosings); ?>;

            function isBeforePeriodClosing(date) {
                var selectedDate = new Date(date);
                for (var i = 0; i < periodClosings.length; i++) {
                    var closingDate = new Date(periodClosings[i]);
                    if (selectedDate < closingDate) {
                        return true;
                    }
                }
                return false;
            }

            function setColor(dateInput) {
                var selectedDate = dateInput.value;
                if (isBeforePeriodClosing(selectedDate)) {
                    dateInput.style.backgroundColor = 'lightgrey';
                } else {
                    dateInput.style.backgroundColor = '';
                }
            }

            var periodClosingDateInputs = document.querySelectorAll('.PeriodClosingDate');
            periodClosingDateInputs.forEach(function(input) {
                input.addEventListener('change', function() {
                    setColor(this);
                    if (isBeforePeriodClosing(this.value)) {
                        <?php if(!Branches::hasBranchPermission($selectedBranchId, 'Back Dated Entry As Per User Credentials')): ?>
                            window.alert("Do you want to enter a closing period? Please contact admin.");
                            this.value = '';
                        <?php else: ?>
                            window.alert("Do you want to enter a closing period?");
                        <?php endif; ?>
                    }
                });
                setColor(input);
            });
        });
    <?php endif; ?>
</script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/trans_debit_note_prv/edit.blade.php ENDPATH**/ ?>