<?php $__env->startSection('content'); ?>
    

    <?php if($user->terms_accept === 0): ?>
        <!-- Show the Terms and Conditions modal -->
        <?php echo $__env->make('crusher.terms_modal', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php endif; ?>

    

    <?php if(session('success')): ?>
        <div class="alert alert-success">
            <?php echo e(session('success')); ?>

        </div>
    <?php endif; ?>

    <!-- start page title -->
    
    <!-- end page title -->
    
    <div class="row">
        <?php $__empty_1 = true; $__currentLoopData = $branches; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$branch): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
            <div class="col-xl-3">
                <div class="card">
                    <div class="card-body">
                        <div class="media">
                            <div class="media-body">
                                <div class="row">
                                    <div class="font-size-16 col-md-8"><?php echo e($branch->company->name); ?> |
                                        <?php echo e($branch->name); ?></div>
                                    <div class="col-md-4">
                                        <div class="custom-control custom-switch mb-2 float-right" dir="ltr">
                                            <input type="checkbox" class="custom-control-input selectallmaster"
                                                id="customSwitch<?php echo e($branch->id); ?>"
                                                data-company-name="<?php echo e($branch->company->name); ?>"
                                                data-branch-name="<?php echo e($branch->name); ?>"
                                                onchange="toggleSwitch(<?php echo e($branch->id); ?>)"
                                                <?php echo e(session('selected_branch') == $branch->id ? 'checked' : ''); ?>>
                                            <label class="custom-control-label titlcust"
                                                for="customSwitch<?php echo e($branch->id); ?>">
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <h4 class="mt-4" id="pricehidden<?php echo e($branch->id); ?>">1,368</h4>
                        <div class="row" id="progress<?php echo e($branch->id); ?>">
                            <div class="col-7">
                                <p class="mb-0"><span class="text-success mr-2">0.28% <i
                                            class="mdi mdi-arrow-up"></i></span></p>
                            </div>
                            <div class="col-5 align-self-center">
                                <div class="progress progress-sm">
                                    <div class="progress-bar bg-primary" role="progressbar" style="width: 62%"
                                        aria-valuenow="62" aria-valuemin="0" aria-valuemax="100"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
        <?php endif; ?>
    </div>
    <!-- end row -->


    <div class="row">
        <div class="col-xl-8">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title mb-4">Total Sales Month Wise</h4>

                    <div id="line-chart" class="apex-charts"></div>


                </div>
            </div>
        </div>
        <div class="col-xl-4">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title mb-4">Total Sales</h4>

                    <div id="column-chart" class="apex-charts"></div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-xl-8">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title mb-4">Total Sales Day wise</h4>

                    <div id="line-chart-day-wise" class="apex-charts"></div>


                </div>
            </div>
        </div>
        <div class="col-xl-4">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title mb-4">Total Sales Last 7 Day Wise</h4>

                    <div id="column-chart-7-wise" class="apex-charts"></div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xl-8">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title mb-4">Total Purchase Month Wise</h4>

                    <div id="line-chart-purchase" class="apex-charts"></div>


                </div>
            </div>
        </div>
        <div class="col-xl-4">
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title mb-4">Total Purchase</h4>

                    <div id="column-chart-purchase" class="apex-charts"></div>
                </div>
            </div>
        </div>
    </div>
    
    <!-- end row -->

    <div class="row">
        <?php if(isset($dashboardImage)): ?>
            <div class="col-xl-5">
                <div class="card">
                    <div class="card-body">
                        <h4 class="card-title mb-4">lorem</h4>

                        <div class="row align-items-center">
                            <div class="col-sm-6">
                                <img src="<?php if(isset($dashboardImage)): ?> ../<?php echo e($dashboardImage->path); ?> <?php endif; ?>"
                                    width="190px" alt="Image">
                            </div>
                            <div class="col-sm-6">
                                <div>
                                    <div class="row">
                                        <p><?php echo e($dashboardImage->content ?? ''); ?></p>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php else: ?>
        <?php endif; ?>

        

        

        
        
        

    </div>
    <!-- end row -->


    </div>
    <!-- end row -->

    <!-- apexcharts -->
    <script src="<?php echo e(asset('assets/libs/apexcharts/apexcharts.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/libs/select2/js/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/pages/form-advanced.init.js')); ?>"></script>


    <script src="<?php echo e(asset('assets/js/pages/dashboard.init.js')); ?>"></script>

    <script src="<?php echo e(asset('assets/js/common.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/app.js')); ?>"></script>

    <!-- form repeater js -->
    <script src="assets/libs/jquery.repeater/jquery.repeater.min.js"></script>

    <!-- form repeater init -->
    <script src="assets/js/pages/form-repeater.init.js"></script>

    <script src="assets/js/app.js"></script>

    <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.js"></script>

    
    <script src="<?php echo e(asset('assets/js/jquery.multiselect.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/main.js')); ?>"></script>
    <script type="text/javascript">
        // expire modal
        $(document).ready(function() {
            <?php if(!empty(session('selected_branch'))): ?>
                <?php if($expire & $status): ?>
                    // If the 'expire' condition is true, open the modal
                    $('.bs-example-modal-center').modal('show');
                <?php endif; ?>

                <?php if(!$status): ?>
                    // If the 'leniencyExpire' condition is true or branch status is 0, open the modal
                    $('.leniency-expire').modal('show');
                <?php endif; ?>
            <?php endif; ?>
        });

        // expire modal

        function toggleSwitch(branchId) {
            // Turn off all other switches
            var allSwitches = document.querySelectorAll('.custom-control-input.selectallmaster');
            allSwitches.forEach(function(switchElem) {
                if (switchElem.id !== 'customSwitch' + branchId) {
                    switchElem.checked = false;
                }
            });

            // Update session and checkbox state
            if (document.getElementById('customSwitch' + branchId).checked) {
                window.location.href = '<?php echo e(route('set-selected-branch')); ?>?branch=' + branchId;
            } else {
                window.location.href = '<?php echo e(route('set-selected-branch')); ?>';
            }

            // Store the selected branch in local storage
            function storeSelectedBranch(branchId) {
                localStorage.setItem('selectedBranch', branchId);
            }

            // Retrieve the selected branch from local storage
            function getSelectedBranch() {
                return localStorage.getItem('selectedBranch');
            }

            // Store the selected branch
            storeSelectedBranch(branchId);

            // Refresh the page
            // location.reload();

            function updateDashboardText(branchId) {
                var selectedBranch = document.getElementById('customSwitch' + branchId);
                var dashboardText = document.getElementById('dashboardText');

                if (selectedBranch.checked) {
                    var companyName = selectedBranch.getAttribute('data-company-name');
                    var branchName = selectedBranch.getAttribute('data-branch-name');
                    dashboardText.textContent = companyName + ' | ' + branchName;
                } else {
                    dashboardText.textContent = 'Dashboard';
                }
            }
        }

        $(document).ready(function(e) {


            $('#image').change(function() {

                let reader = new FileReader();

                reader.onload = (e) => {

                    $('#preview-image-before-upload').attr('src', e.target.result);
                }

                reader.readAsDataURL(this.files[0]);

            });
        });
    </script>

    <script>
        $(document).ready(function() {
            <?php if($user->terms_accept === 0): ?>
                $('#termsModal').modal('show');
            <?php endif; ?>
        });
    </script>
    <script>
        $(document).ready(function() {
            $('#acceptTermsButton').click(function() {
                // Send an AJAX request to update terms_accept status
                $.post("<?php echo e(route('update.terms.accept')); ?>", function(data) {
                    // If the update is successful, hide the modal
                    $('#termsModal').modal('hide');
                });
            });
        });
    </script>


    <script>
        var options = {
series: [],
chart: {
    height: 260,
    type: "line",
    toolbar: {
        show: false
    },
    zoom: {
        enabled: false
    }
},
colors: ["#45cb85", "#3b5de7"],
dataLabels: {
    enabled: false
},
stroke: {
    curve: "smooth",
    width: "3",
    dashArray: [4, 0]
},
markers: {
    size: 3
},
xaxis: {
    categories: [],
    title: {
        text: "Month"
    }
},
fill: {
    type: "solid",
    opacity: [1, 0.1]
},
legend: {
    position: "top",
    horizontalAlign: "right"
}
};

// Populate series dynamically from PHP data
var seriesData = [];
<?php $__currentLoopData = $chartData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dataPoint): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
seriesData.push({
    name: "<?php echo e($dataPoint->month); ?>",
    data: [<?php echo e($dataPoint->total_amount); ?>],
    type: "line"
});
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
options.series = seriesData;

// Populate x-axis categories dynamically from PHP data
var categoriesData = [];
<?php $__currentLoopData = $chartData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dataPoint): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
categoriesData.push("<?php echo e($dataPoint->month); ?>");
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
options.xaxis.categories = categoriesData;

var chart = new ApexCharts(document.querySelector("#line-chart"), options);
chart.render();

    </script>
<script>
// Your JavaScript code
var options = {
    'series': [
        {
            'name': 'Total Amount',
            'data': <?php echo json_encode($seriesData); ?>
        }
    ],
    'chart': {
        'type': 'bar',
        'height': 260,
        'stacked': true,
        'toolbar': {
            'show': false
        },
        'zoom': {
            'enabled': true
        }
    },
    'plotOptions': {
        'bar': {
            'horizontal': false,
            'columnWidth': '5%',
            'endingShape': 'rounded'
        }
    },
    'dataLabels': {
        'enabled': false
    },
    'xaxis': {
        'categories': <?php echo json_encode($categories); ?>
    },
    'colors': ["#3b5de7"],
    'fill': {
        'opacity': 1
    }
};

var chart = new ApexCharts(document.querySelector("#column-chart"), options);
chart.render();
</script>
<script>
var options = {
    series: [],
    chart: {
        height: 260,
        type: "line",
        toolbar: {
            show: false
        },
        zoom: {
            enabled: false
        }
    },
    colors: ["#45cb85", "#3b5de7"],
    dataLabels: {
        enabled: false
    },
    stroke: {
        curve: "smooth",
        width: "3",
        dashArray: [4, 0]
    },
    markers: {
        size: 3
    },
    xaxis: {
        categories: [],
        title: {
            text: "Day"
        }
    },
    fill: {
        type: "solid",
        opacity: [1, 0.1]
    },
    legend: {
        position: "top",
        horizontalAlign: "right"
    }
};

// Populate series dynamically from PHP data
var seriesData = [];
<?php $__currentLoopData = $chartDataDayWise; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dataPoint): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    seriesData.push({
        name: "<?php echo e($dataPoint->day); ?>",
        data: [<?php echo e($dataPoint->total_amount); ?>],
        type: "line"
    });
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
options.series = seriesData;

// Populate x-axis categories dynamically from PHP data
var categoriesData = [];
<?php $__currentLoopData = $chartDataDayWise; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dataPoint): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    categoriesData.push("<?php echo e($dataPoint->day); ?>");
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
options.xaxis.categories = categoriesData;

var chart = new ApexCharts(document.querySelector("#line-chart-day-wise"), options);
chart.render();
</script>
<script>
// Your JavaScript code
var options = {
    'series': [
        {
            'name': 'Total Amount',
            'data': <?php echo json_encode($chartDataLast7Days->pluck('total_amount')->toArray()); ?>
        }
    ],
    'chart': {
        'type': 'bar',
        'height': 260,
        'stacked': true,
        'toolbar': {
            'show': false
        },
        'zoom': {
            'enabled': true
        }
    },
    'plotOptions': {
        'bar': {
            'horizontal': false,
            'columnWidth': '5%',
            'endingShape': 'rounded'
        }
    },
    'dataLabels': {
        'enabled': false
    },
    'xaxis': {
        'categories': <?php echo json_encode($chartDataLast7Days->pluck('day')->toArray()); ?>
    },
    'colors': ["#3b5de7"],
    'fill': {
        'opacity': 1
    }
};

var chart = new ApexCharts(document.querySelector("#column-chart-7-wise"), options);
chart.render();
</script>




<script>
        var options = {
series: [],
chart: {
    height: 260,
    type: "line",
    toolbar: {
        show: false
    },
    zoom: {
        enabled: false
    }
},
colors: ["#45cb85", "#3b5de7"],
dataLabels: {
    enabled: false
},
stroke: {
    curve: "smooth",
    width: "3",
    dashArray: [4, 0]
},
markers: {
    size: 3
},
xaxis: {
    categories: [],
    title: {
        text: "Month"
    }
},
fill: {
    type: "solid",
    opacity: [1, 0.1]
},
legend: {
    position: "top",
    horizontalAlign: "right"
}
};

// Populate series dynamically from PHP data
var seriesData = [];
<?php $__currentLoopData = $chartDataPurchase; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dataPoint): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
seriesData.push({
    name: "<?php echo e($dataPoint->month); ?>",
    data: [<?php echo e($dataPoint->total_amount); ?>],
    type: "line"
});
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
options.series = seriesData;

// Populate x-axis categories dynamically from PHP data
var categoriesData = [];
<?php $__currentLoopData = $chartDataPurchase; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dataPoint): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
categoriesData.push("<?php echo e($dataPoint->month); ?>");
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
options.xaxis.categories = categoriesData;

var chart = new ApexCharts(document.querySelector("#line-chart-purchase"), options);
chart.render();

    </script>
<script>
// Your JavaScript code
var options = {
    'series': [
        {
            'name': 'Total Amount',
            'data': <?php echo json_encode($seriesDataPurchase); ?>
        }
    ],
    'chart': {
        'type': 'bar',
        'height': 260,
        'stacked': true,
        'toolbar': {
            'show': false
        },
        'zoom': {
            'enabled': true
        }
    },
    'plotOptions': {
        'bar': {
            'horizontal': false,
            'columnWidth': '5%',
            'endingShape': 'rounded'
        }
    },
    'dataLabels': {
        'enabled': false
    },
    'xaxis': {
        'categories': <?php echo json_encode($categoriesPurchase); ?>
    },
    'colors': ["#3b5de7"],
    'fill': {
        'opacity': 1
    }
};

var chart = new ApexCharts(document.querySelector("#column-chart-purchase"), options);
chart.render();
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/index.blade.php ENDPATH**/ ?>