<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="author" content="Brex-Theme" />
    <!-- description -->
    
    <title>Ledgematic</title>
    <link rel="shortcut icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>">


    <!-- Bootstrap 4.1.3 -->
    <link rel="stylesheet" href="<?php echo e(asset('ledgematic')); ?>/css/bootstrap.min.css">
    <!-- Normalize.css -->
    <link rel="stylesheet" href="<?php echo e(asset('ledgematic')); ?>/css/plugins/normalize.css">
    <!-- Animate.css -->
    <link rel="stylesheet" href="<?php echo e(asset('ledgematic')); ?>/css/plugins/animate.css">
    <!-- Magnific Popup -->
    <link rel="stylesheet" href="<?php echo e(asset('ledgematic')); ?>/css/plugins/magnific-popup.css">
    <!-- Font Awesome 4.7 -->
    <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <!-- Linea-basic -->
    <link rel="stylesheet" href="<?php echo e(asset('ledgematic')); ?>/css/plugins/linea-basic.css">
    <!-- Google Font -->
    <link href="https://fonts.googleapis.com/css?family=Raleway:100,200,300,400,500,600,700,800,900" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Muli:200,300,400,600,700,800,900" rel="stylesheet">
    <!-- Line Progress bar -->
    <link href="http://www.jqueryscript.net/css/jquerysctipttop.css" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo e(asset('ledgematic')); ?>/css/plugins/jquery.lineProgressbar.min.css">
    <!-- Main Css-->
    <link rel="stylesheet" href="<?php echo e(asset('ledgematic')); ?>/css/main.css">

    <!-- Remix Icon -->
    <link href="https://cdn.jsdelivr.net/npm/remixicon@4.2.0/fonts/remixicon.css" rel="stylesheet" />


    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/3.5.2/animate.min.css">
</head>

<body>

    <!-- Page Loading -->
    

    <!-- ======== Start Navbar ======== -->
    <nav class="navbar navbar-expand-lg navbar-dark">
        <div class="container">
            <a class="navbar-brand" href="<?php echo e(url('/')); ?>"><img src="<?php echo e(asset('ledgematic')); ?>/img/logo5.png"
                    alt="logo"></a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link" href="#slider">Home
                            <span class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#features">Features</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#about">About</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#testimonials">Testimonials</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#contact">Contact</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#faqs">FAQs</a>
                    </li>

                </ul>
                <a href="<?php echo e(url('login')); ?>" class="btn contact-btn">Login</a>
            </div>
        </div>
    </nav>
    <!-- ======== End Navbar ======== -->

    <!-- ======== Start Slider ======== -->
    <section class="slider" id="slider">
        <div class="container text-center">
            <div class="content">
                <h1 data-id='slideInUp' class='aos-item' data-aos='slideInUp'>AN ERP dashboard for businesses</h1>
                <p data-id='slideInUp' class='aos-item' data-aos='slideInUp'>Let's automate your ledgers with Ledgematic
                </p>
                <a href="#contact" class="btn" data-id='slideInUp' class='aos-item' data-aos='slideInUp'>Contact Us</a>
            </div>
        </div>
        <div class="dash container text-center">
            <img src="<?php echo e(asset('ledgematic')); ?>/img/Dashboard.png" data-id='slideInUp' class='aos-item'
                data-aos='slideInUp' alt="">
        </div>
    </section>
    <!-- ======== End Slider ======== -->


    <!-- ======== Start Welcome ======== -->
    
    <!-- ======== End Welcome ======== -->

    <!-- ======== Start About ======== -->
    <section class="about long-bg" >

        <div id="features" data-id='slideInUp' class='aos-item' data-aos='slideInUp' style="margin-top: 350px">

            <div class="container mb-5">
                <div class="row">
                    <div class="col-lg-7">
                        <div class="heading">
                            <h2>Powerful features to help you
                                manage all your leads</h2>
                        </div>
                    </div>
                    <div class="col-lg-5">
                        <p>Comprehensive tools for lead management, including tracking, organizing, and automating
                            processes to maximize efficiency and conversion rates.
                        <p>
                    </div>
                </div>
            </div>

            <div class="slider-holder">

                <div class="slick marquee">
                    <?php $__currentLoopData = $FeatureRowOne; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $FRO): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="slick-slide">
                            <div class="box">
                                <span class="icon"><img src="<?php echo e(asset('ledgematic')); ?>/img/Icon.png"
                                        alt=""></span><br><br>
                                <div class="line m-auto"></div>
                                <h3><?php echo e($FRO->heading); ?></h3>
                                <p><?php echo e($FRO->description); ?></p>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </div>
                <div class="slider4-overlay"></div>


                <div dir="rtl">
                    <div class="slick marquee_rtl">
                        <?php $__currentLoopData = $FeatureRowTwo; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $FRT): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="slick-slide">
                                <div class="box">
                                    <span class="icon"><img src="<?php echo e(asset('ledgematic')); ?>/img/Icon.png"
                                            alt=""></span><br><br>
                                    <div class="line m-auto"></div>
                                    <h3><?php echo e($FRT->heading); ?></h3>
                                    <p><?php echo e($FRT->description); ?></p>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
                <div class="slider5-overlay"></div>
            </div>
        </div>

        <div class="container" id="about" data-id='slideInUp' class='aos-item' data-aos='slideInUp'>
            <div class="heading text-center">
                <h2>Why Choose Us?</h2>
                <p>Our technologies simplify global commerce, boosting economic growth by enhancing transaction ease,
                    increasing value, demand, spending, and earnings, creating a positive cycle for all.
                </p>
            </div>

            <div class="trans-card">
                <img class="mr-3 line" src="<?php echo e(asset('ledgematic')); ?>/img/11.png" alt="">
                <div class="content">
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="heading ico-1">
                                <h2 class="mb-3">Easy to learn, even easier to use</h2>
                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Setup Ledgematic in under a minute, making it quick and efficient to get
                                            started.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Begin invoicing immediately after setup, streamlining your business
                                            operations without delay.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Ledgematic's user-friendly interface ensures ease of use for all users,
                                            regardless of experience.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Designed to meet your expectations, Ledgematic works seamlessly and
                                            intuitively from the start.

                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <img src="<?php echo e(asset('ledgematic')); ?>/img/1.png" alt="about" class="img-fluid mt-5"
                                width="100%">
                        </div>
                    </div>
                </div>
            </div>

            <div class="trans-card">
                <img class="mr-3 line" src="<?php echo e(asset('ledgematic')); ?>/img/22.png" alt="">
                <div class="content">
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="heading ico-2">
                                <h2 class="mb-3">Informative, practical, and adaptable reports</h2>
                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Ledgematic offers diverse business reports with actionable insights for
                                            informed decision-making and growth.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Personalize reports by creating and saving multiple views tailored to your
                                            specific needs.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Access powerful insights readily available to drive your business forward.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Enhance decision-making with customized reports that fit your business
                                            preferences.
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <img src="<?php echo e(asset('ledgematic')); ?>/img/2.png" alt="about" class="img-fluid mt-5"
                                width="100%">
                        </div>
                    </div>
                </div>
            </div>

            <div class="trans-card">
                <img class="mr-3 line" src="<?php echo e(asset('ledgematic')); ?>/img/33.png" alt="">
                <div class="content">
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="heading ico-3">
                                <h2 class="mb-3">Access securely from anywhere, at any time</h2>
                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Access business reports via web browser anywhere, ensuring your data is
                                            available only to you.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Benefit from multiple user and feature-based security levels for enhanced
                                            data protection.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Enjoy encryption that guarantees maximum security, unbreakable by anyone,
                                            even Ledgematic.
                                        </p>
                                    </div>
                                </div>

                                <div class="item d-flex justify-content-between align-items-center">
                                    <span class="icon fa fa-check"></span>
                                    <div class="cont">
                                        <p>Rest assured with secure access anytime, maintaining the confidentiality of
                                            your business information.
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <img src="<?php echo e(asset('ledgematic')); ?>/img/3.png" alt="about" class="img-fluid mt-5"
                                width="100%">
                        </div>
                    </div>
                </div>
            </div>
        </div>

        

    </section>
    <!-- ======== End About ======== -->


    <!-- ======== Start Skills ======== -->
    <section class="skills" id="#">
        <div class="container">
            <div class="content content-main text-center mb-4">
                <!-- <span>Highly Creative Solutions</span> -->
                <h1>Essential apps that helps your</h1>
            </div>
            <div class="skill-con1 mb-4">
                <div class="row">
                    <!-- Left -->
                    <div class="col-lg-6">
                        <div class="content">
                            <!-- <span>Highly Creative Solutions</span> -->
                            <h2>Comprehensive Accounting Management:</h2>
                            <p><strong>Ledger Management: </strong>Allow users to create, maintain, and manage ledgers for various accounts. This includes functionalities for adding new accounts, editing existing ones, and categorizing transactions accurately.</p>
                                <p>
                                <strong>Financial Reporting:</strong> Provide robust reporting capabilities such as balance sheets, profit and loss statements, cash flow statements, and customizable financial reports. These reports should offer insights into the financial health of the organization, allowing users to analyze income, expenses, and overall financial performance.</p>
                                <p>
                                <strong>Statement of Account: </strong> Offer a feature to generate detailed statements of account for customers and suppliers. Users should be able to view transaction histories, outstanding balances, payment history, and any relevant notes or communications related to each account. <strong></strong></p>


                            </p>
                            <a href="<?php echo e(asset('ledgematic')); ?>/#0" class="btn">Learn More</a>
                        </div>
                    </div>
                    <!-- Right -->
                    <div class="col-lg-6">
                        <div class="skill-con2">
                            <img src="<?php echo e(asset('ledgematic')); ?>/img/f3.png" alt="">
                        </div>
                    </div>
                </div>
            </div>


            <div class="row">
                <!-- Left -->
                <div class="col-lg-5">
                    <div class="skill-con3">
                        <div class="content">
                            <div class="image-wrapper">
                                <img src="<?php echo e(asset('ledgematic')); ?>/img/f1.png" alt="" width="380">
                            </div>
                            <h2>Multilingual Support for Item and Company Data:</h2>
                            <p><strong>Dual Language Entry:</strong> Enable users to input, manage, and display item names, company names, and company addresses in both English and Arabic within the ERP system.
                            </p>
                        </div>
                    </div>
                </div>
                <!-- Right -->
                <div class="col-lg-7">
                    <div class="skill-con4">
                        <div class="content">
                            <h2>Inventory Management:</h2>
                            <p><strong>Inventory Tracking:</strong> Enable real-time tracking of stock levels across multiple       warehouses
                                or locations. Users should be able to view current stock quantities, historical stock
                                movements, and stock valuation.
                            </p>
                            <p>
                                <strong>Serial Number Tracking:</strong> Implement serial number tracking functionality to monitor
                                individual items throughout their lifecycle. This includes recording serial numbers
                                during receipt, tracking their movements (sales, transfers, returns), and maintaining a
                                history of each serial number's transactions.
                            </p>
                            <img src="<?php echo e(asset('ledgematic')); ?>/img/f2.png" alt="" >
                        </div>
                    </div>
                </div>
            </div>

            <div class="buttons-con mt-4 text-center">
                <a href="#contact" class="btn">Contact Us</a>
                <a href="<?php echo e(asset('ledgematic')); ?>/#0" class="btn1">Browse all feature</a>
            </div>

        </div>
    </section>
    <!-- ======== End Skills ======== -->


    <!-- ======== Start Welcome ======== -->
    <section class="long-bg2">

        <div class="container" id="testimonials" data-id='slideInUp' class='aos-item' data-aos='slideInUp'>
            <div class="testimo text-center">
                <h2>What our clients say</h2>
                <p>Our clients rave about our exceptional service and reliable solutions that
                    have transformed their businesses. Discover why they trust us.
                </p>
            </div>
            <div class="pb-10 pt-10">
                <div class="testomi service">
                    <?php $__currentLoopData = $Testimonial; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $T): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="slide">
                            <div class="port-box3 cust-hover style2 mb-20 position-relative overflow-hidden w-100">
                                <div class="box">
                                    <div class="mb-3">
                                        <span class="icon fa fa-star"></span>
                                        <span class="icon fa fa-star"></span>
                                        <span class="icon fa fa-star"></span>
                                        <span class="icon fa fa-star"></span>
                                        <span class="icon fa fa-star"></span>
                                    </div>
                                    <div class="line m-auto"></div>
                                    <p>“<?php echo e($T->message); ?>”</p>
                                    <div class="item d-flex justify-content-between align-items-center">
                                        <span class="testo-img"><img src="<?php echo e(asset('testimonial/' . $T->image)); ?>"
                                                alt=""></span>
                                        <div class="cont">
                                            <h3><?php echo e($T->name); ?></h3>
                                            <p><?php echo e($T->designation); ?></p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


                </div>
            </div>
        </div>

        

        <div class="container" id="contact" data-id='slideInUp' class='aos-item' data-aos='slideInUp'>
            <div class="cont-form">
                <div class="row">
                    <div class="col-md-5">
                        <div class="title mb-5">
                            <h3>Reach Out</h3>
                            <p>Lorem ipsum dolor sit amet consectetur. Ac quam sem mi nibh volutpat enim pellentesque.
                            </p>
                        </div>
                        <div class="content">
                            <div class="row list mb-4 mt-5">
                                <div class="col-md-12">
                                    <h4>
                                        <span class="icon fa fa-check"></span>Personalized assistance.
                                    </h4>
                                </div>
                                <div class="col-md-12">
                                    <h4>
                                        <span class="icon fa fa-check"></span>
                                        Timely response.
                                    </h4>
                                </div>
                                <div class="col-md-12">
                                    <h4>
                                        <span class="icon fa fa-check"></span>Comprehensive support.
                                    </h4>
                                </div>
                            </div>

                            <div class="footer-social-icon">
                                <ul class="social_icon">

                                    <li><a target="blank" href="https://www.facebook.com/profile.php?id=61562413890484" target="_blank"><i class="fa fa-facebook"></i></a></li>
                                    <li><a target="blank" href="<?php echo e(asset('ledgematic')); ?>/#"><i class="fa fa-linkedin"></i></a></li>
                                    <li><a target="blank" href="<?php echo e(asset('ledgematic')); ?>/#"><i class="fa fa-instagram"></i></a>
                                    </li>
                                    <li><a target="blank" href="https://wa.link/qbcwet"><i class="fa fa-whatsapp"></i></a></li>
                                </ul>
                            </div>

                        </div>
                    </div>

                    <div class="col-md-7">
                        <form action="<?php echo e(url('contact-to-ledgematic')); ?>" method="post">
                            <?php echo csrf_field(); ?>
                            <div class="row">
                                <div class="col-sm-6">
                                    <input type="text" class="form-control" placeholder="Name" name="name"
                                        required>
                                </div>
                                <div class="col-sm-6">
                                    <input type="email" class="form-control" placeholder="Email" name="email"
                                        required>
                                </div>
                            </div>
                            <div class="form-group">
                                <textarea class="form-control" rows="8" id="comment" placeholder="Message" name="message" required></textarea>
                            </div>
                            <button class="btn btn-block" type="submit">SUBMIT</button>
                        </form>
                    </div>
                </div>


                <div class="row cont-cards">
                    <!-- Info-1 -->
                    <div class="col-md-4 col-lg-4 col-sm-4">
                        <div class="info">
                            <span class="ico-3"><a target="blank" href="<?php echo e(asset('ledgematic')); ?>/#"><i
                                        class="fa fa-envelope"></i></a></span><br>
                            <h4 class="d-inline-block">Email Us
                                <br>
                                <span>loremipsum@gmail.com</span>
                            </h4>
                        </div>
                    </div>
                    <!-- Info-2 -->
                    <div class="col-md-4 col-lg-4 col-sm-4">
                        <div class="info">
                            <span class="ico-3"><a target="blank" href="<?php echo e(asset('ledgematic')); ?>/#"><i
                                        class="fa fa-phone"></i></a></span><br>
                            <h4 class="d-inline-block">Call Us
                                <br>
                                <span>+91-1234-56789</span>
                            </h4>
                        </div>
                    </div>
                    <!-- Info-3 -->
                    <div class="col-md-4 col-lg-4 col-sm-4">
                        <div class="info ">
                            <span class="ico-3"><a target="blank" href="https://wa.link/qbcwet"><i
                                        class="fa fa-whatsapp"></i></a></span><br>
                            <h4 class="d-inline-block">Whatsapp
                                <br>
                                <span>+91-1234-56789</span>
                            </h4>
                        </div>
                    </div>
                </div>


            </div>
        </div>
    </section>
    <!-- ======== End Welcome ======== -->

    <!-- ======== Start Video ======== -->
    <section class="video-area" id="faqs">
        <div class="container">
            <center>
                <div class="accordion__wrapper">
                    <h1 class="accordion__title">Frequently asked questions</h1>
                    <p class="accordion__p">Everything you need to know about Ledgematic.</p>

                    <div class="faqs-container">

                        <details open name="faq">
                            <summary>
                                <h3>How does your ERP software handle inventory management?</h3>
                            </summary>
                            <p class="content">
                                Our ERP software provides robust inventory management features, including real-time
                                tracking of stock levels across multiple warehouses. You can track items by serial
                                numbers, manage stock movements, and maintain comprehensive stock histories for accurate
                                inventory control.
                            </p>
                        </details>

                        <details open name="faq">
                            <summary>
                                <h3>Can I manage multiple company locations or branches with your ERP software?</h3>
                            </summary>
                            <p class="content">
                                Yes, our ERP software is designed to support multi-location businesses. You can manage
                                and track operations across different company branches or locations seamlessly, ensuring
                                centralized control and visibility.
                            </p>
                        </details>

                        <details open name="faq">
                            <summary>
                                <h3>How customizable is your ERP software to fit our business needs?<h3>
                            </summary>
                            <p class="content">
                                Our ERP software is highly customizable to adapt to various industry requirements and
                                business processes. From customizable dashboards to tailored reporting and document
                                templates, you can personalize the software to meet your specific operational needs and
                                preferences.
                            </p>
                        </details>

                        <details open name="faq">
                            <summary>
                                <h3>How does your ERP software handle financial reporting?</h3>
                            </summary>
                            <p class="content">
                                Our ERP software includes financial reporting tools that enable accurate and timely financial insights. It supports accounting standards and requirements, offering features like automated financial statement generation and reports tailored to meet specific needs.
                            </p>
                        </details>

                        <details open name="faq">
                            <summary>
                                <h3>How does your ERP software handle user permissions?</h3>
                            </summary>
                            <p class="content">
                                Our ERP software prioritizes user permissions to ensure that sensitive information is protected while allowing appropriate access for different team members. It offers customizable user roles and access levels, ensuring that your business operations are managed efficiently with controlled access to relevant data.
                            </p>
                        </details>

                        


                    </div>
                </div>


            </center>
        </div>
    </section>
    <!-- ======== End Video ======== -->

    <!-- ======== Start Footer ======== -->

    <img src="<?php echo e(asset('ledgematic')); ?>/img/Main.png" data-id='slideInUp' class='aos-item w-100'
        data-aos='slideInUp' alt="">
    <footer class="footer-section">
        <div class="container">
            <div class="footer-content pt-10 pb-4">
                <div class="row">
                    <div class="col-xl-4 col-lg-4 mb-50">
                        <div class="footer-widget">
                            <div class="footer-logo">
                                <a href="<?php echo e(url('/')); ?>"><img src="<?php echo e(asset('ledgematic')); ?>/img/logo5.png"
                                        class="img-fluid" alt="logo"></a>
                            </div>
                            <div class="footer-text">
                                <p>Let's automate your ledgers with Ledgematic
                                </p>
                            </div>
                            <div class="footer-social-icon">
                                <ul class="social_icon">
                                    <li><a target="blank" href="<?php echo e(asset('ledgematic')); ?>/#"><i class="fa fa-facebook"></i></a></li>
                                    <li><a target="blank" href="<?php echo e(asset('ledgematic')); ?>/#"><i class="fa fa-linkedin"></i></a></li>
                                    <li><a target="blank" href="<?php echo e(asset('ledgematic')); ?>/#"><i class="fa fa-instagram"></i></a>
                                    </li>
                                    <li><a target="blank" href="https://wa.link/qbcwet"><i class="fa fa-whatsapp"></i></a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="col-xl-2 col-lg-3 col-md-3 mb-30">
                        <div class="footer-widget">
                            <div class="footer-widget-heading">
                                <h3>Company</h3>
                            </div>
                            <ul>
                                <li><a href="#features">Features</a></li>
                                <li><a href="#about">Why us?</a></li>
                                <li><a href="#contact">Contact</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-3 col-md-3 mb-30">
                        <div class="footer-widget">
                            <div class="footer-widget-heading">
                                <h3>Help</h3>
                            </div>
                            <ul>
                                <li><a href="#">Customer Support</a></li>
                                <li><a href="#">Terms & Conditions</a></li>
                                <li><a href="#">Privacy Policy</a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="col-xl-3 col-lg-4 col-md-6 mb-50">
                        <div class="footer-widget">
                            <div class="footer-widget-heading">
                                <h3>Subscribe to Newsletter</h3>
                            </div>
                            <div class="subscribe-form">
                                <form action="<?php echo e(url('subscribe-to-newsletter')); ?>" method="post">
                                    <?php echo csrf_field(); ?>
                                    <input type="text" placeholder="Email Address" name="email">
                                    <button type="submit">Join</button>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="copyright-area">
            <div class="container">
                <div class="text-center">
                    <div class="copyright-text">
                        <p>© Copyright <span id="year"></span>, All Rights Reserved by Ledgematic</p>
                    </div>
                    <script>
                        window.onload = function() {
                            var currentYear = new Date().getFullYear();
                            document.getElementById("year").textContent = currentYear;
                        };
                    </script>
                </div>
            </div>
        </div>
    </footer>

    <!-- ==== JavaScript ==== -->
    <script src="<?php echo e(asset('ledgematic')); ?>/js/jquery-3.3.1.min.js"></script>
    <!-- Bootstrap 4.1.3 -->
    <script src="<?php echo e(asset('ledgematic')); ?>/js/bootstrap.min.js"></script>
    <script src="<?php echo e(asset('ledgematic')); ?>/js/popper.min.js"></script>
    <!-- Isotope -->
    <script src="<?php echo e(asset('ledgematic')); ?>/js/plugins/isotope.pkgd.min.js"></script>
    <script src="<?php echo e(asset('ledgematic')); ?>/js/plugins/imagesloaded.pkgd.min.js"></script>
    <!-- Line Progress bar -->
    <script src="<?php echo e(asset('ledgematic')); ?>/js/plugins/jquery.lineProgressbar.js"></script>
    <!-- Couner Up-->
    <script src="<?php echo e(asset('ledgematic')); ?>/js/plugins/jquery.waypoints.min.js"></script>
    <script src="<?php echo e(asset('ledgematic')); ?>/js/plugins/jquery.counterup.min.js"></script>
    <!-- Magnific Popup-->
    <script src="<?php echo e(asset('ledgematic')); ?>/js/plugins/magnific-popup.min.js"></script>
    <!-- Wow Js Animations -->
    <script src="<?php echo e(asset('ledgematic')); ?>/js/plugins/wow.min.js"></script>
    <!-- Modernizr -->
    <script src="http://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.2/modernizr.js"></script>
    <!-- Main Js -->
    <script src="<?php echo e(asset('ledgematic')); ?>/js/main.js"></script>

    <script src="https://code.jquery.com/jquery-2.2.0.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.6.0/slick.js"></script>


    <script src="https://cdn.jsdelivr.net/gh/linuxguist/animation@main/aos.js"></script>
    <script>
        if (!window.Cypress) AOS.init({
            useClassNames: true,
            initClassName: false,
            animatedClassName: 'animated',
            duration: 3000, // values from 0 to 3000, with step 50ms
        });
    </script>

    <script>
        $(document).ready(function() {
            $('.slider3').slick({
                slidesToShow: 5,
                slidesToScroll: 1,
                autoplay: true,
                autoplaySpeed: 1500,
                arrows: false,
                dots: false,
                rtl: false, // Ensure RTL is false to move from left to right
                pauseOnHover: false,
                responsive: [{
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 4
                    }
                }, {
                    breakpoint: 520,
                    settings: {
                        slidesToShow: 3
                    }
                }]
            });
        });
    </script>


    <script>
        $(document).ready(function() {
            $('.slider2').slick({
                slidesToShow: 5,
                slidesToScroll: 1,
                autoplay: true,
                autoplaySpeed: 1500,
                arrows: false,
                dots: false,
                ltr: true, // Ensure RTL is false
                rtl: false,
                pauseOnHover: false,
                responsive: [{
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 4
                    }
                }, {
                    breakpoint: 520,
                    settings: {
                        slidesToShow: 3
                    }
                }]
            });
        });
    </script>

    <script>
        $(document).ready(function() {
            $('.testomi').slick({
                slidesToShow: 3,
                slidesToScroll: 1,
                autoplay: true,
                autoplaySpeed: 1900,
                arrows: false,
                dots: true,
                pauseOnHover: false,
                responsive: [{
                    breakpoint: 1020,
                    settings: {
                        slidesToShow: 3
                    }
                }, {
                    breakpoint: 768,
                    settings: {
                        slidesToShow: 2
                    }
                }, {
                    breakpoint: 520,
                    settings: {
                        slidesToShow: 1
                    }
                }, {
                    breakpoint: 220,
                    settings: {
                        slidesToShow: 1
                    }
                }]
            });
        });
    </script>

    <script>
        jQuery(document).ready(function($) {
            $('.slick.marquee').slick({
                speed: 8000,
                autoplay: true,
                autoplaySpeed: 0,
                centerMode: false,
                cssEase: 'linear',
                slidesToShow: 1,
                draggable: false,
                focusOnSelect: false,
                pauseOnFocus: false,
                pauseOnHover: false,
                slidesToScroll: 1,
                variableWidth: true,
                infinite: true,
                initialSlide: 1,
                arrows: false,
                buttons: false
            });
        });

        jQuery(document).ready(function($) {
            $('.slick.marquee_rtl').slick({
                speed: 8000,
                autoplay: true,
                autoplaySpeed: 0,
                centerMode: false,
                cssEase: 'linear',
                draggable: false,
                focusOnSelect: false,
                pauseOnFocus: false,
                pauseOnHover: false,
                slidesToShow: 1,
                slidesToScroll: 1,
                variableWidth: true,
                infinite: true,
                initialSlide: 1,
                arrows: false,
                buttons: false,
                rtl: true
            });
        });
    </script>

    <script>
        const accordions = document.querySelectorAll(".accordion");

        accordions.forEach((accordion, index) => {
            const header = accordion.querySelector(".accordion__header");
            const content = accordion.querySelector(".accordion__content");
            const icon = accordion.querySelector("#accordion-icon");

            header.addEventListener("click", () => {
                const isOpen = content.style.height === `${content.scrollHeight}px`;

                accordions.forEach((a, i) => {
                    const c = a.querySelector(".accordion__content");
                    const ic = a.querySelector("#accordion-icon");

                    c.style.height = i === index && !isOpen ? `${c.scrollHeight}px` : "0px";
                    ic.classList.toggle("ri-add-line", i !== index || !isOpen);
                    ic.classList.toggle("ri-subtract-fill", i === index && !isOpen);
                });
            });
        });
    </script>

</body>

</html>
<?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/index.blade.php ENDPATH**/ ?>