<?php $__env->startSection('content'); ?>


    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Payment Voucher</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <form
                        action="<?php echo e(route('software.payment_vouchers.update', ['payment_voucher' => $paymentVouchers[0]->id])); ?>"
                        class="outer-repeater" method="POST">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('put'); ?>

                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Payment Voucher #</label>
                                    <input class="form-control" readonly placeholder="" id="example-password-input"
                                        name="invoice_no" value="<?php echo e($paymentVouchers[0]->invoice_no); ?>">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Date</label>
                                    <input class="form-control PeriodClosingDate" type="date" pattern="\d{4}-\d{2}-\d{2}" name="date"
                                        value="<?php echo e($paymentVouchers[0]->date); ?>">
                                </div>
                            </div>
                        </div>

                        <br>


                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label">Select Method</label>
                                    <select class="form-control paymentMethod select2" id="paymentMethod" onchange="togglePaymentFields()" name="payment_method">
                                        <option>Select Method</option>
                                        <option value="cash" <?php echo e($paymentVouchers[0]->payment_method == 'cash' ? 'selected' : ''); ?>>Cash</option>
                                        <option value="bank" <?php echo e($paymentVouchers[0]->payment_method == 'bank' ? 'selected' : ''); ?>>Bank</option>
                                    </select>
                                </div>
                                <div class="form-group">
                                    <label class="control-label">Select Account</label>
                                    <select id="account" class="form-control select2" name="account_id">
                                        <option>Select Account</option>
                                        <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($account->id); ?>" <?php echo e($paymentVouchers[0]->acc_no == $account->account_no ? 'selected' : ''); ?> data-account-type="<?php echo e($account->table_name); ?>" data-account-name="<?php echo e($account->account_name); ?>" data-acc-no="<?php echo e($account->account_no); ?>">
                                                <?php echo e($account->account_name); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <input type="hidden" class="account_type" name="account_type" id="account_type">
                                <input type="hidden" name="account_name" class="account_name">
                                <input type="hidden" class="acc_no" name="acc_no" id="acc_no">

                            </div>

                            <div class="col-md-6" id="bankFields" style="display: <?php echo e($paymentVouchers[0]->payment_method == 'bank' ? 'block' : 'none'); ?>;">
                                <div class="form-group">
                                    <label class="control-label">Select Bank Account</label>
                                    <select class="form-control bank select2" style="width: 100%" name="bank_id">
                                        <option value="">Select Bank Account</option>
                                        <?php $__currentLoopData = $Bankaccounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Bankaccount): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($Bankaccount->id); ?>" <?php echo e($paymentVouchers[0]->bank_no == $Bankaccount->account_no ? 'selected' : ''); ?> data-name="<?php echo e($Bankaccount->account_name); ?>" data-bank-no="<?php echo e($Bankaccount->account_no); ?>">
                                                <?php echo e($Bankaccount->account_name); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <input type="hidden" name="bank_name" id="bank_name">
                                <input type="hidden" class="bank_no" name="bank_no" id="bank_no">
                                <div class="form-group">
                                    <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Cheque No #" id="chequeNo" name="cheaque_no" value="<?php echo e($paymentVouchers[0]->cheaque_no); ?>">
                                </div>
                                <div class="form-group">
                                    <input class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}" name="cheaque_date" value="<?php echo e($paymentVouchers[0]->cheaque_date); ?>">
                                </div>
                            </div>
                            <div class="col-md-6">

                            </div>
                            <div class="col-md-6" id="pricehidden1" style="display: none;">

                            </div>
                            <div class="col-md-6">
                            </div>
                            <div class="col-md-6" id="pricehidden2" style="display: none;">

                            </div>
                            <div class="col-md-6">
                            </div>

                            <div class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered dt-responsive nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            
                                            <th>BillWise/OnAccount</th>
                                            <th>Select Invoice</th>
                                            <th>Amount</th>
                                            <th>Delete</th>

                                        </tr>
                                    </thead>

                                    <tbody id="table-body">
                                        <?php $__empty_1 = true; $__currentLoopData = $paymentVouchers[0]->expense; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <tr>
                                                <div class="inner-repeater mb-12">
                                                    <div data-repeater-list="inner-group" class="inner form-group">



                                                        <td>
                                                            <div class="form-group">
                                                                <select class="form-control selectItem "
                                                                    name="bill_wise_id[]">
                                                                    <option value="BillWise"
                                                                        <?php echo e($expense->bill_wise_id == 'BillWise' ? 'selected' : ''); ?>>
                                                                        BillWise</option>
                                                                    <option value="OnAccount"
                                                                        <?php echo e($expense->bill_wise_id == 'OnAccount' ? 'selected' : ''); ?>>
                                                                        On Account</option>
                                                                </select>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group" id="accountSelect">
                                                                <select class="form-control selectItem"
                                                                    name="inovice_id[]">
                                                                    <?php $__currentLoopData = $salesInvoices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $si): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($si->invoice_no); ?>"
                                                                            <?php echo e($expense->inovice_id == $si->invoice_no ? 'selected' : ''); ?>>
                                                                            <?php echo e($si->invoice_no); ?></option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input class="form-control amount-input" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                    placeholder="0.0000" id="example-password-input"
                                                                    name="amount[]" value="<?php echo e($expense->amount); ?>">
                                                            </div>
                                                        </td>

                                                    </div>

                                                </div>


                                                <td>
                                                    <a href="" class="delete-row-btn"> <i
                                                            class="fas fa-trash-alt inner"></i></a>
                                                </td>



                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <tr>
                                                <div class="inner-repeater mb-12">
                                                    <div data-repeater-list="inner-group" class="inner form-group">
                                                        <td>
                                                            <div class="form-group">
                                                                <select id="account" class="form-control select2 "
                                                                    name="account_id[]">
                                                                    <option>Select Account</option>
                                                                    <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($account->id); ?>"
                                                                            data-account-type="<?php echo e($account->table_name); ?>">
                                                                            <?php echo e($account->account_name); ?>

                                                                        </option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                            <input type="hidden" class="account_type"
                                                                name="account_type[]" id="account_type">
                                                        </td>

                                                        <td>
                                                            <div class="form-group">
                                                                <input class="form-control amount-input" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                    placeholder="0.0000" id="example-password-input"
                                                                    name="amount[]">
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <select class="form-control selectItem select2"
                                                                    name="bill_wise_id[]">
                                                                    <option value="" selected disabled selected>
                                                                        Select Type...
                                                                    </option>
                                                                    <option value="BillWise">BillWise</option>
                                                                    <option value="OnAccount">On Account</option>
                                                                </select>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <select class="form-control selectItem select2"
                                                                    name="inovice_id[]">
                                                                    <option value="" selected disabled selected>
                                                                        Select Account
                                                                    </option>
                                                                    <?php $__currentLoopData = $salesInvoices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $si): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                        <option value="<?php echo e($si->invoice_no); ?>">
                                                                            <?php echo e($si->invoice_no); ?></option>
                                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                                </select>
                                                            </div>
                                                        </td>

                                                    </div>

                                                </div>


                                                <td>
                                                    <a href="" class="delete-row-btn"> <i
                                                            class="fas fa-trash-alt inner"></i></a>
                                                </td>



                                            </tr>
                                        <?php endif; ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-8">
                                <button id="add-more-btn" class="btn btn-outline-primary">add
                                    more</button>
                            </div>
                            <!-- <div class="col-md-8">
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <strong>
                                                                                    <label>Total Quantity</label>
                                                                                    <span>lorem ipsum</span>
                                                                                </strong>
                                                                            </div> -->
                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Total Gross Amount:</label>
                                    <span id="netTotal"></span>
                                </strong>
                            </div>
                            <div class="col-md-8">
                            </div>

                            <div class="col-md-8">
                            </div>
                            <div class="col-md-4">

                                <div data-repeater-list="group-a" >
                                    <div data-repeater-item class="row">
                                        <div class="form-group col-md-6">
                                            <input type="checkbox" id="new-vat-amount-check" name="new_vat_amount_check">
                                            <label for="">Vat Amount</label>
                                            <input class="form-control new_vat_amount" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Vat Amount"
                                                id="new-vat-amount" name="new_vat_amount" value="<?php echo e($paymentVouchers[0]->new_vat_amount); ?>">
                                        </div>
                                    </div>
                                </div>
                                <strong>
                                    <label>Total Amount:</label>
                                    <span id="GrandTotalAmount"></span>
                                </strong>
                                

                                
                            </div>

                            <div class="col-md-8">
                            </div>
                            <br>
                            <div class="col-md-4">
                            </div>
                            <div class="col-md-4">
                                <strong>
                                    <label>Amount in Words:</label>
                                    <span class="total_net_amount_words"></span>
                                    <input type="hidden" class="total_net_amount_words" name="AmountInWords" >
                                </strong>
                            </div>
                        </div>

                        <br><br>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Narrations</label>
                                    <textarea class="form-control" rows="4" type="text" placeholder="Enter Address"
                                        id="example-textarea-input" name="narration"><?php echo e($paymentVouchers[0]->narration); ?>


                                    </textarea>
                                </div>
                            </div>

                        </div>


                        <button class="btn btn-cust1 float-right" type="submit">Update Payment Voucher
                        </button>



                    </form>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->


    <!-- Modals -->
    <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal1Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal1Label">Add New Account</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Form Will Be visible</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal2" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal2Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal2Label">Modal 2</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 2</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal3" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal3Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal3Label">Modal 3</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 3</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">C lose</button>
                </div>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.7.0.js" integrity="sha256-JlqSTELeR4TLqP0OG9dxM7yDPqX1ox/HfgiSLBj8+kM="
        crossorigin="anonymous"></script>
    <script>
        document.getElementById('addLedgerButton').addEventListener('click', function() {
            cloneRow();
        });

        function cloneRow() {
            const repeaterRow = document.querySelector('.repeater-row');
            if (repeaterRow) {
                const clonedRow = repeaterRow.cloneNode(true);

                const selectElement = clonedRow.querySelector('select');
                const inputElement = clonedRow.querySelector('input');
                if (selectElement) {
                    selectElement.selectedIndex = 0;
                }
                if (inputElement) {
                    inputElement.value = '';
                }

                // Remove the cloned button from the cloned row
                const clonedButton = clonedRow.querySelector('#addLedgerButton');
                if (clonedButton) {
                    clonedButton.remove();
                }

                repeaterRow.parentNode.appendChild(clonedRow);
            }
        }

        function deleteRow(button) {
            const row = button.closest('.repeater-row');
            if (row && !row.isSameNode(document.querySelector('.repeater-row'))) {
                row.remove();
            }
        }
    </script>
    <script>
        $(document).ready(function() {
            // Event handler for the add-clone-btn click
            $(document).on('click', '.add-clone-btn', function(e) {
                e.preventDefault();

                // Get the parent <tr> element
                var parentTr = $(this).closest('tr');

                // Clone the parent <tr> element
                var clonedTr = parentTr.clone();

                // Append the cloned <tr> after the parent <tr>
                parentTr.after(clonedTr);
            });
        });

        $(document).ready(function() {
            // $('#add-more-btn').click(function(e) {
            //     e.preventDefault();

            //     // Clone the existing row
            //     var newRow = $('#table-body tr').first().clone();

            //     // Clear input fields and select values in the cloned row
            //     newRow.find('input, textarea').val('');
            //     newRow.find('select').prop('selectedIndex', 0);

            //     // Append the cloned row to the table
            //     $('#table-body').append(newRow);
            // });

            // $('#add-clone-btn').click(function(e) {
            //     e.preventDefault();

            //     // Clone the existing row
            //     var newRow = $('#table-body tr').first().clone();

            //     // Clear input fields and select values in the cloned row
            //     newRow.find('input, textarea').val('');
            //     newRow.find('select').prop('selectedIndex', 0);

            //     // Append the cloned row to the table
            //     $('#table-body').append(newRow);
            // });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function(e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();
            });
        });
    </script>

<script>
    function togglePaymentFields() {
        var paymentMethod = document.getElementById("paymentMethod").value;
        var bankFields = document.getElementById("bankFields");

        if (paymentMethod === "bank") {
            bankFields.style.display = "block";
        } else {
            bankFields.style.display = "none";
        }
    }
</script>

    <!-- modal script -->

    <script>
        document.getElementById("modalSelect").addEventListener("change", function() {
            var selectedModal = this.value;

            // Close any open modals
            $('.modal').modal('hide');

            // Open the selected modal
            $('#' + selectedModal).modal('show');
        });
    </script>

    
 <script>
    $(document).ready(function() {

      // Calculate and update net total
      function calculateNetTotal() {
          var totalAmount = 0;
          $('.amount-input').each(function() {
              var amount = parseFloat($(this).val());
              if (!isNaN(amount)) {
                  totalAmount += amount;
              }
          });
          var vatAmount = 0;
          $('.new_vat_amount').each(function() {
              var amount = parseFloat($(this).val());
              if (!isNaN(amount)) {
                  vatAmount += amount;
              }
          });

          var GrandTotalAmount = totalAmount + vatAmount;

          $('#netTotal').text(totalAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>)); // Display the net total

          $('#GrandTotalAmount').text(GrandTotalAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>)); // Display the net total

          // Convert total net amount to words and update the corresponding field
        //   var totalNetAmountWords = numberToWords(GrandTotalAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>));
        //   $('#total_net_amount_words').text(totalNetAmountWords);

          var totalNetAmountWords = numberToWords(GrandTotalAmount.toFixed(<?php echo e(session()->get('branch')->currency_decimal); ?>));

        // Set the text content of the span
        $('.total_net_amount_words').eq(0).text(totalNetAmountWords);

        // Set the value of the input (if you want to show it inside the input field)
        $('.total_net_amount_words').eq(1).val(totalNetAmountWords);
      }

      $(document).on('keyup', '.amount-input, .new_vat_amount', function() {
          calculateNetTotal();
      });

      $(document).on('click', '.delete-row-btn', function(e) {
          e.preventDefault();

          var row = $(this).closest('tr');
          row.remove();

          calculateNetTotal();
      });

      });

  </script>
    <script>
        $(document).ready(function() {
            // Function to attach event listeners to a new row
            function attachListenersToNewRow(row) {
                row.find('select[name="account_id[]"]').on('change', function() {
                    var selectedOption = $(this).find('option:selected');
                    var accountType = selectedOption.data('account-type');
                    var hiddenInput = $(this).closest('tr').find('.account_type');
                    if (hiddenInput.length) {
                        hiddenInput.val(accountType);
                    }
                });
            }

            // Event handler for the add-more-btn click
            $('#add-more-btn').click(function(e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body').append(newRow);

                // Attach event listeners to the new row
                attachListenersToNewRow(newRow);
            });

            // Attach initial event listeners to the first row
            attachListenersToNewRow($('#table-body tr').first());
        });
    </script>
    <script>
        $(document).ready(function() {
            $("#accountSelect").hide();

            $("select[name='bill_wise_id[]']").on("change", function() {
                if ($(this).val() === "BillWise") {
                    $("#accountSelect").show();
                } else {
                    $("#accountSelect").hide();
                }
            });

            function updateAccountTypeAndName() {
                var selectedOption = $('#account option:selected');
                var accountType = selectedOption.data('account-type');
                var accountName = selectedOption.data('account-name');
                var accNo = selectedOption.data('acc-no');
                $('.account_type').val(accountType);
                $('.account_name').val(accountName);
                $('.acc_no').val(accNo);

            }

            updateAccountTypeAndName();

            $('#account').change(updateAccountTypeAndName);
        });
    </script>
        <script>
            $(document).ready(function() {
                $('.bank').change(function() {
                    var selectedOption = $(this).find('option:selected');
                    var bankName = selectedOption.data('name');
                    var bankNo = selectedOption.data('bank-no');
                    $('#bank_name').val(bankName);
                    $('.bank_no').val(bankNo);

                });
            });
        </script>
        <?php
        use App\Branches;
        use Carbon\Carbon;

        $selectedBranchId = session('selected_branch');

        $branch = Branches::where('id', $selectedBranchId)->first();
    ?>

    <script>
        <?php if(!empty($selectedBranchId)): ?>
            document.addEventListener("DOMContentLoaded", function() {
                var periodClosings = <?php echo json_encode($periodClosings); ?>;

                function isBeforePeriodClosing(date) {
                    var selectedDate = new Date(date);
                    for (var i = 0; i < periodClosings.length; i++) {
                        var closingDate = new Date(periodClosings[i]);
                        if (selectedDate < closingDate) {
                            return true;
                        }
                    }
                    return false;
                }

                function setColor(dateInput) {
                    var selectedDate = dateInput.value;
                    if (isBeforePeriodClosing(selectedDate)) {
                        dateInput.style.backgroundColor = 'lightgrey';
                    } else {
                        dateInput.style.backgroundColor = '';
                    }
                }

                var periodClosingDateInputs = document.querySelectorAll('.PeriodClosingDate');
                periodClosingDateInputs.forEach(function(input) {
                    input.addEventListener('change', function() {
                        setColor(this);
                        if (isBeforePeriodClosing(this.value)) {
                            <?php if(!Branches::hasBranchPermission($selectedBranchId, 'Back Dated Entry As Per User Credentials')): ?>
                                window.alert("Do you want to enter a closing period? Please contact admin.");
                                this.value = '';
                            <?php else: ?>
                                window.alert("Do you want to enter a closing period?");
                            <?php endif; ?>
                        }
                    });
                    setColor(input);
                });
            });
        <?php endif; ?>
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/trans_payment_voucher/edit.blade.php ENDPATH**/ ?>