<?php $__env->startSection('content'); ?>


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">View Staff & Salesman Master</h6>
                            </div>
                            <div class="col-md-6">
                                <a href="">
                                    <button class="btn btn-outline-primary float-right cust-btn1" type="submit">Print
                                        Document
                                    </button>
                                </a>
                                <a href="">
                                    <button class="btn btn-outline-primary float-right" type="submit">Back
                                    </button>
                                </a>
                            </div>
                        </div>
                        <!-- <div class="col-4"> -->

                        <div class="row">
                            <div class="col-md-3">
                                <label>First Name :</label>
                                <span><?php echo e($staff->first_name); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Date Of Joining :</label>
                                <span><?php echo e($staff->date_of_joining); ?></span>
                            </div>

                            <div class="col-md-12">
                                <label>Last Name :</label>
                                <span><?php echo e($staff->last_name); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Mobile 1# :</label>
                                <span><?php echo e($staff->mobile_1); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Mobile 2# :</label>
                                <span><?php echo e($staff->mobile_2); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Whatsapp #:</label>
                                <span><?php echo e($staff->whatsapp); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Email :</label>
                                <span><?php echo e($staff->email); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>City :</label>
                                <span><?php echo e($staff->city); ?></span>
                            </div>

                            <div class="col-md-6">
                                <label>Class Of Account :</label>
                                <span><?php echo e($staff->classOfAccount->name); ?></span>
                            </div>
                        </div>

                        <br>

                        <div class="row">
                            <div class="col-md-12">
                                <strong>
                                    <h5>Uploaded Documents</h5>
                                </strong>
                            </div>

                            <?php for($i = 1; $i < 8; $i++): ?>
                                <div class="col-md-4">
                                    <label>Name :</label>
                                    <span><?php echo e($staff->{'doc_name_' . $i}); ?></span>
                                </div>
                                <div class="col-md-4">
                                    <?php if(!empty($staff->{'doc_file_' . $i})): ?>
                                        <a target="_blank" href="<?php echo e(asset('/storage/app/public/' . $staff->{'doc_file_' . $i})); ?>">
                                            <button class="btn btn-outline-primary" type="submit">Print Document
                                            </button>
                                        </a>
                                    <?php else: ?>
                                        <span>No Document Found</span>
                                    <?php endif; ?>
                                </div>
                                <div class="col-md-4">
                                    <label>Date :</label>
                                    <span><?php echo e($staff->{'doc_expiry_' . $i}); ?></span>
                                </div>
                            <?php endfor; ?>


                        </div>

                        <br>

                        <div class="col-md-12">

                            <label>Description :</label>
                            <p><?php echo e($staff->description); ?></p>
                        </div>


                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/staff_master/view.blade.php ENDPATH**/ ?>