@extends('layouts.superadmin')
@section('content')
<div class="page-content">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <h4 class="page-title mb-0 font-size-18">Powered By ACP</h4>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->

    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-2">
                            <h6 class="card-title mb-4 titlcust">Edit Client</h6>
                        </div>
                    </div>
                    <!-- <div class="col-4"> -->
                    <form action="{{url("client/update/$client->id")}}" method="POST" class="outer-repeater">
                        @csrf
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Client Name</label>
                                    <input class="form-control" type="text" name="name" value="{{$client->name}}"
                                        placeholder="Enter Client Name" id="example-password-input">
                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Client Email</label>
                                    <input class="form-control" type="email" name="email" value="{{$client->email}}"
                                        placeholder="Enter Email Address" id="example-password-input">
                                </div>
                            </div>
                            <div class="col-md-8">
                                <div class="row">
                                    <div class="col-md-4">
                                        <label>Code</label>
                                        <select class="form-control select2" name="code">
                                            <option value="">Select Country Code</option>
                                            <option value="Afghanistan (+93)" @if($client->code == 'Afghanistan (+93)') selected @endif>Afghanistan (+93)</option>
                                            <option value="Albania (+355)" @if($client->code == 'Albania (+355)') selected @endif>Albania (+355)</option>
                                            <option value="Algeria (+213)" @if($client->code == 'Algeria (+213)') selected @endif>Algeria (+213)</option>
                                            <option value="Andorra (+376)" @if($client->code == 'Andorra (+376)') selected @endif>Andorra (+376)</option>
                                            <option value="Angola (+244)" @if($client->code == 'Angola (+244)') selected @endif>Angola (+244)</option>
                                            <option value="Antigua and Barbuda (+1-268)" @if($client->code == 'Antigua and Barbuda (+1-268)') selected @endif>Antigua and Barbuda (+1-268)</option>
                                            <option value="Argentina (+54)" @if($client->code == 'Argentina (+54)') selected @endif>Argentina (+54)</option>
                                            <option value="Armenia (+374)" @if($client->code == 'Armenia (+374)') selected @endif>Armenia (+374)</option>
                                            <option value="Australia (+61)" @if($client->code == 'Australia (+61)') selected @endif>Australia (+61)</option>
                                            <option value="Austria (+43)" @if($client->code == 'Austria (+43)') selected @endif>Austria (+43)</option>
                                            <option value="Azerbaijan (+994)" @if($client->code == 'Azerbaijan (+994)') selected @endif>Azerbaijan (+994)</option>
                                            <option value="Bahamas (+1-242)" @if($client->code == 'Bahamas (+1-242)') selected @endif>Bahamas (+1-242)</option>
                                            <option value="Bahrain (+973)" @if($client->code == 'Bahrain (+973)') selected @endif>Bahrain (+973)</option>
                                            <option value="Bangladesh (+880)" @if($client->code == 'Bangladesh (+880)') selected @endif>Bangladesh (+880)</option>
                                            <option value="Barbados (+1-246)" @if($client->code == 'Barbados (+1-246)') selected @endif>Barbados (+1-246)</option>
                                            <option value="Belarus (+375)" @if($client->code == 'Belarus (+375)') selected @endif>Belarus (+375)</option>
                                            <option value="Belgium (+32)" @if($client->code == 'Belgium (+32)') selected @endif>Belgium (+32)</option>
                                            <option value="Belize (+501)" @if($client->code == 'Belize (+501)') selected @endif>Belize (+501)</option>
                                            <option value="Benin (+229)" @if($client->code == 'Benin (+229)') selected @endif>Benin (+229)</option>
                                            <option value="Bhutan (+975)" @if($client->code == 'Bhutan (+975)') selected @endif>Bhutan (+975)</option>
                                            <option value="Bolivia (+591)" @if($client->code == 'Bolivia (+591)') selected @endif>Bolivia (+591)</option>
                                            <option value="Bosnia and Herzegovina (+387)" @if($client->code == 'Bosnia and Herzegovina (+387)') selected @endif>Bosnia and Herzegovina (+387)</option>
                                            <option value="Botswana (+267)" @if($client->code == 'Botswana (+267)') selected @endif>Botswana (+267)</option>
                                            <option value="Brazil (+55)" @if($client->code == 'Brazil (+55)') selected @endif>Brazil (+55)</option>
                                            <option value="Brunei (+673)" @if($client->code == 'Brunei (+673)') selected @endif>Brunei (+673)</option>
                                            <option value="Bulgaria (+359)" @if($client->code == 'Bulgaria (+359)') selected @endif>Bulgaria (+359)</option>
                                            <option value="Burkina Faso (+226)" @if($client->code == 'Burkina Faso (+226)') selected @endif>Burkina Faso (+226)</option>
                                            <option value="Burundi (+257)" @if($client->code == 'Burundi (+257)') selected @endif>Burundi (+257)</option>
                                            <option value="Cambodia (+855)" @if($client->code == 'Cambodia (+855)') selected @endif>Cambodia (+855)</option>
                                            <option value="Cameroon (+237)" @if($client->code == 'Cameroon (+237)') selected @endif>Cameroon (+237)</option>
                                            <option value="Canada (+1)" @if($client->code == 'Canada (+1)') selected @endif>Canada (+1)</option>
                                            <option value="Cape Verde (+238)" @if($client->code == 'Cape Verde (+238)') selected @endif>Cape Verde (+238)</option>
                                            <option value="Central African Republic (+236)" @if($client->code == 'Central African Republic (+236)') selected @endif>Central African Republic (+236)</option>
                                            <option value="Chad (+235)" @if($client->code == 'Chad (+235)') selected @endif>Chad (+235)</option>
                                            <option value="Chile (+56)" @if($client->code == 'Chile (+56)') selected @endif>Chile (+56)</option>
                                            <option value="China (+86)" @if($client->code == 'China (+86)') selected @endif>China (+86)</option>
                                            <option value="Colombia (+57)" @if($client->code == 'Colombia (+57)') selected @endif>Colombia (+57)</option>
                                            <option value="Comoros (+269)" @if($client->code == 'Comoros (+269)') selected @endif>Comoros (+269)</option>
                                            <option value="Congo (+242)" @if($client->code == 'Congo (+242)') selected @endif>Congo (+242)</option>
                                            <option value="Costa Rica (+506)" @if($client->code == 'Costa Rica (+506)') selected @endif>Costa Rica (+506)</option>
                                            <option value="Croatia (+385)" @if($client->code == 'Croatia (+385)') selected @endif>Croatia (+385)</option>
                                            <option value="Cuba (+53)" @if($client->code == 'Cuba (+53)') selected @endif>Cuba (+53)</option>
                                            <option value="Cyprus (+357)" @if($client->code == 'Cyprus (+357)') selected @endif>Cyprus (+357)</option>
                                            <option value="Czech Republic (+420)" @if($client->code == 'Czech Republic (+420)') selected @endif>Czech Republic (+420)</option>
                                            <option value="Democratic Republic of the Congo (+243)" @if($client->code == 'Democratic Republic of the Congo (+243)') selected @endif>Democratic Republic of the Congo (+243)</option>
                                            <option value="Denmark (+45)" @if($client->code == 'Denmark (+45)') selected @endif>Denmark (+45)</option>
                                            <option value="Djibouti (+253)" @if($client->code == 'Djibouti (+253)') selected @endif>Djibouti (+253)</option>
                                            <option value="Dominica (+1-767)" @if($client->code == 'Dominica (+1-767)') selected @endif>Dominica (+1-767)</option>
                                            <option value="Dominican Republic (+1-809, +1-829, +1-849)" @if($client->code == 'Dominican Republic (+1-809, +1-829, +1-849)') selected @endif>Dominican Republic (+1-809, +1-829, +1-849)</option>
                                            <option value="East Timor (+670)" @if($client->code == 'East Timor (+670)') selected @endif>East Timor (+670)</option>
                                            <option value="Ecuador (+593)" @if($client->code == 'Ecuador (+593)') selected @endif>Ecuador (+593)</option>
                                            <option value="Egypt (+20)" @if($client->code == 'Egypt (+20)') selected @endif>Egypt (+20)</option>
                                            <option value="El Salvador (+503)" @if($client->code == 'El Salvador (+503)') selected @endif>El Salvador (+503)</option>
                                            <option value="Equatorial Guinea (+240)" @if($client->code == 'Equatorial Guinea (+240)') selected @endif>Equatorial Guinea (+240)</option>
                                            <option value="Eritrea (+291)" @if($client->code == 'Eritrea (+291)') selected @endif>Eritrea (+291)</option>
                                            <option value="Estonia (+372)" @if($client->code == 'Estonia (+372)') selected @endif>Estonia (+372)</option>
                                            <option value="Eswatini (+268)" @if($client->code == 'Eswatini (+268)') selected @endif>Eswatini (+268)</option>
                                            <option value="Ethiopia (+251)" @if($client->code == 'Ethiopia (+251)') selected @endif>Ethiopia (+251)</option>
                                            <option value="Fiji (+679)" @if($client->code == 'Fiji (+679)') selected @endif>Fiji (+679)</option>
                                            <option value="Finland (+358)" @if($client->code == 'Finland (+358)') selected @endif>Finland (+358)</option>
                                            <option value="France (+33)" @if($client->code == 'France (+33)') selected @endif>France (+33)</option>
                                            <option value="Gabon (+241)" @if($client->code == 'Gabon (+241)') selected @endif>Gabon (+241)</option>
                                            <option value="Gambia (+220)" @if($client->code == 'Gambia (+220)') selected @endif>Gambia (+220)</option>
                                            <option value="Georgia (+995)" @if($client->code == 'Georgia (+995)') selected @endif>Georgia (+995)</option>
                                            <option value="Germany (+49)" @if($client->code == 'Germany (+49)') selected @endif>Germany (+49)</option>
                                            <option value="Ghana (+233)" @if($client->code == 'Ghana (+233)') selected @endif>Ghana (+233)</option>
                                            <option value="Greece (+30)" @if($client->code == 'Greece (+30)') selected @endif>Greece (+30)</option>
                                            <option value="Grenada (+1-473)" @if($client->code == 'Grenada (+1-473)') selected @endif>Grenada (+1-473)</option>
                                            <option value="Guatemala (+502)" @if($client->code == 'Guatemala (+502)') selected @endif>Guatemala (+502)</option>
                                            <option value="Guinea (+224)" @if($client->code == 'Guinea (+224)') selected @endif>Guinea (+224)</option>
                                            <option value="Guinea-Bissau (+245)" @if($client->code == 'Guinea-Bissau (+245)') selected @endif>Guinea-Bissau (+245)</option>
                                            <option value="Guyana (+592)" @if($client->code == 'Guyana (+592)') selected @endif>Guyana (+592)</option>
                                            <option value="Haiti (+509)" @if($client->code == 'Haiti (+509)') selected @endif>Haiti (+509)</option>
                                            <option value="Honduras (+504)" @if($client->code == 'Honduras (+504)') selected @endif>Honduras (+504)</option>
                                            <option value="Hungary (+36)" @if($client->code == 'Hungary (+36)') selected @endif>Hungary (+36)</option>
                                            <option value="Iceland (+354)" @if($client->code == 'Iceland (+354)') selected @endif>Iceland (+354)</option>
                                            <option value="India (+91)" @if($client->code == 'India (+91)') selected @endif>India (+91)</option>
                                            <option value="Indonesia (+62)" @if($client->code == 'Indonesia (+62)') selected @endif>Indonesia (+62)</option>
                                            <option value="Iran (+98)" @if($client->code == 'Iran (+98)') selected @endif>Iran (+98)</option>
                                            <option value="Iraq (+964)" @if($client->code == 'Iraq (+964)') selected @endif>Iraq (+964)</option>
                                            <option value="Ireland (+353)" @if($client->code == 'Ireland (+353)') selected @endif>Ireland (+353)</option>
                                            <option value="Israel (+972)" @if($client->code == 'Israel (+972)') selected @endif>Israel (+972)</option>
                                            <option value="Italy (+39)" @if($client->code == 'Italy (+39)') selected @endif>Italy (+39)</option>
                                            <option value="Ivory Coast (+225)" @if($client->code == 'Ivory Coast (+225)') selected @endif>Ivory Coast (+225)</option>
                                            <option value="Jamaica (+1-876)" @if($client->code == 'Jamaica (+1-876)') selected @endif>Jamaica (+1-876)</option>
                                            <option value="Japan (+81)" @if($client->code == 'Japan (+81)') selected @endif>Japan (+81)</option>
                                            <option value="Jordan (+962)" @if($client->code == 'Jordan (+962)') selected @endif>Jordan (+962)</option>
                                            <option value="Kazakhstan (+7)" @if($client->code == 'Kazakhstan (+7)') selected @endif>Kazakhstan (+7)</option>
                                            <option value="Kenya (+254)" @if($client->code == 'Kenya (+254)') selected @endif>Kenya (+254)</option>
                                            <option value="Kiribati (+686)" @if($client->code == 'Kiribati (+686)') selected @endif>Kiribati (+686)</option>
                                            <option value="Kuwait (+965)" @if($client->code == 'Kuwait (+965)') selected @endif>Kuwait (+965)</option>
                                            <option value="Kyrgyzstan (+996)" @if($client->code == 'Kyrgyzstan (+996)') selected @endif>Kyrgyzstan (+996)</option>
                                            <option value="Laos (+856)" @if($client->code == 'Laos (+856)') selected @endif>Laos (+856)</option>
                                            <option value="Latvia (+371)" @if($client->code == 'Latvia (+371)') selected @endif>Latvia (+371)</option>
                                            <option value="Lebanon (+961)" @if($client->code == 'Lebanon (+961)') selected @endif>Lebanon (+961)</option>
                                            <option value="Lesotho (+266)" @if($client->code == 'Lesotho (+266)') selected @endif>Lesotho (+266)</option>
                                            <option value="Liberia (+231)" @if($client->code == 'Liberia (+231)') selected @endif>Liberia (+231)</option>
                                            <option value="Libya (+218)" @if($client->code == 'Libya (+218)') selected @endif>Libya (+218)</option>
                                            <option value="Liechtenstein (+423)" @if($client->code == 'Liechtenstein (+423)') selected @endif>Liechtenstein (+423)</option>
                                            <option value="Lithuania (+370)" @if($client->code == 'Lithuania (+370)') selected @endif>Lithuania (+370)</option>
                                            <option value="Luxembourg (+352)" @if($client->code == 'Luxembourg (+352)') selected @endif>Luxembourg (+352)</option>
                                            <option value="Madagascar (+261)" @if($client->code == 'Madagascar (+261)') selected @endif>Madagascar (+261)</option>
                                            <option value="Malawi (+265)" @if($client->code == 'Malawi (+265)') selected @endif>Malawi (+265)</option>
                                            <option value="Malaysia (+60)" @if($client->code == 'Malaysia (+60)') selected @endif>Malaysia (+60)</option>
                                            <option value="Maldives (+960)" @if($client->code == 'Maldives (+960)') selected @endif>Maldives (+960)</option>
                                            <option value="Mali (+223)" @if($client->code == 'Mali (+223)') selected @endif>Mali (+223)</option>
                                            <option value="Malta (+356)" @if($client->code == 'Malta (+356)') selected @endif>Malta (+356)</option>
                                            <option value="Marshall Islands (+692)" @if($client->code == 'Marshall Islands (+692)') selected @endif>Marshall Islands (+692)</option>
                                            <option value="Mauritania (+222)" @if($client->code == 'Mauritania (+222)') selected @endif>Mauritania (+222)</option>
                                            <option value="Mauritius (+230)" @if($client->code == 'Mauritius (+230)') selected @endif>Mauritius (+230)</option>
                                            <option value="Mexico (+52)" @if($client->code == 'Mexico (+52)') selected @endif>Mexico (+52)</option>
                                            <option value="Micronesia (+691)" @if($client->code == 'Micronesia (+691)') selected @endif>Micronesia (+691)</option>
                                            <option value="Moldova (+373)" @if($client->code == 'Moldova (+373)') selected @endif>Moldova (+373)</option>
                                            <option value="Monaco (+377)" @if($client->code == 'Monaco (+377)') selected @endif>Monaco (+377)</option>
                                            <option value="Mongolia (+976)" @if($client->code == 'Mongolia (+976)') selected @endif>Mongolia (+976)</option>
                                            <option value="Montenegro (+382)" @if($client->code == 'Montenegro (+382)') selected @endif>Montenegro (+382)</option>
                                            <option value="Morocco (+212)" @if($client->code == 'Morocco (+212)') selected @endif>Morocco (+212)</option>
                                            <option value="Mozambique (+258)" @if($client->code == 'Mozambique (+258)') selected @endif>Mozambique (+258)</option>
                                            <option value="Myanmar (+95)" @if($client->code == 'Myanmar (+95)') selected @endif>Myanmar (+95)</option>
                                            <option value="Namibia (+264)" @if($client->code == 'Namibia (+264)') selected @endif>Namibia (+264)</option>
                                            <option value="Nauru (+674)" @if($client->code == 'Nauru (+674)') selected @endif>Nauru (+674)</option>
                                            <option value="Nepal (+977)" @if($client->code == 'Nepal (+977)') selected @endif>Nepal (+977)</option>
                                            <option value="Netherlands (+31)" @if($client->code == 'Netherlands (+31)') selected @endif>Netherlands (+31)</option>
                                            <option value="New Zealand (+64)" @if($client->code == 'New Zealand (+64)') selected @endif>New Zealand (+64)</option>
                                            <option value="Nicaragua (+505)" @if($client->code == 'Nicaragua (+505)') selected @endif>Nicaragua (+505)</option>
                                            <option value="Niger (+227)" @if($client->code == 'Niger (+227)') selected @endif>Niger (+227)</option>
                                            <option value="Nigeria (+234)" @if($client->code == 'Nigeria (+234)') selected @endif>Nigeria (+234)</option>
                                            <option value="North Korea (+850)" @if($client->code == 'North Korea (+850)') selected @endif>North Korea (+850)</option>
                                            <option value="North Macedonia (+389)" @if($client->code == 'North Macedonia (+389)') selected @endif>North Macedonia (+389)</option>
                                            <option value="Norway (+47)" @if($client->code == 'Norway (+47)') selected @endif>Norway (+47)</option>
                                            <option value="Oman (+968)" @if($client->code == 'Oman (+968)') selected @endif>Oman (+968)</option>
                                            <option value="Pakistan (+92)" @if($client->code == 'Pakistan (+92)') selected @endif>Pakistan (+92)</option>
                                            <option value="Palau (+680)" @if($client->code == 'Palau (+680)') selected @endif>Palau (+680)</option>
                                            <option value="Palestine State (+970)" @if($client->code == 'Palestine State (+970)') selected @endif>Palestine State (+970)</option>
                                            <option value="Panama (+507)" @if($client->code == 'Panama (+507)') selected @endif>Panama (+507)</option>
                                            <option value="Papua New Guinea (+675)" @if($client->code == 'Papua New Guinea (+675)') selected @endif>Papua New Guinea (+675)</option>
                                            <option value="Paraguay (+595)" @if($client->code == 'Paraguay (+595)') selected @endif>Paraguay (+595)</option>
                                            <option value="Peru (+51)" @if($client->code == 'Peru (+51)') selected @endif>Peru (+51)</option>
                                            <option value="Philippines (+63)" @if($client->code == 'Philippines (+63)') selected @endif>Philippines (+63)</option>
                                            <option value="Poland (+48)" @if($client->code == 'Poland (+48)') selected @endif>Poland (+48)</option>
                                            <option value="Portugal (+351)" @if($client->code == 'Portugal (+351)') selected @endif>Portugal (+351)</option>
                                            <option value="Qatar (+974)" @if($client->code == 'Qatar (+974)') selected @endif>Qatar (+974)</option>
                                            <option value="Romania (+40)" @if($client->code == 'Romania (+40)') selected @endif>Romania (+40)</option>
                                            <option value="Russia (+7)" @if($client->code == 'Russia (+7)') selected @endif>Russia (+7)</option>
                                            <option value="Rwanda (+250)" @if($client->code == 'Rwanda (+250)') selected @endif>Rwanda (+250)</option>
                                            <option value="Saint Kitts and Nevis (+1-869)" @if($client->code == 'Saint Kitts and Nevis (+1-869)') selected @endif>Saint Kitts and Nevis (+1-869)</option>
                                            <option value="Saint Lucia (+1-758)" @if($client->code == 'Saint Lucia (+1-758)') selected @endif>Saint Lucia (+1-758)</option>
                                            <option value="Saint Vincent and the Grenadines (+1-784)" @if($client->code == 'Saint Vincent and the Grenadines (+1-784)') selected @endif>Saint Vincent and the Grenadines (+1-784)</option>
                                            <option value="Samoa (+685)" @if($client->code == 'Samoa (+685)') selected @endif>Samoa (+685)</option>
                                            <option value="San Marino (+378)" @if($client->code == 'San Marino (+378)') selected @endif>San Marino (+378)</option>
                                            <option value="Sao Tome and Principe (+239)" @if($client->code == 'Sao Tome and Principe (+239)') selected @endif>Sao Tome and Principe (+239)</option>
                                            <option value="Saudi Arabia (+966)" @if($client->code == 'Saudi Arabia (+966)') selected @endif>Saudi Arabia (+966)</option>
                                            <option value="Senegal (+221)" @if($client->code == 'Senegal (+221)') selected @endif>Senegal (+221)</option>
                                            <option value="Serbia (+381)" @if($client->code == 'Serbia (+381)') selected @endif>Serbia (+381)</option>
                                            <option value="Seychelles (+248)" @if($client->code == 'Seychelles (+248)') selected @endif>Seychelles (+248)</option>
                                            <option value="Sierra Leone (+232)" @if($client->code == 'Sierra Leone (+232)') selected @endif>Sierra Leone (+232)</option>
                                            <option value="Singapore (+65)" @if($client->code == 'Singapore (+65)') selected @endif>Singapore (+65)</option>
                                            <option value="Slovakia (+421)" @if($client->code == 'Slovakia (+421)') selected @endif>Slovakia (+421)</option>
                                            <option value="Slovenia (+386)" @if($client->code == 'Slovenia (+386)') selected @endif>Slovenia (+386)</option>
                                            <option value="Solomon Islands (+677)" @if($client->code == 'Solomon Islands (+677)') selected @endif>Solomon Islands (+677)</option>
                                            <option value="Somalia (+252)" @if($client->code == 'Somalia (+252)') selected @endif>Somalia (+252)</option>
                                            <option value="South Africa (+27)" @if($client->code == 'South Africa (+27)') selected @endif>South Africa (+27)</option>
                                            <option value="South Korea (+82)" @if($client->code == 'South Korea (+82)') selected @endif>South Korea (+82)</option>
                                            <option value="South Sudan (+211)" @if($client->code == 'South Sudan (+211)') selected @endif>South Sudan (+211)</option>
                                            <option value="Spain (+34)" @if($client->code == 'Spain (+34)') selected @endif>Spain (+34)</option>
                                            <option value="Sri Lanka (+94)" @if($client->code == 'Sri Lanka (+94)') selected @endif>Sri Lanka (+94)</option>
                                            <option value="Sudan (+249)" @if($client->code == 'Sudan (+249)') selected @endif>Sudan (+249)</option>
                                            <option value="Suriname (+597)" @if($client->code == 'Suriname (+597)') selected @endif>Suriname (+597)</option>
                                            <option value="Sweden (+46)" @if($client->code == 'Sweden (+46)') selected @endif>Sweden (+46)</option>
                                            <option value="Switzerland (+41)" @if($client->code == 'Switzerland (+41)') selected @endif>Switzerland (+41)</option>
                                            <option value="Syria (+963)" @if($client->code == 'Syria (+963)') selected @endif>Syria (+963)</option>
                                            <option value="Taiwan (+886)" @if($client->code == 'Taiwan (+886)') selected @endif>Taiwan (+886)</option>
                                            <option value="Tajikistan (+992)" @if($client->code == 'Tajikistan (+992)') selected @endif>Tajikistan (+992)</option>
                                            <option value="Tanzania (+255)" @if($client->code == 'Tanzania (+255)') selected @endif>Tanzania (+255)</option>
                                            <option value="Thailand (+66)" @if($client->code == 'Thailand (+66)') selected @endif>Thailand (+66)</option>
                                            <option value="Togo (+228)" @if($client->code == 'Togo (+228)') selected @endif>Togo (+228)</option>
                                            <option value="Tonga (+676)" @if($client->code == 'Tonga (+676)') selected @endif>Tonga (+676)</option>
                                            <option value="Trinidad and Tobago (+1-868)" @if($client->code == 'Trinidad and Tobago (+1-868)') selected @endif>Trinidad and Tobago (+1-868)</option>
                                            <option value="Tunisia (+216)" @if($client->code == 'Tunisia (+216)') selected @endif>Tunisia (+216)</option>
                                            <option value="Turkey (+90)" @if($client->code == 'Turkey (+90)') selected @endif>Turkey (+90)</option>
                                            <option value="Turkmenistan (+993)" @if($client->code == 'Turkmenistan (+993)') selected @endif>Turkmenistan (+993)</option>
                                            <option value="Tuvalu (+688)" @if($client->code == 'Tuvalu (+688)') selected @endif>Tuvalu (+688)</option>
                                            <option value="Uganda (+256)" @if($client->code == 'Uganda (+256)') selected @endif>Uganda (+256)</option>
                                            <option value="Ukraine (+380)" @if($client->code == 'Ukraine (+380)') selected @endif>Ukraine (+380)</option>
                                            <option value="United Arab Emirates (+971)" @if($client->code == 'United Arab Emirates (+971)') selected @endif>United Arab Emirates (+971)</option>
                                            <option value="United Kingdom (+44)" @if($client->code == 'United Kingdom (+44)') selected @endif>United Kingdom (+44)</option>
                                            <option value="United States of America (+1)" @if($client->code == 'United States of America (+1)') selected @endif>United States of America (+1)</option>
                                            <option value="Uruguay (+598)" @if($client->code == 'Uruguay (+598)') selected @endif>Uruguay (+598)</option>
                                            <option value="Uzbekistan (+998)" @if($client->code == 'Uzbekistan (+998)') selected @endif>Uzbekistan (+998)</option>
                                            <option value="Vanuatu (+678)" @if($client->code == 'Vanuatu (+678)') selected @endif>Vanuatu (+678)</option>
                                            <option value="Vatican City (+379)" @if($client->code == 'Vatican City (+379)') selected @endif>Vatican City (+379)</option>
                                            <option value="Venezuela (+58)" @if($client->code == 'Venezuela (+58)') selected @endif>Venezuela (+58)</option>
                                            <option value="Vietnam (+84)" @if($client->code == 'Vietnam (+84)') selected @endif>Vietnam (+84)</option>
                                            <option value="Yemen (+967)" @if($client->code == 'Yemen (+967)') selected @endif>Yemen (+967)</option>
                                            <option value="Zambia (+260)" @if($client->code == 'Zambia (+260)') selected @endif>Zambia (+260)</option>
                                            <option value="Zimbabwe (+263)" @if($client->code == 'Zimbabwe (+263)') selected @endif>Zimbabwe (+263)</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Contact Number</label>
                                            <input class="form-control" type="text" name="phone" value="{{$client->phone}}"
                                                placeholder="Enter Contact Number"
                                                id="example-password-input">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <!-- <div class="col-md-4">
                        <div class="form-group">
                            <label>Software Issue Date</label>
                                <input class="form-control" type="date">
                        </div>
                    </div> -->
                            <!-- <div class="col-md-4">
                        <div class="form-group">
                            <label>Software Expiry Date</label>
                            <input class="form-control" type="date"
                                placeholder="Enter Leniency Time" id="example-number-input">
                        </div>
                    </div> -->
                            <!-- <div class="col-md-4">
                        <div class="form-group">
                            <label>Lieninancy</label>
                            <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                placeholder="Enter Leniency Time" id="example-number-input">
                        </div>
                    </div> -->

                            <div class="col-md-4 custveri">
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input type="checkbox" class="custom-control-input"
                                        id="customSwitch73" value="0" {{$client->agreed==0?'checked':''}} name="verification">
                                    <label class="custom-control-label" 
                                        for="customSwitch73">Verification
                                        For Client</label>
                                </div>
                            </div>


                        </div>

                        <button class="btn btn-cust1 float-right" type="submit">Submit</button>

                        <!-- <div class="col-md-4">
                                    <div class="form-group">
                                        <label>System Expiry Date</label>
                                        <div class="col-md-10">
                                            <input class="form-control" type="date"
                                            placeholder="Enter Leniency Time" id="example-number-input">
                               </div>
                                    </div>
                                </div> -->







                    </form>



                </div>
            </div>
        </div>
    </div>
</div>
@endsection
