@extends('layouts.master_user_without_nav')
@section('css')
<style>
.vcenter {
    margin-left: 38px;
}

h2 {
    text-align: center;
    margin-bottom: 20px;
}
.top{
    margin-top: 40px;
}
.top1{
    margin-top: 20px;
    margin-bottom: 20px
}

</style>
@endsection
@section('content')
<div class="invoice-box">
    <div class="row">
        <div class="row gray-bg">
            <h2><strong>Stock Search Result </strong></h2>
        </div>
        <div class="col-lg-12">
            <div class="ibox-content p-w-s">
                    <table class="table table-bordered m-b-none">
                        <thead>
                            <tr>
                                <th class="col">Item Name</th>
                                <th class="col">IMEI#</th>
                                <th class="col">Country</th>
                                <th class="col">Location</th>
                                <th class="col">Quantity</th>
                                {{-- <th class="col">Chat</th> --}}
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($items as $key => $item)
                            <tr>
                                <td>{{$item_name->name}}</td>
                                <td>{{$item->imei_serial_no}}</td>
                                <td>{{$item->location->country->name}}</td>
                                <td>{{$item->location->name}}</td>
                                <td>{{$item->quantity}}</td>
                                {{-- <td>
                                    <button class="btn btn-secondary btn-lg" type="button">
                                        <i class="fa fa-comment-o"></i>
                                    </button>
                                </td> --}}
                            </tr>
                                    
                            @endforeach
                            {{-- <tr>
                                <td>Iphone 6s</td>
                                <td>Pakistan</td>
                                <td>Islamabad</td>
                                <td>500</td>
                                <td>
                                    <button class="btn btn-secondary btn-lg" type="button">
                                        <i class="fa fa-comment-o"></i>
                                    </button>
                                </td>

                            </tr>
                            <tr>

                                <td>Iphone 6s</td>
                                <td>Pakistan</td>
                                <td>Islamabad</td>
                                <td>500</td>
                                <td>
                                    <button class="btn btn-secondary btn-lg" type="button">
                                        <i class="fa fa-comment-o"></i>
                                    </button>
                                </td>
                            </tr>
                            <tr>

                                <td>Iphone 6s</td>
                                <td>Pakistan</td>
                                <td>Islamabad</td>
                                <td>500</td>
                                <td>
                                    <button class="btn btn-secondary btn-lg" type="button">
                                        <i class="fa fa-comment-o"></i>
                                    </button>
                                </td>

                            </tr>
                            <tr>

                                <td>Iphone 6s</td>
                                <td>Pakistan</td>
                                <td>Islamabad</td>
                                <td>500</td>
                                <td>
                                    <button class="btn btn-secondary btn-lg" type="button">
                                        <i class="fa fa-comment-o"></i>
                                    </button>
                                </td>

                            </tr> --}}

                        </tbody>
                    </table>


            </div>
        </div>
    </div>
</div>


@section('js')
<script>
    $(document).ready(function(){
$("#hide").click(function(){
$(".fa fa-print").hide();
});

});
function stockSearch(){
window.location.href="stock-search";
}
</script>
@endsection
